var customerInfo = {};
var shopID = "";
var closeWaiting = 0; //0：未加载完   2：已加载完
var apiUrl = zyzlApi.ApiUrl;
var addCustomerCarInfo = {};
// 品牌
var carInfoPicker = null;
var carInfoData = null;
//车价
var carPricePicker = null;
var carPriceData = null;
// 默认车牌
var carNumberPrefix = null;
var firstCarNumber = ""; //车牌前缀
var lastCarNumber = ""; //车牌后缀
// ocr
var ocrInfo = {};
//车轮
var wheelPicker = null;
var wheelData = null;
var vinNumber = ''; // vin号
var vinRecordID = ''; // vin识别记录ID
var sourcePageID = '';
var isOpenCarBrand;
window.onload = function() {
	mui.init();
	$("#carAttribute").hide();
	$("#carExtend").hide();
	mui.plusReady(function() {
		// 针对android手机不能显示当前焦点控件
		if (mui.os.android) {
			window.addEventListener('resize', function() {
				if (document.activeElement.tagName == 'INPUT' || document.activeElement.tagName == 'TEXTAREA') {
					window.setTimeout(function() {
						document.activeElement.scrollIntoViewIfNeeded();
					}, 0);
				}
			});
		}
		var page = plus.webview.currentWebview().opener();
		sourcePageID = page.id;
		initData();
		loadExtendInfo();
		GetCarBrandParam();
	});
}
// 初始化
function initData() {
	window.scrollTo(0, 0); // 滚动到顶端
	// 设置默认车牌
	if (carNumberPrefix != null) {
		if (carNumberPrefix.NAME) {
			document.getElementById('Plate').value = carNumberPrefix.NAME;
			if (carNumberPrefix.PROVINCE == "特殊") {
				document.getElementById('Plate').setAttribute('data-type', '1');
			} else {
				document.getElementById('Plate').setAttribute('data-type', '0');
			}
		} else {
			document.getElementById('Plate').value = "";
			document.getElementById('Plate').setAttribute('data-type', '0');
		}
	}
	closeWaiting = 0;
	// vin车架号
	document.getElementById('eyes').addEventListener('tap', function() {
		if (!validateAuthority(null, '识别查询管理', 'VIN查询')) {
			return;
		}
		vinNumber = $("#VINNUMBER").val().toUpperCase(); // 转成大写
		// 验证VIN是否有效
		var result = CheckVIN(vinNumber);
		if (result != null) {
			mui.toast(result);
			return false;
		}
		var pageID = plus.webview.currentWebview().id;
		var fireData = {
			sourcePageID: pageID,
			vinNumber: vinNumber,
			vinRecordID: vinRecordID
		};
		// 跳转到车型详情页面
		openDefaultWindow('OcrVinDetail.html', 'OcrVinDetail', {
			'fireData': fireData
		});
	});
	//VIN查询
	document.getElementById("scan").addEventListener('tap', function() {
		if (!validateAuthority(null, '识别查询管理', 'VIN查询')) {
			return;
		}
		var pageID = plus.webview.currentWebview().id;
		ocrSourceList('VIN', 'VIN照片', function(message, state, localImgUrl) {
			if (state == 1) {
				var tParam = {
					localImgUrl: localImgUrl,
					sourcePageID: pageID
				};

				MyOpenWindows("../Customer/OcrVin", tParam, 'OcrVin');
			} else if (state != 0) {
				mui.toast(message);
			}
		});
		return false;
	});
	// 车轮品牌
	document.getElementById('labWheelBrand').innerText = '请选择车轮品牌';
}
// 赋值ocrInfo数据
function loadOcrInfo(tOcrInfo) {
	if (tOcrInfo) {
		// 车牌
		if (tOcrInfo.CarNumber) {
			var carNumberInfo = GetCarNumberInfo(tOcrInfo.CarNumber);
			if (carNumberInfo) {
				if (carNumberInfo.isSpecial) {
					document.getElementById('Plate').setAttribute('data-type', '1');
					document.getElementById('Plate').value = carNumberInfo.prefCarNumber;
					document.getElementById('carNumber').value = carNumberInfo.lastCarNumber;
				} else {
					document.getElementById('Plate').setAttribute('data-type', '1');
					document.getElementById('Plate').value = carNumberInfo.prefCarNumber;
					document.getElementById('carNumber').value = carNumberInfo.lastCarNumber;
				}
			}
		}
		// vin号
		if (tOcrInfo.Vin) {
			addCustomerCarInfo.eVINNUMBER = tOcrInfo.Vin;
		}
		// 发动机号
		if (tOcrInfo.EngineNo) {
			addCustomerCarInfo.eENGINENUMBER = tOcrInfo.EngineNo;
		}
		// 使用性质
		if (tOcrInfo.UseProperty) {
			addCustomerCarInfo.eUSEPROPERTY = tOcrInfo.UseProperty;
		}
		// 注册日期
		if (tOcrInfo.RegisterDate) {
			addCustomerCarInfo.eREGISTERDATE = tOcrInfo.RegisterDate;
		}
		// 发证日期
		if (tOcrInfo.IssueDate) {
			addCustomerCarInfo.eISSUEDATE = tOcrInfo.IssueDate;
		}
		// 行驶证图片
		if (tOcrInfo.DrivingImgUrl) {
			addCustomerCarInfo.eDrivingImgUrl = tOcrInfo.DrivingImgUrl;
		}

		// vin查询结果
		if (tOcrInfo.carTypeName) {
			$("#labCarType").text(tOcrInfo.carTypeName);
		} else {
			$("#labCarType").text(tOcrInfo.carSeriesName + '-' + tOcrInfo.carSeriesName);
		}
		if (tOcrInfo.vinNumber) { // vin号
			document.getElementById('VINNUMBER').value = tOcrInfo.vinNumber;
		}
		if (tOcrInfo.carBrandID) { // 品牌ID
			document.getElementById('carBrandID').value = tOcrInfo.carBrandID;
		}
		if (tOcrInfo.carBrandName) { //
			document.getElementById('carBrandName').value = tOcrInfo.carBrandName;
		}
		if (tOcrInfo.carSeriesID) { // 车系
			document.getElementById('carSeriesID').value = tOcrInfo.carSeriesID;
		}
		if (tOcrInfo.carSeriesName) { // 
			document.getElementById('carSeriesName').value = tOcrInfo.carSeriesName;
		}
		if (tOcrInfo.carTypeID) { // 车型
			document.getElementById('carTypeID').value = tOcrInfo.carTypeID;
		}
		if (tOcrInfo.carTypeName) { // 
			document.getElementById('carTypeName').value = tOcrInfo.carTypeName;
		}
		if (tOcrInfo.carPriceID) { // 车价
			document.getElementById('carPriceID').value = tOcrInfo.carPriceID;
		}
		if (tOcrInfo.carPriceName) { // 
			document.getElementById('carPriceName').value = tOcrInfo.carPriceName;
			document.getElementById('labcarPrice').innerHTML = tOcrInfo.carPriceName;
		}
	}
}
//加载扩展信息
function loadExtendInfo() {
	shopID = UserInfo.operaShopId();
	// 获取授权信息
	var authorize = escape(JSON.stringify(UserInfo.getUserModel()));
	mui.ajax(apiUrl + 'CustomerManage/GetAddCustomerCarInfo', {
		data: {
			shopID: shopID
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒； 
		headers: {
			'Content-Type': 'application/json',
			'authorize': authorize
		},
		success: function(data) {
			var ischek = false;
			UserInfo.HasAuth2(data, function() {
				plus.nativeUI.closeWaiting();
				ischek = true;
			});
			if (ischek) {
				return;
			}
			var re = JSON.parse(data);
			var reData = JSON.parse(re.data);

			carInfoData = reData.brandlist;
			wheelData = reData.wheel;
			carPriceData = reData.carPrice;
			if (reData.carNumber && reData.carNumber.length > 0) {
				carNumberPrefix = reData.carNumber[0];
			}
			var extend = reData.extend;

			if (extend != null && extend.length > 0) {
				var fextend = document.getElementById('carExtend');
				var ehtml = '';
				for (var i = 0; i < extend.length; i++) {
					ehtml += '<div class="mui-input-row">';
					ehtml += '<label>' + extend[i].FIELDNAME + ':</label>';
					ehtml += '<input type="text" id="' + extend[i].ID + '" placeholder="请输入' + extend[i].FIELDNAME +
						'" data-name="' + extend[i].FIELDNAME + '" value=""/>';
					ehtml += '</div>';
				}
				fextend.innerHTML = ehtml;
				fextend.style.marginTop = '6px';
			}

			if (carNumberPrefix) {
				if (carNumberPrefix.NAME) {
					document.getElementById('Plate').value = carNumberPrefix.NAME;
					if (carNumberPrefix.PROVINCE == "特殊") {
						document.getElementById('Plate').setAttribute('data-type', '1');
					} else {
						document.getElementById('Plate').setAttribute('data-type', '0');
					}
				} else {
					document.getElementById('Plate').value = "";
					document.getElementById('Plate').setAttribute('data-type', '0');
				}
			}

		},
		error: function(xhr, type, errorThrown) {
			errorFuc(xhr, type, errorThrown);
		},
		complete: function() {
			fireloadedView();
		}
	});
}
//加载完成
function fireloadedView() {
	var page = plus.webview.currentWebview().opener();
	mui.fire(page, 'loadedView');
}
//车轮品牌
document.getElementById('wheelBrand').addEventListener('tap', function() {
	var elem = this;
	document.activeElement.blur();
	if (wheelPicker == null) {
		wheelPicker = new mui.PopPicker({
			layer: 1,
			buttons: ["取消", "确定"]
		});
		wheelPicker.cancel.removeEventListener('tap', function() {});
		wheelPicker.cancel.addEventListener('tap', function() {
			liRemoveActive(elem);
			wheelPicker.hide();
		});
	}
	if (wheelData != null) {
		wheelPicker.setData(wheelData);
	}
	var sID = document.getElementById('TYREID').value;
	if (sID == "") {
		wheelPicker.pickers[0].setSelectedIndex(0, 100);
	} else {
		wheelPicker.pickers[0].setSelectedValue(sID, 100);
	}
	wheelPicker.show(function(items) {
		if (items[0].value) {
			document.getElementById('TYREID').value = items[0].value;
			document.getElementById('TYRENAME').value = items[0].text;
			document.getElementById('labWheelBrand').innerText = items[0].text;
		}
		liRemoveActive(elem);
	});
});
// 监听返回键盘退出
window.addEventListener('backBlur', function() {
	// 时间选择器
	var list = document.querySelector('button[data-id="btn-cancel"]');
	if (list != undefined && list != null) {
		mui.trigger(list, 'tap');
	}
	// 选择器
	var list = document.querySelector('button.mui-poppicker-btn-cancel');
	if (list != undefined && list != null) {
		mui.trigger(list, 'tap');
	}
	document.activeElement.blur();
});

// 返回车辆扩展信息
window.addEventListener('rtAddCustomerCarInfo', function(e) {
	for (var item in e.detail) {
		addCustomerCarInfo[item] = e.detail[item];
	}
});

// 返回车牌前缀
window.addEventListener('rtChosePlate', function(e) {
	var carNumberInfo = e.detail.fireData;
	var ipt = document.getElementById('Plate');
	ipt.value = carNumberInfo.iptV;
	ipt.setAttribute('data-type', carNumberInfo.iptT);
});

// 返回行驶证信息
window.addEventListener('rtOcrInfo', function(e) {
	if (e.detail.ocrInfo) {
		ocrInfo = e.detail.ocrInfo;
	}
	loadOcrInfo(ocrInfo);

	// 关闭其他页面
	var pageID = plus.webview.currentWebview().id;
	var parentPageID = plus.webview.currentWebview().opener().id;
	closePageListByID(pageID, parentPageID);
});
// 时间选择器
$('input.datePicker').each(function(i, dt) {
	dt.addEventListener('tap', function() {
		document.activeElement.blur();
		var thisID = this.getAttribute('id');
		var datePicker = new mui.DtPicker({
			type: 'date',
			beginYear: '1950'
		});
		datePicker.show(function(items) {
			dt.value = items.y.value + '-' + items.m.value + '-' + items.d.value;
			datePicker.dispose();
		});
	});
});
// 车牌号
document.getElementById('ChosePlate').addEventListener('tap', function() {
	document.activeElement.blur();
	var ipt = document.getElementById('Plate');
	var iptV = ipt.value;
	var iptT = ipt.getAttribute('data-type');
	var fireData = {
		sourcePageID: "AddCustomerCarDetail",
		iptV: iptV,
		iptT: iptT
	}
	plus.nativeUI.showWaiting();
	openDefaultWindow("../Customer/plate-number-chose.html", "plate-number-chose", {
		"fireData": fireData
	});
});
//监听车型回调
window.addEventListener('rtVehicleInfo', function(e) {
	var data = e.detail.fireData;
	if (data) {
		if (data.carTypeName) {
			$("#labCarType").text(data.carTypeName);
		} else {
			$("#labCarType").text(data.carBrandName + '-' + data.carSeriesName);
		}
		if (data.carBrandID) { // 品牌ID
			document.getElementById('carBrandID').value = data.carBrandID;
		}
		if (data.carBrandName) { //
			document.getElementById('carBrandName').value = data.carBrandName;
		}
		if (data.carSeriesID) { // 车系
			document.getElementById('carSeriesID').value = data.carSeriesID;
		}
		if (data.carSeriesName) { // 
			document.getElementById('carSeriesName').value = data.carSeriesName;
		}
		if (data.carTypeID) { // 车型
			document.getElementById('carTypeID').value = data.carTypeID;
		}
		if (data.carTypeName) { // 
			document.getElementById('carTypeName').value = data.carTypeName;
		}
		if (data.carPriceID) { // 车价
			document.getElementById('carPriceID').value = data.carPriceID;
		}
		if (data.carPriceName) { // 
			document.getElementById('carPriceName').value = data.carPriceName;
			document.getElementById('labcarPrice').innerText = data.carPriceName;

		}
	}
	var pageID = plus.webview.currentWebview().id;
	var parentPageID = plus.webview.currentWebview().opener().id;
	closePageListByID(pageID, parentPageID);
	//plus.webview.show(data.sourcePageID);
});
//监听车价
document.getElementById('carPrice').addEventListener('tap', function() {
	var elem = this;
	document.activeElement.blur();
	if (carPricePicker == null) {
		carPricePicker = new mui.PopPicker({
			layer: 1,
			buttons: ["取消", "确定"],
		});
		carPricePicker.setData(carPriceData);
		carPricePicker.cancel.removeEventListener('tap', function() {});
		carPricePicker.cancel.addEventListener('tap', function() {
			liRemoveActive(elem);
			carPricePicker.hide();
		});

	}
	var carpriceId = $("#carPriceID").val();
	if (carpriceId) {
		carPricePicker.pickers[0].setSelectedValue(carpriceId, 200);
	}
	carPricePicker.show(function(selectItems) {
		if (selectItems) {
			$("#carPriceName").val(selectItems[0].text.toString());
			$("#carPriceID").val(selectItems[0].value.toString());
			document.getElementById('labcarPrice').innerText = selectItems[0].text.toString();
		}
		liRemoveActive(elem);
	});
});
document.getElementById('carNumber').addEventListener('keypress', function() {
	this.value = this.value.toUpperCase();
});
//车牌转换大写
document.getElementById('carNumber').addEventListener('blur', function() {
	this.value = this.value.toUpperCase();
});
///行驶证识别
$("#driverLicenseOcr").on("tap", function() {
	document.activeElement.blur();
	if (!validateAuthority(null, '识别查询管理', '行驶证识别')) {
		return;
	}
	var pageID = plus.webview.currentWebview().id;
	ocrSourceList('DrivingLicense', '行驶证照片', function(message, state, localImgUrl) {
		if (state == 1) {
			var tParam = {
				localImgUrl: localImgUrl,
				sourcePageID: pageID
			};

			MyOpenWindows("../Customer/OcrDrivingLicense", tParam, 'OcrDrivingLicense');
		} else if (state != 0) {
			mui.toast(message);
		}
	});
	return false;
});
// 品牌
document.getElementById('carBrand').addEventListener('tap', function() {
	document.activeElement.blur();
	//plus.nativeUI.showWaiting("加载中..."); //显示原生等待框
	var soucePage = plus.webview.currentWebview().id;
	var fireData = {
		sourcePageID: soucePage
	}
	openDefaultWindow('../VehicleSelect/SelectCarBrand.html', 'SelectCarBrand', {
		'fireData': fireData
	});
});
// 显示更多
document.getElementById('btnCustomerCarMore').addEventListener('tap', function() {
	document.activeElement.blur();
	$("#carAttribute").toggle();
	$("#carExtend").toggle();
});
//验证手机号码
$("#MOBILE").on("blur", function() {
	var that = this;
	var reg = /^1[0-9]{10}$/;
	if (!reg.test($(that).val())) {
		mui.toast("手机号格式错误");
		$(that).val("");
	}
});
function GetCarBrandParam(){
	var authorize = escape(JSON.stringify(UserInfo.getUserModel()));
	mui.ajax(apiUrl + 'CarManage/GetCarBrandParam', {
		data: {
			shopID: shopID
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 100000, //超时时间设置为10秒； 
		headers: {
			'Content-Type': 'application/json',
			'authorize': authorize
		},
		success: function(data) {
			var re = JSON.parse(data);
			if(re.State ==1){
				isOpenCarBrand= re.Data;
				if(!isOpenCarBrand){
					$('.carBrand').hide();
				}
			}else{
				mui.alert(re.Msg);
			}

		},
		error: function(xhr, type, errorThrown) {
			errorFuc(xhr, type, errorThrown);
		},
		complete: function() {
			fireloadedView();
		}
	});
}

// 确定新增
document.getElementById('btnAddCar').addEventListener('tap', function() {
	
	if (addCustomerCarInfo.ocr) { // 去除ocr信息
		addCustomerCarInfo.ocr = undefined;
	}
	document.activeElement.blur();
	var isTrue = true;
	// 验证数据
	var prefix = document.getElementById('Plate').value;
	if (prefix == "") {
		mui.toast('请选择车牌前缀');
		return;
	} 
	var isOpenCarNumber = $("#isCarNumber").is(":checked");
	if(isOpenCarNumber && document.getElementById('carBrandID').value=="" && document.getElementById('NAME').value=="" && document.getElementById('MOBILE').value==""){
		mui.toast('客户名称/手机号码/车牌号/车辆品牌不可全为空！');
		return;
	}
	mui('.mui-content input').each(function(i, ipt) {
		var eid = ipt.getAttribute('id');
		var iv = $.trim(ipt.value);
		if ((!isOpenCarNumber && eid == 'carNumber') || (isOpenCarBrand && eid == 'carBrandID') || eid == '' || (isOpenCarBrand && eid == 'carPriceID')) {
			if (iv == '') {
				mui.toast(ipt.getAttribute('placeholder'));
				isTrue = false;
				return false;
			} else if (eid == "carNumber") {
				if(!IsCarNumber(iv)){
					mui.toast('请输入有效车牌');
					isTrue = false;
					return false;
				}
			}
		}
		eid = 'e' + eid;
		if (!isOpenCarNumber && eid == 'ecarNumber') {
			addCustomerCarInfo[eid] = prefix + iv;
		} else {
			if (eid.length <= 32) {
				addCustomerCarInfo[eid] = ipt.value;
			} else {
				addCustomerCarInfo[eid] = {
					text: ipt.getAttribute('data-name'),
					value: $.trim(ipt.value)
				};
			}
		}
	});
	if (!isTrue) {
		return;
	}

	//顾客信息
	addCustomerCarInfo["CUSTOMERID"] = $("#CUSTOMERID").val();
	addCustomerCarInfo["SEX"] = $(":radio[name='SEX']:checked").val();
	addCustomerCarInfo["customerName"] = $("#NAME").val();
	addCustomerCarInfo["customerMobile"] = $("#MOBILE").val();
	addCustomerCarInfo["isCarNumber"] = isOpenCarNumber;
	// 发送数据到数据库
	AddCustomerCar(addCustomerCarInfo);

});
// 新增车俩
function AddCustomerCar(addCustomerCarInfo) {
	plus.nativeUI.showWaiting('请稍后...');
	EasyPost("CarManage/AddCustomerCar", {
		carInfo: addCustomerCarInfo
	}, function(data) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(data, "return");
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		mui.toast('新增车辆成功');
		var customerId = "";
		var carId = rel.Data;
		var customerType = 0;
		OpenWindowsNoAuto("../CarManage/CarDetail", {
			customerId: customerId,
			carId: carId,
			customerType: customerType,
			cell: "0"
		}, "CarDetail");
	});
}
//绑定已有客户
document.getElementById("bingCustomer").addEventListener("click", function() {
	if ($(this).text() == "取消绑定") {
		var btnArray = ['取消', '确定'];
		mui.confirm('确定取消绑定', '提示', btnArray, function(e) {
			if (e.index == 1) {
				$("#CUSTOMERID").val("");
				$("#NAME").val("");
				$("#MOBILE").val("");
				$("#NAME").removeAttr("readonly", "readonly");
				$("#MOBILE").removeAttr("readonly", "readonly");
				$("#bingCustomer").text("绑定已有客户");
			}
		});
		return;
	}
	var soucePage = plus.webview.currentWebview().id;
	MyOpenWindows("CustomerList", { //自定义扩展参数，可以用来处理页面间传值
		sourcePageID: soucePage,
		CUSTOMERTYPE: 0,
	}, "CustomerList");
});
//选择客户回调事件
window.addEventListener('rtCustomerInfo', function(e) {
	var customerInfo = e.detail;
	$("#CUSTOMERID").val(customerInfo.ID);
	$("#NAME").val(customerInfo.NAME);
	$("#MOBILE").val(customerInfo.MOBILE);
	$("#bingCustomer").text("取消绑定");
	$("#NAME").attr("readonly", "readonly");
	$("#MOBILE").attr("readonly", "readonly");

});

// 无车牌checkbox
function checkboxOnclick($this){
	if($this.checked == true){
		$('.hideCarNumber').hide();
//		$($this).css("right", "320px");
        $(".Nocar").css("margin-top","13px")
	}else{
		$('.hideCarNumber').show();
		$(".Nocar").css("margin-top","0px") 
//		$($this).css("right", "0px");
	}
};