/*车辆管理详情页面JS
 * 
 */
var customerId = "";
var customerType = 0;
var carId = "";
var cell = "";
var carShopId = "";
var carTypeId = ""; //车型ID
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	$("#SpeechBtn").on("tap", function() {
		startRecognize(2, function() {
			$("#keywords").val(speechText);
			GetConsumeBillTwo();
		});
	});
	customerId = self.customerId;
	carId = self.carId;
	cell = self.cell;
	customerType = self.customerType;
	//alert(customerId+"\n"+carId+"\n"+customerType);
	$("#cell" + cell).addClass("active");

	switch (toInt(cell)) {
		case 0:
			$(".CarInfo").show();
			$("#record").hide();
			$(".check").hide();
			break;
		case 1:
			$(".CarInfo").hide();
			$("#record").show();
			$(".check").hide();
			break;
		case 2:
			$(".CarInfo").hide();
			$("#record").hide();
			$(".check").show();
			break;
		default:
			mui.alert("系统异常");
			break;
	}
	EasyPost("CarManage/GetCarManage", {
		customerId: customerId,
		customerType: customerType,
		carId: carId,
		cell: cell
	}, function(data) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(data, "back");
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		var data = JSON.parse(rel.Data);
		if(data.carInfo[0]!= null){
			carTypeId = data.carInfo[0].CARTYPEID;
			
		}
		
		if(data.carInfo[0].IMAGES!="" && data.carInfo[0].IMAGES!=null){
			var path="http://upload.xmzyzl.com"+data.carInfo[0].IMAGES
			$("#carbrandlogo").attr('src',path);
		}else{
			console.log(data.carInfo[0].BRANDNAME);
		}
		
		PageInfo(data);
		GetConsumeBill(data);
		
		
		//显示当前页面
		mui.currentWebview.show();
		plus.nativeUI.closeWaiting();
	});
	mui("#checkRefreshContainer").pullRefresh({
		up: {
			height: 50,
			auto: true,
			contentrefresh: "加载中...",
			contentnomore: '没有更多数据了',
			callback: function() {
				GetCheckCar();
			}
		}
	});
});
//页面信息赋值,车辆信息,车辆更多信息,消费记录统计
function PageInfo(data) {
	if(data.carInfo[0]!=null){
		var carInfo = data.carInfo[0];
		carShopId = carInfo.SHOPID;
		$("#carInfo").val(JSON.stringify(carInfo).replace(/\"/g, "'"));
		$(".mui-title").text(carInfo.CARNUMBER);
		$("#CARNUMBER").text(carInfo.CARNUMBER);
		$("#PRICENAME").text(GetString(carInfo.PRICENAME));
		var CARTYPE = GetString(carInfo.BRANDNAME);
		if (GetString(carInfo.CARTYPENAME) != "") {
			CARTYPE += "/" + GetString(carInfo.CARTYPENAME);
		}
		$("#CARTYPE").text("车型:" + CARTYPE);
		$("#VIN").text("VIN:" + GetString(carInfo.VINNUMBER));
		$("#LASTMILE").val(GetString(carInfo.LASTMILE));
		$("#NEXTMAUNTAINMILEAGE").val(GetString(carInfo.NEXTMAUNTAINMILEAGE));
		$("#ENGINENUMBER").val(GetString(carInfo.ENGINENUMBER));
		$("#REGISTERDATE").val(GetString(carInfo.REGISTERDATE));
		$("#ANNUALINSPECTIONTIME").val(GetString(carInfo.ANNUALINSPECTIONTIME));
		$("#COMPULSORYTIME").val(GetString(carInfo.COMPULSORYTIME));
		$("#INSURANCETIME").val(GetString(carInfo.INSURANCETIME));
		$("#INSURERCOMPANY").text(GetString(carInfo.INSURERCOMPANY));
		$("#TYRENAME").val(GetString(carInfo.TYRENAME));
		$("#TYRETYPE").val(GetString(carInfo.TYRETYPE));
		//客户信息
		if (GetString(carInfo.CUSTOMERID) == "") {
			$(".customerOne").hide();
			$(".customerTwo").show();
		} else {
			$("#NAME").text(GetString(carInfo.NAME));
			var CARDNUMBER = "卡号:" + GetString(carInfo.CARDNUMBER);
			switch (toInt(carInfo.CARDSTATE)) {
				case 1:
					CARDNUMBER += "(挂失)";
					break;
				case 3:
					CARDNUMBER += "(已过期)";
					break;
				default:
					break;
			}
			$("#CARDNUMBER").text(CARDNUMBER);
			$("#MOBILE").text(GetString(carInfo.MOBILE));
			$("#CARDBALANCE").html("余额:&yen;" + toDecimal(carInfo.CARDBALANCE));
		}
		if (GetString(carInfo.CORPORATEID) != "") {
			$("#CORPORATENAME").text("挂账单位:" + carInfo.CORPORATENAME);
			$("#TOTALCREDITAMOUNT").html("累计挂账金额:&yen;" + toDecimal(carInfo.TOTALCREDITAMOUNT));
			$("#CorporteDiv").show();
		}	
	}
	var carMoreInfo = data.carMoreInfo;
	var extendHtml = "";
	//车辆扩展信息
	var i = 0;
	var j = 0;
	var firstId = ""; //第一条单据ID
	var lastId = ""; //最后一条单据ID
	var id = ""; //每一条单据ID		
	for (i = 0; i < carMoreInfo.length; i++) {
		var info = carMoreInfo[i];
		extendHtml += $("#extendTpl").html().replace("{{FIELDNAME}}", info.FIELDNAME).replace("{{FIELDVAL}}", GetString(info.FIELDVAL));
	}
	$(".MoreDetail").html(extendHtml);
	//消费记录
	var yearConsume = data.yearConsume;
	var totalConsume = data.totalConsume;
	var ConsumeHtml = $("#consumeTpl").html().replace("{{YAMOUNT}}", toDecimal(yearConsume[0].YAMOUNT)).replace("{{YNUM}}",
			toDecimal(yearConsume[0].YNUM))
		.replace("{{TAMOUNT}}", toDecimal(totalConsume[0].TAMOUNT)).replace("{{TNUM}}", toDecimal(totalConsume[0].TNUM));
	$("#consume").html(ConsumeHtml);

}
//消费记录单据
function GetConsumeBill(data) {
	//消费记录单据
	var consumeBill = data.consumeBill;
	var saleBillHtml = "";
	for (i = 0; i < consumeBill.length; i++) {
		var bill = consumeBill[i];
		id = bill.ID;
		lastId = consumeBill[consumeBill.length - 1].ID;
		if (saleBillHtml.indexOf(bill.ID) == -1) {
			saleBillHtml = saleBillHtml.replace("{{NAME}}", "");
			var year = bill.CREATETIME.split("-")[0];
			var day = bill.CREATETIME.replace(year + "-", "");
			saleBillHtml += $("#saleDetailTpl").html().replace("{{year}}", year).replace("{{day}}", day)
				.replace("{{ID}}", bill.ID).replace("{{detail}}", JSON.stringify(bill).replace(/\"/g, "'"))
				.replace("{{PAIDAMOUNT}}", bill.PAIDAMOUNT);
			if (bill.CASHTYPE == 4) {
				saleBillHtml = saleBillHtml.replace("{{NAME}}", "<p>暂无项目/商品</p>");
			} else {
				saleBillHtml = saleBillHtml.replace("{{NAME}}", ("<p>1、" + GetString(bill.NAME, "-") + "</p>{{NAME}}"));
			}
			if (i != consumeBill.length - 1) {
				saleBillHtml = saleBillHtml.replace("{{interval}}", "<div class=\"interval\"></div>");
			} else {
				saleBillHtml = saleBillHtml.replace("{{interval}}", "");
			}
			j = 0;
		} else {
			j++;
			if (j < 3) {
				var k = j + 1;
				var NAME = j == 2 ? ("<p>" + k + "、...</p>{{NAME}}") :
					("<p>" + k + "、" + GetString(bill.NAME, "-") + "</p>{{NAME}}");
				saleBillHtml = saleBillHtml.replace("{{NAME}}", NAME);
			}
		}
	}
	saleBillHtml = saleBillHtml.replace("{{NAME}}", "");
	$("#saleBillDiv").html(saleBillHtml);
}
// 获取检车记录
var checkIndex = 1;
var PageCount = 1; //分页时每页的条数;  
var checkDetailHtml = "";
var checkHtml = "";
var checkflag = true; //是否添加最近一次检车记录
function GetCheckCar() {
	EasyPost("CarManage/GetCheckCar", {
		customerId: customerId,
		customerType: customerType,
		carId: carId,
		StartNum: checkIndex,
		PageCount: PageCount
	}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			mui("#checkRefreshContainer").pullRefresh().endPullupToRefresh(true);
			return;
		}
		var isEnd = false;
		var i = 0;
		var j = 0;
		var firstId = ""; //第一条单据ID
		var lastId = ""; //最后一条单据ID
		var id = ""; //每一条单据ID		
		//检车记录
		var checkCar = rel.Data;
		if (checkCar.length != 0) {
			$("#checkTabImg").hide();
			$("#checkTabDiv").show();
			firstId = ""; //第一条单据ID
			lastId = ""; //最后一条单据ID
			id = ""; //每一条单据ID				
			var checkDetailFlag = true; //是否有不良项目
			j = 0;
			for (i = 0; i < checkCar.length; i++) {
				var checkInfo = checkCar[i];
				id = checkInfo.ID;
				lastId = checkCar[checkCar.length - 1].ID;
				if (checkHtml == "") {
					$("#checkFirstDate").text(checkInfo.CREATETIME + "距今" + checkInfo.NOWDATE + "天");
					firstId = checkInfo.ID;
				}
				if (checkflag && checkInfo.ID == firstId && checkInfo.RESULT > 1) {
					checkHtml += $("#checkTpl").html().replace("{{PARTNAME}}", checkInfo.PARTNAME)
						.replace("{{DESCRIPTION}}", GetString(checkInfo.DESCRIPTION) == "" ? "无" : checkInfo.DESCRIPTION);
				}
				if (id != firstId && checkHtml == "") {
					checkflag = false;
					$("#checkItem").hide();
					checkHtml = "<img src='../../images/fail.png' class='fail'>未检测出不良项目";
				}
				if (id != firstId && checkHtml != "") {
					checkflag = false;
				}
				if (checkDetailHtml.indexOf(checkInfo.ID) == -1) {
					if (id != firstId) {
						checkDetailHtml += "<div class=\"interval\"></div>";
					}
					checkDetailHtml = checkDetailHtml.replace("{{checkItem}}", "");
					checkDetailFlag = true;
					var year = checkInfo.CREATETIME.split("-")[0];
					var day = checkInfo.CREATETIME.replace(year + "-", "");
					checkDetailHtml += $("#checkDetailTpl").html().replace("{{year}}", year).replace("{{day}}", day)
						.replace("{{ID}}", checkInfo.ID).replace("{{DST}}", checkInfo.DST);
					if (checkInfo.RESULT != 2) {
						checkDetailHtml = checkDetailHtml.replace("{{checkItem}}", "<p>未检测出不良项目</p>");
						checkDetailFlag = false; //按RESULT排序，第一个如果不是不良，说明接下来同一单没有不良项目
					} else {
						checkDetailHtml = checkDetailHtml.replace("{{checkItem}}", ("<p>1、" + checkInfo.PARTNAME + "</p>{{checkItem}}"));
					}
					j = 0;
				} else {
					j++;
					if (checkDetailFlag && checkInfo.RESULT == 2) {
						if (j < 3) {
							var k = j + 1;
							var checkItem = j == 2 ? ("<p>" + k + "、...</p>{{checkItem}}") :
								("<p>" + k + "、" + checkInfo.PARTNAME + "</p>{{checkItem}}");
							checkDetailHtml = checkDetailHtml.replace("{{checkItem}}", checkItem);
						}
					}
				}
				if (checkIndex * PageCount >= checkInfo.TOTALRECORDS) {
					isEnd = true;
				}
			}
			checkDetailHtml = checkDetailHtml.replace("{{checkItem}}", "");
			$("#checkDiv").html(checkHtml);
			$("#checkDetailDiv").html(checkDetailHtml);
			if (isEnd) {
				mui("#checkRefreshContainer").pullRefresh().endPullupToRefresh(true);
			} else {
				checkIndex++;
				mui("#checkRefreshContainer").pullRefresh().endPullupToRefresh(false);
			}
		}
	});
}
//更多详情
$(".more").click(function() {
	$(".MoreDetail").fadeToggle()
});
//切换选项卡
$(".ScreenNav li").on("click", "a", function() {
	var title = $(this).text();
	$(this).addClass("active").parent().siblings().find("a").removeClass("active");
	if (title == "车辆信息") {
		$(".CarInfo").show();
		$("#record").hide();
		$(".check").hide()
	}
	if (title == "消费记录") {
		$(".CarInfo").hide();
		$("#record").show();
		$(".check").hide()
	}
	if (title == "检车记录") {
		$(".CarInfo").hide();
		$("#record").hide();
		$(".check").show()
	}
});
//消费记录详情
$("#saleBillDiv").on("tap", ".detail", function() {
	var id = this.id;
	var strbill = $(this).attr("data-detail").replace(/'/g, '"');
	var bill = JSON.parse(strbill);
	if (bill.SHOPID != UserInfo.operaShopId()) {
		mui.toast("暂时无法操作异店单据,请在首页选择对应门店");
		return;
	}
	plus.nativeUI.showWaiting("正在跳转...");
	switch (bill.BILLTYPE) {
		case 5:
			var checkPermission = validateAuthority(null, "首页", "销售开单");
			if (!checkPermission) {
				return; //没有权限
			}
			var paidflag = bill.PAIDFLAG;
			var Cart = {
				Billtype: bill.CASHTYPE,
				SaleBillId: this.id,
				SaleBillCode: bill.CODE,
				CustomerType: bill.CUSTOMERTYPE,
				CustomerId: bill.CUSTOMERID
			};
			EasyPost("Billing/NumIsDecimal", {
				id: this.id
			}, function(data) {
				//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
				UserInfo.HasAuth(data, "return");
				var rel = JSON.parse(data);
				if (rel.State != 1) {
					mui.toast(rel.Msg);
					return;
				}
				var customerInfo = new Array();
				customerInfo.push(Cart);
				var extra = { //自定义扩展参数，可以用来处理页面间传值
					product: new Array(),
					customerInfo: customerInfo,
					billtype: bill.CASHTYPE,
					paidflag: bill.PAIDFLAG
				}
				MyOpenWindows("../Cashier/dingdanmingxi", extra, "dingdanmingxi");
			});
			break;
		case 12:
			var checkPermission = validateAuthority(null, "底部导航", "维修接车");
			if (!checkPermission) {
				return; //没有权限
			}
			var newbill = {};
			newbill.BILLTYPE = 99;
			var mechanicbill = {
				ID: id
			}
			//bill.timeout = 10000;
			newbill.mechanicbill = mechanicbill;
			plus.nativeUI.showWaiting("正在跳转...");
			EasyPost("NewRepair/GetBillDetail", {
		        jsonStr:JSON.stringify(newbill)
	        }, function(data) {
				var rel = JSON.parse(data);
				if (rel.State != 1) {
					mui.toast(rel.Msg);
					return;
				}
				newbill = rel.Data;
				newbill.souceid = plus.webview.currentWebview().id;
				switch (bill.CASHTYPE) {
					case 4:
						newbill.BILLTYPE = 4;
						OpenWindowsNoAuto("../Repair/MeetingResult", {
							bill: newbill,
							type: 4
						}, "MeetingResult");
						break;
					case 5:
					case 6:
					case 7:
					case 8:
					case 1:
					case 9:
					case 10:
						newbill.BILLTYPE = bill.CASHTYPE;
						OpenWindowsNoAuto("../Repair/Work", {
							bill: newbill,
							type: bill.CASHTYPE
						}, "Work");
						break;
					default:
						mui.toast("跳转异常");
						plus.nativeUI.closeWaiting();
						break;
				}
			});
			break;
		case 0:
			//mui.toast("单据为历史消费销售单据，无法跳转！");
			MyOpenWindows("../Customer/HistoryBillDetail", {
				aid: id,
				type: -1
			}, "HistoryBillDetail");
			plus.nativeUI.closeWaiting();
			break;
		case 1:
			//mui.toast("单据为历史消费维修单据，无法跳转！");
			MyOpenWindows("../Customer/HistoryBillDetail", {
				aid: id,
				type: -1
			}, "HistoryBillDetail");
			plus.nativeUI.closeWaiting();
			break;
		default:
			mui.toast("跳转异常");
			plus.nativeUI.closeWaiting();
			break;
	}
});
//检车记录详情
$("#checkDetailDiv").on("tap", ".detail", function() {
	var checkPermission = validateAuthority(null, "底部导航", "维修接车");
	if (!checkPermission) {
		return; //没有权限
	}
	var id = this.id;
	var bill = {};
	bill.BILLTYPE = 99;
	var mechanicbill = {
		ID: id
	}
	//bill.timeout = 10000;
	bill.mechanicbill = mechanicbill;
	plus.nativeUI.showWaiting("正在跳转...");
	EasyPost("NewRepair/GetBillDetail", {
		jsonStr:JSON.stringify(bill)
	}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		bill = rel.Data;
		OpenWindowsNoAuto("../Repair/MeetingResult", {
			bill: bill,
			type: 99,
			souceid: plus.webview.currentWebview().id
		}, "MeetingResult");
	});
});
//关键词搜索单据
function GetConsumeBillTwo() {
	plus.nativeUI.showWaiting("正在查询...");
	EasyPost("CarManage/GetCarManage", {
		customerId: customerId,
		customerType: customerType,
		carId: carId,
		cell: cell,
		keywords: $.trim($("#keywords").val())
	}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		var data = JSON.parse(rel.Data);
		GetConsumeBill(data);
	});
}
//关键词按键搜索
$("#keywords").on("keyup", function(e) {
	if (e.originalEvent.keyCode == 13) {
		var keywords = $.trim($("#keywords").val());
		if (keywords != "") {
			document.activeElement.blur();
		}
	}
});
//关键词离开后搜索
$("#keywords").on("blur", function(e) {
	document.activeElement.blur();
	GetConsumeBillTwo();
});
//绑定已有客户
$("#bindCustomer").on("click", function() {
	var soucePage = plus.webview.currentWebview().id;
	MyOpenWindows("../CarManage/CustomerList", { //自定义扩展参数，可以用来处理页面间传值
		sourcePageID: soucePage,
	}, "CustomerList");
});
//新增客户
$("#addCustomer").on("click", function() {
	var checkPermission = validateAuthority(null, "车辆管理", "新增客户");
	if (!checkPermission) {
		return; //没有权限
	}
	var soucePage = plus.webview.currentWebview().id;
	MyOpenWindows("../CarManage/AddCustomer", { //自定义扩展参数，可以用来处理页面间传值
		sourcePageID: soucePage,
		carId: carId,
		CARNUMBER: $("#CARNUMBER").text()
	}, "AddCustomer");
});
//选择客户回调事件
window.addEventListener('rtCustomerInfo', function(e) {
	var customerInfo = e.detail;
	var btnArray = ['取消', '确定'];
	mui.confirm('确定绑定此客户', '提示', btnArray, function(e) {
		if (e.index == 1) {
			plus.nativeUI.showWaiting("绑定中...");
			EasyPost("CarManage/BingCustomer", {
				customerId: customerInfo.ID,
				carId: carId
			}, function(data) {
				var rel = JSON.parse(data);
				mui.toast(rel.Msg);
				if (rel.State != 1) {
					return;
				}
				$("#NAME").text(GetString(customerInfo.NAME));
				var CARDNUMBER = "卡号:" + GetString(customerInfo.CARDNUMBER);
				switch (toInt(customerInfo.CARDSTATE)) {
					case 1:
						CARDNUMBER += "(挂失)";
						break;
					case 3:
						CARDNUMBER += "(已过期)";
						break;
					default:
						break;
				}
				customerType = customerInfo.CUSTOMERTYPE;
				customerId = customerInfo.ID;
				$("#CARDNUMBER").text(CARDNUMBER);
				$("#MOBILE").text(GetString(customerInfo.MOBILE));
				$("#CARDBALANCE").html("余额:&yen;" + toDecimal(customerInfo.CARDBALANCE));
				$(".customerOne").show();
				$(".customerTwo").hide();
				$("#bingCustomer").text("取消绑定");
			});
		}
	});
});
//右上角弹窗
$("#popover").on("tap", "li", function() {
	var cell = $(this).attr("data-cell");
	var carInfo = JSON.parse($("#carInfo").val().replace(/'/g, '"'));
	switch (cell) {
		case "0":
			document.activeElement.blur();
			var checkPermission = validateAuthority(null, "客户管理", "编辑车辆");
			if (!checkPermission) {
				return; //没有权限
			}
			var customerCarInfo = {};
			customerCarInfo.carID = carId;
			customerCarInfo.customerShopID = carShopId;
			plus.nativeUI.showWaiting();
			openDefaultWindow('../Customer/UpdateCustomerCar.html', 'UpdateCustomerCar', {
				'fireData': customerCarInfo
			});
			break;
		case "1":
			var checkPermission = validateAuthority(null, "首页", "销售开单");
			if (!checkPermission) {
				return; //没有权限
			}
			plus.nativeUI.showWaiting();
			var customerCarData = {
				ID: carInfo.CUSTOMERID,
				CARID: carInfo.ID,
				CARDID: carInfo.CARDDATAID,
				CARNUMBER: carInfo.CARNUMBER,
				CARDNUMBER: carInfo.CARDNUMBER,
				CARDTYPENAME: carInfo.CARDTYPENAME,
				NAME: carInfo.NAME,
				MOBILE: carInfo.MOBILE,
				CUSTOMERTYPE: 0
			}
			OpenWindowsNoAuto('../Cashier/billing', {
				"fireData": customerCarData
			}, 'billing');
			break;
		case "2":
			var checkPermission = validateAuthority(null, "底部导航", "维修接车");
			if (!checkPermission) {
				return; //没有权限
			}
			plus.nativeUI.showWaiting();
			OpenWindowsNoAuto('../Repair/MeetingResult', {
				type: -2,
				customerID: customerId,
				carID: carId
			}, 'MeetingResult');
			break;
		default:
			mui.alert('系统异常');
			break;
	}
});
//车辆配置信息
$("#details").on("click", function() {
	if (carTypeId == "" || carTypeId == null) {
				mui.alert('请完善车辆信息！');
				return;
	}
	EasyPost("CarManage/GetCarDetails", {
		carId: carTypeId
	}, function(data) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(data, "back");
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		} else {
			//alert(JSON.stringify(rel.Data.ds));
			if (rel.Data.ds.length == 0) {
				mui.alert('该车辆没有配置信息！');
			} else {

				MyOpenWindows("../Repair/parameter", {
					vehicleDetails: rel.Data
				}, "parameter");
			}
		}
		//PageInfo(rel.Data);
	});

});
$("#help").on("click",function(){
	mui.toast("敬请期待 ！"); 
})
