/* 计算数量
 * obj prod_：项目或商品，package_：套餐
 * type 0：填数字，1：减少，2：增加
 * id 项目或商品Id
 */
;
var productList = new Array();
//数量焦点事件
function numFocus(obj) {
	obj.setAttribute("data-num", obj.value);
	obj.value = "";
}

function calculate(obj, type, id, i) {
	var numId = mui("#" + obj + id + "_" + i)[0];
	var toalNum = mui("#totalNum")[0].innerHTML;
	var num = numId.value;
	var r = /^([1-9]\d*|0)(\.\d{1,2})?$/;　 //正整数 	
	if(num == "" || !r.test(num)) {
		mui.toast("数量有误");
		numId.value = numId.getAttribute("data-num");
		return;
	}
	var liId = obj + id;
	if(type == 0) {
		if(num < 0 || (obj == "package_" && num > toDecimal(mui("#" + id)[0].innerHTML))) {
			mui.toast("数量有误");

			numId.value = numId.getAttribute("data-num");
			return;
		}
		numId.value = num; //本条数量
		num = num - numId.getAttribute("data-num");
		toalNum = toDecimal(toalNum) + toDecimal(num); //计算总数量		
		//mui("#totalNum")[0].innerHTML = toalNum; //总数量				
	} else if(type == 1) {
		if(num - 1 < 0) {
			mui.toast("数量不能小于0");
			return;
		}
		numId.value = toDecimal(num) - 1;
		toalNum = toDecimal(toalNum) - 1; //计算总数量
	//	mui("#totalNum")[0].innerHTML = toalNum; //总数量		
	} else {
		if(obj == "package_" && toDecimal(num) + 1 > toDecimal(mui("#" + id)[0].innerHTML)) {
			mui.toast("数量不足");
			return;
		}
		numId.value = toDecimal(num) + 1;
		toalNum = toDecimal(toalNum) + 1; //计算总数量
	//	mui("#totalNum")[0].innerHTML = toalNum; //总数量		
	}

	if(productList.length > 0) {
		var totalSum = productList[0].totalSum;
		var product = productList[0].product;
		var tmpprod = new Array();
		tmpprod = tmpprod.concat(product);
		test(tmpprod);
		var flag = false;
		for(var i = 0; i < tmpprod.length; i++) {
			var pnum = tmpprod[i].num;
			var pprice = tmpprod[i].price;
			var pid = tmpprod[i].id;
			var ptype = tmpprod[i].type;
			var warehouseId = numId.getAttribute("data-warehouseId");
			if(pid == id && ptype == mui('#hdtab')[0].value && warehouseId == tmpprod[i].warehouseId) {
				if(obj != "package_") {
					totalSum = parseFloat(parseFloat(totalSum) + (toDecimal(numId.value) - toDecimal(pnum)) * pprice).toFixed(2);
				}
				product[i].num = numId.value;
				flag = true;
				if(numId.value <= 0) {
					product.splice(i, 1);
				}
				break;
			}
		}
		if(!flag) {
			var pprice = numId.getAttribute("data-price");
			if(obj != "package_") {
				totalSum = parseFloat(parseFloat(totalSum) + numId.value * pprice).toFixed(2);
			}
			var prod = {
				id: id,
				price: numId.getAttribute("data-price"),
				name: numId.getAttribute("data-name"),
				num: numId.value,
				type: mui('#hdtab')[0].value, //0项目，1：商品，2:套餐
				productType: numId.getAttribute("data-producttype"),
				warehouseId: numId.getAttribute("data-warehouseId"),
				warehouseName: numId.getAttribute("data-warehouseName"),
				billId: numId.getAttribute("data-billId")
			};
			product.push(prod);
		}
		productList[0].totalSum = totalSum;
		productList[0].totalNum = mui("#totalNum")[0].innerHTML;
		mui("#hdTotalSum")[0].value = totalSum;
		mui("#totalSum")[0].innerHTML = "&yen;" + productList[0].totalSum;
	} else {
		var product = {
			id: id,
			price: numId.getAttribute("data-price"),
			name: numId.getAttribute("data-name"),
			num: numId.value,
			type: mui('#hdtab')[0].value, //0项目，1：商品，2:套餐
			productType: numId.getAttribute("data-producttype"),
			warehouseId: numId.getAttribute("data-warehouseId"),
			warehouseName: numId.getAttribute("data-warehouseName"),
			billId: numId.getAttribute("data-billId")
		};
		var prod = new Array();
		prod.push(product);
		var totalSum = 0;
		if(obj != "package_") {
			totalSum = parseFloat(product.num * product.price).toFixed(2);
		}
		var Cart = {
			totalNum: mui("#totalNum")[0].innerHTML,
			totalSum: totalSum,
			product: prod,
		};
		productList.push(Cart);

	//	mui("#hdTotalSum")[0].value = totalSum;
	//	mui("#totalSum")[0].innerHTML = "&yen;" + toDecimal(totalSum).toFixed(2);
	}

	//激活提交按钮
	if(toalNum > 0) {
		mui(".FooterSubmit")[0].style.backgroundColor = '#fa2d3b'; //背景色置为红色
	} else {
		mui(".FooterSubmit")[0].style.backgroundColor = '#CCCCCC'; //背景色置为灰色
	}
}
/*
 * 客户信息
 */
var customertList = new Array();

function setCustomerInfo(customerInfo) {
	if(customerInfo.isSelect) {
		mui(".userinfo").html("");
		if(customertList.length > 0) {
			var cart = customertList[0];
			cart.CustomerId = customerInfo.customerID;
			cart.CustomerCarId = customerInfo.carID;
			cart.CarNumber = customerInfo.carNumber;
			cart.CustomerCardId = customerInfo.cardID;
			cart.CardNumber = customerInfo.cardNumber;
			cart.CardTypeName = customerInfo.cardTypeName;
			cart.CustomerName = customerInfo.customerName;
			cart.CustomerMobile = customerInfo.customerMobile;
			cart.CardTypeId = customerInfo.cardTypeId;
			cart.CustomerType = customerInfo.customerType;
			cart.LastMile=customerInfo.lastMile;
		} else {
			var Cart = {
				CustomerId: customerInfo.customerID,
				CustomerCarId: customerInfo.carID,
				CarNumber: customerInfo.carNumber,
				CustomerCardId: customerInfo.cardID,
				CardNumber: customerInfo.cardNumber,
				CardTypeName: customerInfo.cardTypeName,
				CustomerName: customerInfo.customerName,
				CustomerMobile: customerInfo.customerMobile,
				CardTypeId: customerInfo.cardTypeId,
				CustomerType: customerInfo.customerType,
				LastMile:customerInfo.lastMile
			};
			customertList.push(Cart);
		}
				$('#hdCustomerCarId').val( customerInfo.carID);
		var tabType = mui('#hdtab')[0].value;
		if(tabType == "2") {
			setTimeout(function() {
				mui('#hdclassType')[0].value = 0;
				up_data.page = 0;
				up_data.hasNext = true;
				$('.mui-table-view').html("");
				GetSaleInfo(true);
				mui('.mui-scroll-wrapper.pullRefresh').pullRefresh().refresh(true);
			}, 1000)
		}
		if(productList.length > 0) {
			var totalSum = productList[0].totalSum;
			var product = productList[0].product;
			var tmpprod = new Array();
			tmpprod = tmpprod.concat(product);
			for(var i = 0; i < tmpprod.length; i++) {
				var pnum = tmpprod[i].num;
				var pprice = tmpprod[i].price;
				var pid = tmpprod[i].id;
				var ptype = tmpprod[i].type;
				productList[0].totalNum += toDecimal(productList[0].totalNum) - toDecimal(pnum);
				if(ptype == 2) {
					product.splice(i, 1);
					productList[0].totalNum += toDecimal(productList[0].totalNum) - toDecimal(pnum);
				}
			}
			mui("#totalNum")[0].innerHTML = productList[0].totalNum;
		}
		mui('#hdCustomerId')[0].value = customerInfo.customerID;
		var html = '<p>' + customerInfo.customerName + '</p>';
		html += '<label>' + customerInfo.carNumber + '</label>';
		mui(".userinfo").html(html);
		$(".ChooseCustomer").hide();
		$(".Customer").show();
		
		$("li[data-cell='0']").show();
		$("li[data-cell='1']").show();
		$("li[data-cell='2']").show();
		$("li[data-cell='3']").show();
		var cardId = customerInfo.cardID;
		if(cardId ==""){
			$("li[data-cell='1']").hide();
			$("li[data-cell='2']").hide();
			$("li[data-cell='3']").hide();
			GopencardCustomerInfo.customerID=customerInfo["customerID"];
			GopencardCustomerInfo.shopID=customerInfo["shopID"];
			GopencardCustomerInfo.customerName=customerInfo["customerName"];
			GopencardCustomerInfo.customerMobile=customerInfo["customerMobile"];
			GopencardCustomerInfo.carID=customerInfo["carID"];
			GopencardCustomerInfo.carNumber=customerInfo["cardNumber"];
		}else{
			$("li[data-cell='0']").hide();
			GcustomerInfo.customerID=customerInfo["customerID"];
			GcustomerInfo.customerName=customerInfo["customerName"];
			GcustomerInfo.customerMobile=customerInfo["customerMobile"];
			GcustomerInfo.cardID=customerInfo["cardID"];
			GcustomerInfo.cardNumber=customerInfo["cardNumber"];
			GcustomerInfo.cardTypeName=customerInfo["cardTypeName"];
			//GcustomerInfo.cardBalance=bill.customer["CARDBALANCE"];
		}
	} else {
		mui.toast("获取客户信息异常!");
	}
}

function BillInvokeSetCustomer(customerInfo) {
	var userInfo = escape(JSON.stringify(UserInfo.getUserModel()));
	mui.ajax(zyzlApi.ApiUrl + 'Billing/BillInvokeQueryCustomer', { 
		data: {
			CUSTOMERID: customerInfo.CustomerId,
			SaleBillId: customerInfo.SaleBillId
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 20000, //超时时间设置为20秒；
		headers: {
			'Content-Type': 'application/json',
			'authorize': userInfo
		},
		success: function(res) {
			res = JSON.parse(res);
			if(res.state == 1) {
				var data = res.data;
				if(data.length > 0) {
					var customerInfos = data[0];
					var Cart = {
						CustomerId: customerInfo.CustomerId,
						CustomerCarId: customerInfos.CARID,
						CarNumber: customerInfos.CARNUMBER,
						CustomerCardId: customerInfos.CARDID,
						CardNumber: customerInfos.CARNUMBER,
						CardTypeName: customerInfos.CARDTYPENAME,
						CustomerName: customerInfos.CUSTOMERNAME,
						CustomerMobile: customerInfos.MOBILE,
						CardTypeId: customerInfos.CARDTYPEID,
						CustomerType: customerInfos.CUSTOMERTYPE
					}; 
					customertList.splice(0,1);
					customertList.push(Cart);
					if(productList.length > 0) {
						var totalSum = productList[0].totalSum;
						var product = productList[0].product;
						var tmpprod = new Array();
						tmpprod = tmpprod.concat(product);
						for(var i = 0; i < tmpprod.length; i++) {
							var pnum = tmpprod[i].num;
							var pprice = tmpprod[i].price;
							var pid = tmpprod[i].id;
							var ptype = tmpprod[i].type;
							if(ptype == 2) {
								product.splice(i, 1);
								productList[0].totalNum = toDecimal(productList[0].totalNum) - toDecimal(pnum);
							}
						}
						mui("#totalNum")[0].innerHTML = productList[0].totalNum;
					}
					
					mui('#hdCustomerId')[0].value = customerInfo.CustomerId;
					var html = '<p>' + customerInfos.CUSTOMERNAME + '</p>';
					html += '<label>' + customerInfos.CARNUMBER + '</label>';
					mui(".userinfo").html(html);
					$(".ChooseCustomer").hide();
					$(".Customer").show();
				} else {
					mui.toast("单据回调查询客户失败");
				}
			} else {
				mui.toast("单据回调查询客户失败");
			}
		}
	});
}