/*车况检测JS
 * 
 */
;
mui.init();
var pageID;
var fault;
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var oldBack = mui.back;
	var info = self.bill;
	var customer = info.customer;
	fault = self.fault;
	pageID = self.pageID;
	if (self.fault) {
		$("#checkResult").val(fault);
	}
	var checkResultList = [];
	//赋值
	$("#carNumber").text(customer.CARNUMBER); //车牌
	$("#carbrand").text(GetString(customer.BRANDNAME) + GetString(customer.CARTYPENAME)); //车型
	$("#lastMile").text(customer.LASTMILE + "公里"); //上次里程
	$("#thisMile").text(customer.THISMILE + "公里"); //本次里程
	InitInfo(info);

	//重写回退事件，在回退前保存
	mui.back = function() {
		mui.confirm('确认保存么？', '提醒', ['是', '否'], function(e) {
			if (e.index == 1) {
				oldBack();
			} else {
				//获取选中的
				$("#checkCarList .mui-radio input:checked").each(function() {
					var txt = $(this).parent().parent().parent().siblings("ul").find("input").val(); //检测说明
					var id = $(this).parent().parent().parent().siblings(".part").val(); //部位id
					var name = $(this).parent().parent().siblings(".partName").text().replace(/\s/g, ""); //部位名称
					var itemid = $(this).parent().parent().parent().siblings(".itemId").val(); //项目id
					var productid = $(this).parent().parent().parent().siblings(".productId").val(); //商品id
					var isNormal = $(this).val();
					var imgContent = ""; //获取补充检测说明的内容
					var wordContent = ""; //获取补充检测说明的内容
					wordContent = $(this).parent().parent().parent().siblings(".explain").children("li").children("div").children(
						".wordContent").val(); //文字内容
					imgContent = $(this).parent().parent().parent().siblings(".explain").children("li").children("div").children(
						".imgContent").val(); //图片内容
					imgContent = imgContent == "{{imgContent}}" ? "" : imgContent;
					checkResultList.push({
						ID: id,
						NAME: name,
						DESCRIPTION: txt,
						ITEMID: itemid,
						PRODUCTID: productid,
						STATE: isNormal,
						imgContent: imgContent,
						wordContent: wordContent
					});

				});
				var radioList = [];
				//获取未选中的
				$("#checkCarList .mui-radio input:radio").not(":checked").each(function() {
					var nameVal = $(this).attr("name");
					var flag = $(':radio[name="' + nameVal + '"]').is(":checked");
					if (flag) {
						return true;
					}
					if (radioList.indexOf(nameVal) >= 0) {
						return true;
					}
					radioList.push(nameVal);
					var txt = $(this).parent().parent().parent().siblings("ul").find("input").val(); //检测说明
					var id = $(this).parent().parent().parent().siblings(".part").val(); //部位id
					var name = $(this).parent().parent().siblings(".partName").text().replace(/\s/g, ""); //部位名称
					var itemid = $(this).parent().parent().parent().siblings(".itemId").val(); //项目id
					var productid = $(this).parent().parent().parent().siblings(".productId").val(); //商品id		
					checkResultList.push({
						ID: id,
						NAME: name,
						DESCRIPTION: txt,
						ITEMID: itemid,
						PRODUCTID: productid,
						STATE: "0",
						imgContent: "",
						wordContent: ""
					});
				});

				//获取两个都没有选的
				var checkCarInfo = {};
				checkCarInfo.checkResultList = checkResultList;
				checkCarInfo.checkResult = $("#checkResult").val();
				mui.fire(plus.webview.getWebviewById(pageID), "updateCheckCarInfo", checkCarInfo);
				oldBack();
			}
		});
	}
});
//请求车况检查信息
function InitInfo(info) {
	EasyPost("/NewRepair/CheckCar", {}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State == "0") {
			mui.toast(rel.Msg);
			return;
		}
		var oldInfo = info.checkResultList;
		var list;
		var content;
		var html = "";
		var data = rel.Data;
		for (var i = 0; i < data.length; i++) {
			list = "";
			content = "";
			var typeinfo = data[i].Type; //检车类型信息
			var partInfo = data[i].PartList;
			for (var j = 0; j < partInfo.length; j++) {
				if (partInfo[j].CHECKSTANDARD == null || partInfo[j].CHECKSTANDARD == undefined) {
					partInfo[j].CHECKSTANDARD = "-";
				}
				//判断是否已经有检车信息，如果有，则进行赋值
				if (oldInfo == undefined) {
					content += $("#tplContent").html().replace(/{{id}}/g, partInfo[j].ID).replace("{{PARTNAME}}", partInfo[j].PARTNAME)
						.replace("{{CHECKSTANDARD}}", partInfo[j].CHECKSTANDARD).replace("{{itemIdList}}", partInfo[j].ITEMID).replace(
							"{{productIdList}}", partInfo[j].PRODUCTID);
				} else {
					var bj = false;
					for (var jj = 0; jj < oldInfo.checkResultList.length; jj++) {
						if (oldInfo.checkResultList[jj].ID == partInfo[j].ID) {
							content += $("#tplContentValue").html().replace(/{{id}}/g, partInfo[j].ID).replace("{{PARTNAME}}",
								partInfo[j].PARTNAME).replace("{{CHECKSTANDARD}}", partInfo[j].CHECKSTANDARD).replace("{{wordContent}}",
								oldInfo
								.checkResultList[jj].DESCRIPTION == null ? "" : oldInfo.checkResultList[jj].DESCRIPTION).replace(
								"{{itemIdList}}", partInfo[j].ITEMID).replace("{{productIdList}}", partInfo[j].PRODUCTID).replace(
								"{{imgArea}}",
								function() {
									var html = "";
									if (oldInfo.checkResultList[jj].imgContent != "" && oldInfo.checkResultList[jj].imgContent != undefined) {
										var img = oldInfo.checkResultList[jj].imgContent.split(",");
										for (var i = 0; i < img.length; i++) {
											if (img[i] != "" && img[i] != undefined && img[i] != null && img[i] != 'undefined') {
												html += "<img src='" + img[i] + "' onclick='picshow(this)'>";
											}
										}
									}
									if (oldInfo.checkResultList[jj].IMGCONTENT != "" && oldInfo.checkResultList[jj].IMGCONTENT != undefined) {
										var img = oldInfo.checkResultList[jj].IMGCONTENT.split(",");
										for (var i = 0; i < img.length; i++) {
											if (img[i] != "" && img[i] != undefined && img[i] != null) {
												html += "<img src='" + img[i] + "' onclick='picshow(this)'>";
											}
										}
									}
									return html;
								}).replace("{{imgContent}}", oldInfo.checkResultList[jj].IMGCONTENT == undefined ? oldInfo.checkResultList[
								jj].imgContent : oldInfo.checkResultList[jj].IMGCONTENT);
							bj = true;
							break;
						}
					}
					if (!bj) {
						content += $("#tplContent").html().replace(/{{id}}/g, partInfo[j].ID).replace("{{PARTNAME}}", partInfo[j].PARTNAME)
							.replace("{{CHECKSTANDARD}}", partInfo[j].CHECKSTANDARD).replace("{{itemIdList}}", partInfo[j].ITEMID).replace(
								"{{productIdList}}", partInfo[j].PRODUCTID);
						$("input[name='" + partInfo[j].ID + "'][value='" + partInfo[j].RESULT + "']").attr("checked", "checked");
					}
				}
			}
			list += $("#tplList").html().replace("{{id}}", typeinfo.ID).replace("{{content}}", content).replace(
				"{{typename}}", typeinfo.TYPENAME)
			html += list;
			if (oldInfo != undefined) {
				$("#checkResult").val(oldInfo.checkResult);
				if (fault) {
					if (fault != "") {
						$("#checkResult").val(fault);
					}
				}

			}
		}
		$("#checkCarList").html(html);
		//针对原有的检车详情进行选中单选框
		if (oldInfo != undefined && oldInfo.checkResultList.length > 0) {
			for (var jj = 0; jj < oldInfo.checkResultList.length; jj++) {
				//通过id获取单选框对象,进行遍历
				$("input[name='" + oldInfo.checkResultList[jj].ID + "']").each(function() {
					//通过单选框的值与数据库中的值进行判断,相同则选中
					if ($(this).val() == oldInfo.checkResultList[jj].STATE) {
						$(this).prop("checked", "checked");
						$(this).parents(".bd0").siblings(".explain").show().find(".edit").show();;
						$(this).parents(".bd0").siblings(".explain").show().find("a").hide();
						return false;
					} else {
						$(this).parents(".bd0").siblings(".explain").hide();
					}
				});
			}
		}
	});
}
$("#checkCarList").on("touchstart", "input:radio", function() {
	var checkState = $(this).prop("checked");
	if (!checkState) {
		$(this).parents().siblings(".explain").show();
	} else {
		$(this).parents().siblings(".explain").hide();
	}
	$(this).prop('checked', !checkState);
	return false;
});
/*阻止click事件默认行为*/
$("#checkCarList input:radio").on("tap", function(event) {
	return false;
});
//折叠或者收起分类
$("#checkCarList").on("tap", ".mui-navigate-right", function() {
	$(this).siblings(".mui-collapse-content").fadeToggle();

});
//折叠或者收起检测说明
$("#checkCarList").on("tap", ".explain a", function() {
	var imgContent = "";
	var wordContent = ";"
	var aid = $(this).attr("name").replace("a_", ""); //获得id
	wordContent = $(this).siblings(".wordContent").val();
	imgContent = $(this).siblings(".imgContent").val();

	var param = {
		aid: aid,
		imgContents: imgContent,
		wordContents: wordContent
	}
	MyOpenWindows("instructions", param, "instructions");
});


$("#checkCarList").on("tap", ".editBtn", function() {
	var imgContent = "";
	var wordContent = "";
	var aid = $(this).parent().siblings("a").attr("name").replace("a_", ""); //获得id
	wordContent = $(this).siblings(".wordContent").val(); //获得id
	imgContent = $(this).parents().siblings(".imgContent").val(); //获得id
	var param = {
		aid: aid,
		imgContents: imgContent,
		wordContents: wordContent
	}
	MyOpenWindows("instructions", param, "instructions");
});
//保存事件
$("#popup").on("tap", function(e) {
	mui.back();
});

//补充检测说明回调事件
window.addEventListener('rtCheckDetail', function(e) {
	var data = e.detail;
	$("input[name='wordContent_" + data.id + "']").each(function() {
		$(this).val(data.word);
	});
	if (data.imgSrc.length > 0 || data.word.length > 0) {
		$("a[name='a_" + data.id + "']").hide();
	} else {
		$("a[name='a_" + data.id + "']").show();
	}
	$("a[name='a_" + data.id + "']").siblings(".edit").css("display", "block");
	$("input[name='imgContent_" + data.id + "']").val(data.imgSrc);
	var imgArray = data.imgSrc.split(",");
	var html = "";
	for (var i = 0; i < imgArray.length; i++) {
		if (imgArray[i] == "") {
			continue;
		}
		html += "<img src='" + imgArray[i] + "' onclick='picshow(this)'>";
	}
	$("#ImgShow_" + data.id).html(html);
	plus.nativeUI.closeWaiting();
	//显示当前页面
	mui.currentWebview.show();
});

function picshow(e) {

	$(".mui-backdrop").show();
	$(".ShowPic").show();
	var img = $(e).attr("src");
	$(".ShowPic").attr("src", img);
	$("#close").show();

}
$(".mui-backdrop,#close").click(function() {
	$(".mui-backdrop").hide();
	$(".ShowPic").hide();
	$("#close").hide();
})
