var CASHTYPELIST = [{
	value: "",
	text: "全部"
}, {
	value: "4",
	text: "估价中"
}, {
	value: "5",
	text: "待派工"
}, {
	value: "6",
	text: "待竣工"
}, {
	value: "7",
	text: "待结算"
}, {
	value: "8",
	text: "待质检"
}, {
	value: "1",
	text: "待收银"
}, {
	value: "9",
	text: "待出厂"
}, {
	value: "10",
	text: "已出厂"
}, {
	value: "11",
	text: "已作废"
}];

// var isback = false; // 是否可以返回
// var shopID = '';
// var pageSize = 15;
// var startIndex = 0;
// var apiUrl = zyzlApi.ApiUrl;
// var container = mui('#refreshContailer');
var CASHTYPE = "";
var the;
var CASHNAME = "";
var container = mui('.pullRefresh');
mui.plusReady(function() {

	$("#SpeechBtn").on("tap", function() {
		startRecognize(2, function() {
			$("#keywords").val(speechText);
			getData(true, the);
		});
	});
	container.for(function(index) {
		// 表示请求到了第几页		
		this.page = 0;
		this.index = index;
		the = mui(this);
		the.pullRefresh({
			down: {
				height: 50,
				auto: true,
				contentdown: "下拉刷新",
				contentover: "松开刷新",
				contentrefresh: "刷新中...",
				callback: function() {
					// 传入true则刷新
					getData(true, the);
				}
			},
			up: {
				height: 200,
				auto: false,
				contentrefresh: "加载中...",
				contentnomore: '没有更多数据了',
				callback: function() {
					// 传入false则不刷新
					if(the[0].hasNext) {
						getData(false, the);
					} else {
						if(the[0].page >= the[0].totalCount) {
							the.pullRefresh().endPullupToRefresh(true);
						} else {
							the.pullRefresh().endPullupToRefresh(false);
						}
					}
				}
			}
		});
	});
	mui.currentWebview.show(); // 显示页面
	plus.nativeUI.closeWaiting();
});
mui.back = function() {
	var self = plus.webview.currentWebview();
	if(self.opener().id=="index"){
		self.close();
		return;
	}
	mui.openWindow({
		url: 'Classify',
		id: '库存管理',
		styles: {
			popGesture: 'close'
		}
	});
};


function getData(reload, box) {
	UserInfo.has_login(); // 是否登录超时
	setTimeout(function() {
		box[0].totalCount = 0;
		// 如果是刷新，请求得页面是第一页
		if(reload) {
			box[0].page = 0;
			box[0].hasNext = true;
			$(".mui-table-view").html("");
			box.pullRefresh().endPulldownToRefresh();
		}
		var keywords = $("#keywords").val();
		var params = {
			timeout: 5000,
			CASHTYPE: CASHTYPE,
			keywords: keywords,
			startIndex: box[0].page,
			startDate: $("#startDate").val(),
			endDate: $("#endDate").val(),
		}
		EasyPost("RepairUseMaterial/GetRepairBillList", params, function(data) {
			var rel = JSON.parse(data);
			if(rel.state == 1) {
				var billData = rel.data;
				var _html = "";
				if(billData.length > 0) {
					for(var i = 0; i < billData.length; i++) {
						if(i == 0) {
							box[0].totalCount = billData[i].TOTALRECORDS;
						}
						_html += $("#BillTe").html().replace("{{BILLID}}", billData[i].BILLID)
							.replace("{{CASHTYPE}}", billData[i].CASHTYPE)
							.replace("{{CODE}}", billData[i].CODE)
							.replace("{{CASHNAME}}", billData[i].CASHNAME)
							.replace("{{CARNUMBER}}", billData[i].CARNUMBER)
							.replace("{{CARTYPE}}", billData[i].CARTYPENAME)
							.replace("{{CUSTOMERNAME}}", billData[i].CUSTOMERNAME)
							.replace("{{BILLTIME}}", billData[i].BILLTIME)
							.replace("{{REFUNDNUMBER}}", billData[i].REFUNDNUMBER)
							.replace("{{UNREFUNDNUMBER}}", billData[i].UNREFUNDNUMBER)
					}
				}
				$(".mui-table-view").append(_html);
				box[0].page = box[0].page + billData.length;
				if(box[0].page >= box[0].totalCount) {
					box[0].hasNext = false;
					box.pullRefresh().refresh(true);
					box.pullRefresh().endPullupToRefresh(true);
				} else {
					box.pullRefresh().refresh(true);
					box.pullRefresh().endPullupToRefresh(false);
				}
			} else {
				mui.toast(rel.Msg);
				return;
			}
		});
	}, 1000);
}
window.addEventListener('parentRefresh', function(e) {
	location.reload();
});
// 关键词按键搜索
$("#keywords").on("keyup", function(e) {
	if(e.originalEvent.keyCode == 13) {
		var keywords = $.trim(mui('#keywords')[0].value);
		if(keywords != "") {
			document.activeElement.blur();
			the.pullRefresh().pulldownLoading();
		}
	}
});
//关键词离开后搜索
$("#keywords").on('blur', function(e) {
	document.activeElement.blur();
	the.pullRefresh().pulldownLoading();
});

// 改变状态
var Picker = new mui.PopPicker();
$("#CASHTYPE").on('click', function() {
	Picker.setData(CASHTYPELIST);
	Picker.show(function(SelectedItem) {
		CASHTYPE = SelectedItem[0].value;
		CASHNAME = SelectedItem[0].text;
		$("#CASHTYPE").text(SelectedItem[0].text);
		the.pullRefresh().pulldownLoading();
	});
});

// 开始时间
var startDatePicker = new mui.DtPicker({
	type: 'date'
});
$("#startDate").on("click", function() {
	startDatePicker.show(function(selectItems) {
		var nowtime = (new XDate()).toString("yyyy-MM-dd");
		if(nowtime < selectItems.text) {
			mui.toast("开始时间不能选择大于当前时间");
			return;
		}
		$("#startDate").val(selectItems.text);
		the.pullRefresh().pulldownLoading();
	});
});
//点击取消清空选中时间
startDatePicker.ui.cancel.removeEventListener('tap', function() {});
startDatePicker.ui.cancel.addEventListener('tap', function() {
	$("#startDate").val("");
	startDatePicker.hide();
});
// 结束时间
var endDatePicker = new mui.DtPicker({
	type: 'date'
});
$("#endDate").on("click", function() {
	endDatePicker.show(function(selectItems) {
		var startDate = $("#startDate").val();
		if(!IsEmptyStr(startDate) && startDate > selectItems.text) {
			mui.toast("结束时间不能小于开始时间");
			return;
		}
		$("#endDate").val(selectItems.text);
		the.pullRefresh().pulldownLoading();
	});
});
//点击取消清空选中时间
endDatePicker.ui.cancel.removeEventListener('tap', function() {});
endDatePicker.ui.cancel.addEventListener('tap', function() {
	$("#endDate").val("");
	endDatePicker.hide();
});
// 跳转到单据明细
mui(".mui-table-view").on('tap', 'li', function() {
	rtBillDetailInfo(this);
});

function rtBillDetailInfo(thisLi) {
	document.activeElement.blur();
	var billID = $(thisLi).find('input[name="billID"]').val(); // 单据ID
	var cashType = $(thisLi).find('input[name="cashType"]').val(); // 单据收银类型
	UserInfo.has_login(); // 是否登录超时
	var billInfo = {};
	//plus.nativeUI.showWaiting("正在跳转...");
	OpenWindowsNoAuto('BillManageDetail', {
		billID: billID,
		cashType: cashType,
	}, 'BillManageDetail');
}