/**
 * 维修用料 编辑商品js
 */
var billID;
var billInfo;  // 数据库获取数据
var proList; // 页面获取数据
var jsonProList;
var goodInfoList = [];
var productListInfo = []; // 当前页面显示商品信息
var sourceId;
var opTh;  // 删除/编辑的是第几个商品
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	sourceId = self.sourceId;
	billID = self.billID;
	proList = self.proList;
	EasyPost('RepairUseMaterial/GetRepairBillDatail', {ID: billID, async: false}, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			billInfo = rel.data;
		}
		else{
			mui.toast('获取单据失败！');
			return;
		}
	});
	if(proList == undefined){
		proList = new Array();
		//var billList = {};
		// 去除具有相同skuid的商品
		//proList = billInfo.reduce(function(item, next){
		//	billList[next.PRODUCTSKUID] ? '' : billList[next.PRODUCTSKUID] = true && item.push(next);
		//	return item;
		//}, []);
		proList = JSON.parse(JSON.stringify(billInfo)); // 数组深拷贝， 修改新数组不影响原数组
		initData(proList);
	}
	else{
		initData(proList);
	}
	mui.currentWebview.show();
	plus.nativeUI.closeWaiting();
	
	setTimeout(function(){
		$(".del").click(function() {
			var deleteId = $(this).parents('.detail').children('input[name="billdetailID"]').val();
			opTh = $(this).parents('.detail').children('input[name="No"]').val(); // 删除的是第几个商品
			var delPro = $("input[value=" + deleteId + "]").parents('.part2');
			var refundNum = parseFloat(delPro.find('.refundnumber i').text()).toFixed(2); // 商品已领料数量
			if(refundNum > 0)
			{
				mui.toast("商品已领料,不能删除！");
				return ;
			}
			$("#deleteId").val(deleteId);
			$(".popup2").show();
			$(".popup3").hide();
			$(".mui-backdrop").show();
		});
		// 删除商品确认
		$(".popup2 a#submit1Btn").click(function(){
			$(".popup2").hide();
			$(".mui-backdrop").hide();
			var deleteId = $("#deleteId").val(); // 编辑的商品单据明细Id
			if(deleteId != ""){
				var delPro = $("input[value=" + deleteId + "]").parents('.part2');
				// 移除对应的商品信息
				delPro.remove();
			}
			else{
				var delPro = $("input[value=" + opTh + "]").parents('.part2');
				// 移除对应的商品信息
				delPro.remove();
			}
			var deleteElem = findElement(proList, deleteId);
			proList = removeElement(proList, deleteElem);
		});
		// 点击弹框以外的蒙版
		$(".mui-backdrop").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
		// 商品编辑打开按钮
		$(".edit2").click(function(){
			$("#editNum").val("");
			var editId = $(this).parents('.detail').children('input[name="billdetailID"]').val();
			opTh = $(this).parents('.detail').children('input[name="No"]').val(); // 编辑的是第几个商品
			$("#editId").val(editId);
			$(".popup3").show();
			$(".mui-backdrop").show();
		});
		// 商品编辑确定按钮
		$(".popup2 a#submit2Btn").click(function() {
			var editId = $("#editId").val(); // 编辑的商品单据明细Id
			if(editId != ""){
				var editPro = $("input[value=" + editId + "]").parents(".part2");
			}
			else{
				var editPro = $("input[value=" + opTh + "]").parents(".part2");
			}
			var refundNum = parseFloat(editPro.find('.refundnumber i').text()).toFixed(2); // 商品已领料数量
			if($("#editNum").val() =="" || !Number($("#editNum").val())){
				$("#editNum").val("");
				mui.toast("商品数量格式错误!");
				return ;
			}
			if(Number($("#editNum").val()) < 0){
				$("#editNum").val("");
				mui.toast("商品数量不能小于0!");
				return ;
			}
			if(Number($("#editNum").val()) < refundNum){
				$("#editNum").val("");
				mui.toast("商品数量不能小于已领料数量!");
				return ;
			}
			$(".popup2").hide();
			$(".mui-backdrop").hide();
			editPro.find("a.num").html("<i>x" + $("#editNum").val() +"</i>");// 修改商品数量
			var editElem = findElement(proList, editId);
			proList = editElement(proList, editElem, $("#editNum").val());
		});
		// 商品编辑，商品删除 关闭按钮
		$(".cancel").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
		// 商品编辑，商品删除 取消按钮
		$(".popup2 a.cancelBtn").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
	},1000);
	// 添加商品按钮
	$("#addProduct").on("tap", function(){
		var checkPermission = validateAuthority(null, "维修用料", "添加商品");
		if (!checkPermission) {
			return; //没有权限
		}
		var billDetailID="";
		$('input[name="billdetailID"]').each(function(){
			billDetailID += $(this).val() + ',';
		});
		OpenWindowsNoAuto("AddGoods", {
			billID: billID,
			billDetailID: billDetailID,
			proList: proList,
			souceid: plus.webview.currentWebview().id
		});
	});
	// 编辑商品总确认按钮
	$("#submitBtn").on('tap', function(){
		// 判断单据是否变更
		var changeFlag = JudgeBillChange(billID); 
		if(changeFlag){
			if(changeFlag == 1){
				$(".mui-backdrop").show();
				$(".popup4").show();
				$(".cancel").click(function() {
					$(".popup4").hide();
					$(".mui-backdrop").hide();
				});
				$(".popup4 a#confirmBtn").on('tap', function(){
					reloadData(billID); // 重新加载单据数据
				});
				return ;
			}
			else{
				reloadData(billID); // 重新加载单据数据
				return ;
			}
		}
		// 获取当前页面显示下的商品信息
		var goodList = new Array();
		proList.forEach(function(curValue){
			if(curValue['PRODUCTSKUID'] != null)
			{
				tmpObj = {
					PRODUCTSKUID: curValue['PRODUCTSKUID'],
					WAREHOUSEID: curValue['WAREHOUSEID']
				};
				goodList.push(tmpObj);
			}
		});
		if(goodList)
		{
			var jsonProList = JSON.stringify(goodList);
			productListInfo = GetProListInfo(jsonProList);
		}
		// 获取页面当前数据
		var good;
		var goodCount = $(".product").children('.part2').length;
		for(var i = 0; i < goodCount; i++)
		{
			
			var goodInfo = new Object();
			good = $(".product").children('.part2:eq(' + i + ')');
			var buyType = good.find('input[name="buyType"]').val(); // 0: 库存商品 2: 临时商品 3： 自带商品
			var stockText = good.find('span.stock i').text();
			var mid = stockText.indexOf('(');
			var warehouseName = stockText.substring(mid+1,stockText.length-1);
			var stockNum = $.trim(stockText.substring(0,mid));
			var num = parseFloat(good.find('a.num').text().match(/\d+(.\d+)?/)).toFixed(2); // 商品数量
			var refundnumber = parseFloat(good.find('a.refundnumber').text().match(/\d+(.\d+)?/)).toFixed(2); // 已领料数量
			if(buyType == 0)
			{
				var DiscData = GetProdDisc(productListInfo[i].DISCOUNTTYPE, productListInfo[i].DISCOUNTAMOUNT, productListInfo[i].SELLPRICE, num); // 折扣数据
				goodInfo = {
					DETAILID: good.find('input[name="billdetailID"]').val(),
					BUYTYPE: buyType, // 库存商品,临时商品,自带商品
					PRODUCTNAME: good.find('span.goodName').text(), // 商品名称
					PRODUCTSKUID: good.find('input[name="productskuID"]').val(), // 商品skuId
					WAREHOUSEID: good.find('input[name="warehouseID"]').val(), // 仓库ID
					WAREHOUSENAME: warehouseName,
					REFUNDFLAG: good.find('input[name="REFUNDFLAG"]').val(), // 领料标记
					STOCKNUM: stockNum,// 实际库存
					NUM: num, // 商品数量
					REFUNDNUMBER: refundnumber, // 已领料数量
					REFUNDFLAG: refundnumber == 0 ? 0 : (refundnumber == num ? 1 : 2),
					SELLPRICE: productListInfo[i].SELLPRICE,
					COSTPRICE: productListInfo[i].COSTPRICE,
					TOTOLAMOUNT:  parseFloat(DiscData.Money).toFixed(2),
					Disc: DiscData.Disc,  
					DISCOUNT: DiscData.Discount, // 总优惠多少金额
					OFFER: parseFloat(num * productListInfo[i].SELLPRICE).toFixed(2), // 报价
					ATTRIBUTEVALID: productListInfo[i].ATTRIBUTEVALIDS,
					ATTRIBUTEVALNAME: productListInfo[i].ATTRIBUTEVALNAME, // 商品属性
					ATTRIBUTEID: productListInfo[i].ATTRIBUTEID,
					ATTRIBUTENAME: productListInfo[i].ATTRIBUTENAME,
					PRODUCTUNITID: productListInfo[i].PRODUCTUNITID,
					PRODUCTUNITNAME: productListInfo[i].PRODUCTUNITNAME,
					PRODUCTCLASSID: productListInfo[i].PRODUCTCLASSID,
					PRODUCTCLASSNAME: productListInfo[i].PRODUCTCLASSNAME,
				};
			}
			else
			{
				tmpID = 
				goodInfo = {
					DETAILID: good.find('input[name="billdetailID"]').val(),
					BUYTYPE: buyType, // 库存商品,临时商品,自带商品
					PRODUCTNAME: good.find('span.goodName').text(), // 商品名称
					NUM: num, // 商品数量
				};
			}
			goodInfoList.push(goodInfo);
		}
		var jsonBill = JSON.stringify(goodInfoList);
		var params = {
			jsonBill:jsonBill,
			billID: billID,
		};
		EasyPost('RepairUseMaterial/SaveBill', params, function(result){
			var rel = JSON.parse(result); 
			if(rel.state == 1){
				// 单据保存成功
				mui.toast('保存成功！');
				OpenWindowsNoAuto('BillManageDetail',{
					billID: billID
				}, 'BillManageDetail');
			}
			else{
				mui.toast(rel.msg);
				return ;
			}
		});
	});
});
mui.back = function(){
	OpenWindowsNoAuto('BillManageDetail',{billID: billID},'BillManageDetail');
};
window.addEventListener('parentRefresh', function(){
	location.reload();
});
function findElement(list, val){
	var x = list.find(function(x){
		return x.DETAILID == val ? x : null; 
	});
	return x;
}

function removeElement(list, val) {
	var index = list.indexOf(val);
	if (index > -1) {
		list.splice(index, 1);
	}
	return list;
};

function editElement(list, val, num){
	var index = list.indexOf(val);
	if (index > -1) {
		list[index].NUM = num;
		list[index].UNREFUNDNUMBER = list[index].NUM - list[index].REFUNDNUMBER;
	}
	return list;
}
function JudgeBillChange(billId, changeFlag=0){
	var detailList = new Array();
	var billDetail;
	billInfo.forEach(function(curValue, i){
		if(curValue['PRODUCTSKUID'] != null)
		{
			billDetail = curValue.DETAILID +':' + parseFloat(curValue.NUM).toFixed(2) + ',' + parseFloat(curValue.REFUNDNUMBER).toFixed(2);
			detailList.push(billDetail);
		}
	}); 
	var params = {
		billId: billId,
		detailList: detailList,
		async: false
	};
	EasyPost('RepairUseMaterial/JudgeBillChange', params, function(result){
		rel = JSON.parse(result);
		if(rel.state == 0){
			changeFlag = 1;
		}
		else if(rel.state == 2){
			changeFlag = 2;
			mui.toast(rel.msg);
		}
	});
	return changeFlag;
}
function reloadData(billID)
{
	EasyPost('RepairUseMaterial/GetRepairBillDatail', {ID: billID}, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			location.reload();
		}
		else{
			mui.toast("刷新页面失败！");
		}
	});
}
function initData(proList)
{
	$("#carNumber").text("车牌号: " + GetString(proList[0].CARNUMBER));
	$("#customerName").text(GetString(proList[0].CUSTOMERNAME));
	$("#carType").text(GetString(proList[0]).CARTYPE);
	$("#VINNumber").text("VIN: " + GetString(proList[0].VINNUMBER));
	$("#billCode").text("单号: " + GetString(proList[0].CODE));
	$("#billTime").text("日期: " + GetString(proList[0].BILLTIME));
	var productHtml = ""; 
	var tmpproductHtml = "";
	for(var i = 0; i < proList.length; i++){
		var extraName = "";
		if(proList[i].BUYTYPE == 0){
			if(proList[i].DEDUCTEDFLAG == 1){
				extraName = "(套餐商品)";
			}
			productHtml += $("#productTpl").html().replace("{{No.}}", i + 1)
				.replace("{{id}}", proList[i].DETAILID)
				.replace("{{BUYTYPE}}", proList[i].BUYTYPE)
				.replace("{{SKUID}}", proList[i].PRODUCTSKUID) // 商品名称
				.replace("{{PRODUCTNAME}}", proList[i].PRODUCTNAME + extraName) // 商品名称
				.replace("{{ATTRIBUTEVALNAME}}", proList[i].ATTRIBUTEVALNAME) // 商品属性值
				.replace("{{STOCKNUM}}", proList[i].STOCKNUM) // 库存
				.replace("{{WAREHOUSEID}}", proList[i].WAREHOUSEID) // 仓库ID
				.replace("{{WAREHOUSENAME}}", proList[i].WAREHOUSENAME) // 仓库
				.replace("{{NUM}}", proList[i].NUM) // 数量
				.replace("{{REFUNDNUMBER}}", proList[i].REFUNDNUMBER) //  已领料数量
		}
		else{
			if (proList[i].BUYTYPE == 2) {
				proList[i].ATTRIBUTEVALNAME = "临时商品";
			} else if(proList[i].BUYTYPE == 3){
				proList[i].ATTRIBUTEVALNAME = "自带商品";
			}
			if(proList[i].BUYTYPE == 2 || proList[i].BUYTYPE == 3)
			{
				tmpproductHtml += $("#tmpproductTpl").html().replace("{{No.}}", i + 1)
					.replace("{{id}}", proList[i].DETAILID)
					.replace("{{BUYTYPE}}", proList[i].BUYTYPE)
					.replace("{{PRODUCTNAME}}", proList[i].PRODUCTNAME + extraName) // 商品名称
					.replace("{{ATTRIBUTEVALNAME}}", proList[i].ATTRIBUTEVALNAME) // 商品属性值
					.replace("{{NUM}}", proList[i].NUM); // 数量
			}
		}
	}
	if(tmpproductHtml != ""){
		productHtml += tmpproductHtml;
	}
	$(".product").html(productHtml); 
}
function GetProListInfo(jsonProList)
{
	if(jsonProList != '[]')
	{
		customerId = proList[0].CUSTOMERID; // 当前单据对应的客户Id
		cardTypeId = proList[0].CARDTYPEID; // 当前单据对应客户的卡类型Id
		var params = {
			customerId: customerId,
			cardTypeId: cardTypeId,
			jsonProList: jsonProList,
			async: false
		}
		// 获取库存商品信息
		EasyPost('RepairUseMaterial/GetProInfo', params, function(result){
			rel = JSON.parse(result);
			if(rel.state == 1){
				productListInfo = rel.data;
			}
			else{
				mui.toast('获取单据商品信息异常！');
			}
		});
		return productListInfo;
	}
	return false;
}
/**
 *  获取商品折扣
 * @param='DiscountType'  折扣类型 => 0:折扣 1:会员价
 * @param='DiscountAmount' 折扣价 =>  折扣比 或 会员金额
 * @param='sellPrice' 商品销售价
 * @param='num' 商品数量
 */
function GetProdDisc(DiscountType, DiscountAmount, sellPrice, num){
	var DiscData = new Object();
	if (DiscountAmount == 0) { // 折扣或会员价
		if (DiscountType == "1") { // 折扣类型0：折扣，1：会员价
			DiscData.Disc = "0.00"; //折扣
			DiscData.Discount= parseFloat(sellPrice).toFixed(2); //优惠多少金额
			DiscData.Money = "0.00"; //优惠后金额
		} 
		else {
			DiscData.Disc = "0.00"; //折扣
			DiscData.Discount = "0.00"; //优惠多少金额
			DiscData.Money = parseFloat(sellPrice * num).toFixed(2); //优惠后金额
		}
	}
	else {
		var memDisc = DiscountAmount * 0.1; //折扣
		if (DiscountType == "0") { //折扣类型0：折扣，1：会员价
			DiscData.Disc = parseFloat(memDisc * 10).toFixed(3); //折扣率
			DiscData.Discount = (parseFloat(sellPrice - sellPrice * memDisc) * num).toFixed(2); //优惠总金额（优惠多少金额）
			DiscData.Money = (sellPrice * memDisc * num).toFixed(2); //优惠后金额
		} 
		else if (DiscountType == "1") {
			memDisc = (DiscountAmount / sellPrice).toFixed(3); //折扣 = 会员价 / 销售价  
			DiscData.Disc = parseFloat(memDisc * 10).toFixed(3); //折扣率
			DiscData.Discount = (parseFloat(sellPrice - DiscountAmount) * num).toFixed(2); //优惠总金额（优惠多少金额）
			DiscData.Money = parseFloat(DiscountAmount * num).toFixed(2); //优惠后金额
		} 
		else { //未获取到商品或项目折扣时按卡折扣
			if (memDisc >= 10 || memDisc == 0 || memDisc == "") {
				memDisc = 0;
			}
			DiscData.Disc = 0; //折扣
			DiscData.Discount = parseFloat(sellPrice * num).toFixed(2); //优惠总金额（优惠多少金额）
			DiscData.Money = parseFloat(sellPrice * memDisc * num).toFixed(2); //优惠后金额
		}
	}
	return DiscData;
}
