var adjustId;
var detailData;
var openLocation=0; // 判断是否开启库位
mui.plusReady(function(){
	var self = plus.webview.currentWebview();
	self.setStyle({
		popGesture: 'hide'
	});
	adjustId = self.adjustId;
	DetailData(adjustId);
	// 显示当前页面
	mui.currentWebview.show();
});

function DetailData(adjustId){
	var params = {
		adjustId: adjustId
	}
	EasyPost("StoreAdjust/GetAdjustDetail", params, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			billData = rel.data;
			//console.log(JSON.stringify(billData));
			detailData = rel.data2;
			openLocation=rel.data3;
			$("#code").text("单据编号:" + billData[0].CODE);
			$("#finishFlag").text(billData[0].FINISHFLAG);
			$("#gain").text(billData[0].GAINNUM +"  (" + billData[0].GAINAMOUNT +"元)");
			$("#loss").text(Math.abs(billData[0].LOSSNUM) +"  (" + billData[0].LOSSAMOUNT +"元)");
			$("#warehouseId").val(billData[0].WAREHOUSEID);
			$("#warehouseName").text(billData[0].WAREHOUSENAME);
			$("#creator").text(billData[0].CREATOR);
			$("#createtime").text(billData[0].CREATETIME);
			
			var detailHtml = "";
			for(var i = 0; i < detailData.length; i++){
				detailHtml += $("#DetailTpl").html().replace("{{PRODUCTSKUID}}", detailData[i].PRODUCTSKUID)
							.replace("{{PRODUCTNAME}}", detailData[i].PRODUCTNAME)
							.replace("{{ATTRIBUTEVALNAME}}", detailData[i].ATTRIBUTEVALNAME)
							.replace("{{SUPPLIERNAME}}", detailData[i].SUPPLIER==null?"-":detailData[i].SUPPLIER) // 供应商
							.replace("{{LOCATION}}", detailData[i].LOCATION==null?"-":detailData[i].LOCATION) // 库位
							.replace("{{NUM}}", detailData[i].STOCKNUM) // 账面数
							.replace("{{CHECKNUM}}", detailData[i].NUM) // 盘点数
							.replace("{{DIFFNUM}}", detailData[i].DIFFNUM) // 差异数
							.replace("{{TYPE}}", detailData[i].TYPE == 1 ? "盘盈" : "盘亏") // 盘盈 / 盘亏
							.replace("{{AMOUNT}}", detailData[i].TYPE == 1 ? detailData[i].GAINAMOUNT :  detailData[i].LOSSAMOUNT );
			}
			if(detailHtml != ""){
				$("#detailList").html(detailHtml);
			}
			if(openLocation!=1){
				$("a.location").css('display','none');
			}
			var length = $("#detailList").find('li').length;
			for(var i = 0; i < length; i++)
			{
				var liDom = $("#detailList").children("li:eq("+ i +")");
				var text = liDom.find("span.type").text();
				if(text.indexOf("盘盈") > -1){
					liDom.find(".diffNum").css("cssText","color: #46fe92 !important;");
				}
				if(text.indexOf("盘亏") > -1){
					liDom.find(".diffNum").css("cssText","color: red !important;");
				}
			}
		}
		else{
			mui.toast('获取调整单详情失败！');
			return ;
		}
	});
}
