var popup = $(".popup");
var maskBox = $(".mask-left");
var conBrand = $(".popup .con");
$(document).ready(function() {
	$(".start").click(function() {
		var startDatePicker = new mui.DtPicker({
			type: 'date'
		});
		startDatePicker.show(function(selectItems) {
			var nowtime = (new XDate()).toString("yyyy-MM-dd");
			if(nowtime < selectItems.text){
				mui.toast("开始时间不能选择大于当前时间");
				return;
			}
			$(".ChooseTime a").removeClass("actived");
			$(".start").val(selectItems.text);
			startDatePicker.dispose();
		});
	});
	$(".end").click(function() {
		var endDatePicker = new mui.DtPicker({
			type: 'date'
		});
		endDatePicker.show(function(selectItems) {
			var startDate = $("#startDate").val();
			if (!IsEmptyStr(startDate) && startDate > selectItems.text) {
				mui.toast("结束时间不能小于开始时间");
				return;
			}
			$(".ChooseTime a").removeClass("actived");
			$(".end").val(selectItems.text);
			endDatePicker.dispose();
		});
	});
});
$(".screen2").click(function() {
	popup.css('top', '0');
	maskBox.css('left', '0');
	conBrand.css('right', '0');
	$("#J-screen").show();
});
// 点击仓库选项
$("#J-screen ul li:eq(0)").click(function() {
	showWareHouseName();
	setTimeout(function(){
		$("#J-models").show()
		$("#J-screen").hide();
		$("#searchKey").val("");
		$("#selectType").val(1);
		$(".tit2").text("选择仓库");
	},500);
});
// 点击制单人选项
$("#J-screen ul li:eq(1)").click(function() {
	showEmployeeName();
	setTimeout(function(){
		$("#J-models").show();
		$("#J-screen").hide();
		$("#searchKey").val("");
		$("#selectType").val(2);
		$(".tit2").text("选择制单人");
	},500);
});
// 点击日期 -- 本月 本季度 本年
$(".ChooseTime a").click(function() {
	var currentDate, firstDate, endDate;
	$(this).addClass("actived").siblings().removeClass("actived");
	if($(this).text() == "本月")
	{
		firstDate = new Date();
		firstDate.setDate(1); //第一天
		endDate = new Date();
		endDate.setMonth(firstDate.getMonth() + 1);
		endDate.setDate(0);
	}
	else if($(this).text() == "本季度"){
		currentDate = new Date();
		firstDate = getFirstDayOfSeason(currentDate);
		endDate = getEndDayOfSeason(currentDate);
	}
	else if($(this).text() == "本年")
	{
		firstDate = new Date();
		firstDate.setMonth(0);
		firstDate.setDate(1);
		endDate = new Date();
		endDate.setMonth(12);
		endDate.setDate(0);
	}
	$(".start").val(new XDate(firstDate).toString('yyyy-MM-dd'));
	$(".end").val(new XDate(endDate).toString('yyyy-MM-dd'));
});

$("#J-models .back").click(function(){
	$("#J-screen").show(); // 更多筛选
	$("#J-models").hide(); // 选择仓库 / 选择制单人
});
// 确认按钮
$("#submitBtn").click(function(){
	// 更多筛选 显示
	if($("#J-screen").is(":visible")){
		hide();
		container.pullRefresh().pulldownLoading();
	}
	// 选择仓库 / 选择制单人 显示
	if($("#J-models").is(":visible")){
		var item =$(".choose li a");
		var isSelect= item.find("label").hasClass("mui-icon mui-icon-checkmarkempty");
		if(isSelect){
			var selectItem = item.find(".mui-icon-checkmarkempty").parents('li');
			var selectId = selectItem.find('input').val();
			var selectName = selectItem.find('.item').text();
			// 选择仓库
			if($('#selectType').val() == 1)
			{
				$("#warehouseId").val(selectId);
				$("#warehouseName").val(selectName);
				$("#selectWarehouse").find('span.item').text(selectName);
			}
			// 选择制单人
			else{
				$("#creatorId").val(selectId);
				$("#creator").val(selectName);
				$("#selectCreator").find('span.item').text(selectName);
			}
			$("#J-screen").show()
			$("#J-models").hide();
		}
		else{
			mui.toast("请"+$(".tit2").text());
		}
	}
});
//重置按钮
$("#resetBtn").click(function(){
	$("#warehouseId").val("");
	$("#warehouseName").val("");
	$("#selectWarehouse").find('span.item').text('仓库');
	$("#selectCreator").find('span.item').text('制单人');
	$(".ChooseTime a:eq(0)").addClass("actived").siblings().removeClass("actived");
	initDate();
	$("#searchKey").val("");
	$(".choose li a").find('label').removeClass("mui-icon mui-icon-checkmarkempty");
});
// 关键词按键搜索
$("#searchKey").on("keyup", function(e){
	if(e.originalEvent.keyCode == 13){
		var keywords = $.trim(mui('#searchKey')[0].value);
		if($("#selectType").val() == 1){
			showWareHouseName(keywords);
		}
		else{
			showEmployeeName(keywords);
		}
		if(keywords != ""){
			document.activeElement.blur();
		}
	}
});
//关键词离开后搜索
$("#searchKey").on('blur', function(e){
	document.activeElement.blur();
});
$(".mask-left").click(function() {
	hide();
	$("#J-models").hide(); // 选择仓库 / 选择制单人
});
function hide() {
	setTimeout(function() {
		popup.css('top', '-100%');
	}, 500);
	maskBox.css('left', '-100%');
	conBrand.css('right', '-100%');
};
// 仓库列表
function showWareHouseName(keywords="")
{
	var shopId = UserInfo.operaShopId();
	var params = {
		shopId: shopId,
		keywords: keywords
	};
	EasyPost("StoreCheck/GetWarehouseName", params, function(result){
		var rel = JSON.parse(result);
		 if(rel.state == 1){
			 warehouseData = rel.data;
		 }
		 else{
			 mui.toast(rel.msg);
			 return ;
		 }
		 var warehouseHtml = '';
		 for(var i = 0; i < warehouseData.length; i++) {
			warehouseHtml += $("#chooseTpl").html().replace("{{NAME}}", warehouseData[i].NAME)
									 .replace("{{ID}}", warehouseData[i].ID)
		 }
		 $(".choose").html(warehouseHtml);
		 $(".choose li a").on("tap", function(){
			addSelectClass(this);
		 });
	});
}
// 员工列表
function showEmployeeName(keywords)
{
	var shopId = UserInfo.operaShopId();
	var params = {
		shopId: shopId,
		keywords: keywords,
	};
	EasyPost("StoreCheck/GetEmployeeName", params, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			employeeData = rel.data;
		}
		else{
			mui.toast(rel.msg);
			return ;
		}
		var employeeHtml = '';
		for(var i = 0; i < employeeData.length; i++) {
			employeeHtml += $("#chooseTpl").html().replace("{{NAME}}", employeeData[i].NAME)
									.replace("{{ID}}", employeeData[i].ID)
		}
		$(".choose").html(employeeHtml);
		$(".choose li a").on("tap", function(){
			addSelectClass(this);
		});
	});
}
function addSelectClass(thisLi)
{
	var label = $(thisLi).find("label");
	if(label.hasClass("mui-icon mui-icon-checkmarkempty"))
	{
		label.removeClass("mui-icon mui-icon-checkmarkempty");
	}
	else
	{
		$(thisLi).find("label")
			   .addClass("mui-icon mui-icon-checkmarkempty")
			   .parents().siblings().find("label")
			   .removeClass("mui-icon mui-icon-checkmarkempty")
	}
}
//获取当季第一天
function getFirstDayOfSeason (currentDate) {
	var month = currentDate.getMonth();
	if(month <3){
		currentDate.setMonth(0);     
	}
	else if(2 < month && month < 6){
		currentDate.setMonth(3);
	}
	else if(5 < month && month < 9){
		currentDate.setMonth(6);
	}
	else if(8 < month && month < 12){
		currentDate.setMonth(9);
	}
	firstDate = new Date(currentDate);
	firstDate.setDate(1);
	return firstDate;
}
//获取当季最后一天
function getEndDayOfSeason (currentDate) {
	var month = currentDate.getMonth();
	if(month <3){
		currentDate.setMonth(2);     
	}
	else if(2 < month && month < 6){
		currentDate.setMonth(5);
	}
	else if(5 < month && month < 9){
		currentDate.setMonth(8);
	}
	else if(8 < month && month < 12){
		currentDate.setMonth(11);
	}
	endDate = new Date(currentDate);
	endDate.setMonth(currentDate.getMonth() + 1);
	endDate.setDate(0);
	return endDate;
}
