/*
首页页面JS * 
 */
;

mui.init();
var pushMsg = null;
var permissionList; //权限
var isDevice = false;
var isPlay = false;
//获得slider插件对象
var gallery = mui('.mui-slider');
// gallery.slider({
// 	interval: 3000 //自动轮播周期，若为0则不自动播放，默认为0；
// });
// 未读消息滚动事件
var messageInterval = null;
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	document.activeElement.blur();
	UserInfo.has_login(); //是否登录超时	
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		bounce: true, //是否启用回弹
		indicators: false, //是否显示滚动条
	});
	plus.navigator.closeSplashscreen(); //关闭splash页面
	plus.navigator.setStatusBarStyle('light'); //设置状态栏字体颜色
	mui("#customerName")[0].innerHTML = UserInfo.CustomerName();
	plus.nativeUI.showWaiting("加载权限中..."); //显示原生等待框
	GetPermission(); //获取权限
	GetCarousel(); // 加载轮播图
	GetSystemSet(); //获取系统设置

	//模块点击事件
	$(".item").on("tap", "li", function() {
		var name = $(this).data("name");
		var id = $(this).data("id");
		//点击是否播放声音
		if(isPlay) {
			var p = plus.audio.createPlayer("../mp3/11040.mp3");
			p.play();
			setTimeout(function() {
				p.stop()
			}, 800);
		}
		//点击是否震动
		if(isDevice) {
			plus.device.vibrate(500);
		}

		var checkPermission = validateAuthority(permissionList, "首页", id);
		if(!checkPermission) {
			return; //没有权限
		}
		if("配件查询" == $(this).data("id") && UserInfo.serviceId() == "324aea7544ca4fc19c512918c94f2727") {
			MyOpenWindows("partsSearch", {}, $(this).data("id"));
			return;
		}
		cancel();
		MyOpenWindows($(this).data("name").replace(".html", ""), {}, $(this).data("id"));
	});
	//底部导航
	$(".footer").on("tap", "li", function() {
		var name = $(this).data("name");
		var id = $(this).data("id");
		//点击是否播放声音
		if(isPlay) {
			var p = plus.audio.createPlayer("../mp3/11040.mp3");
			p.play();
			setTimeout(function() {
				p.stop()
			}, 800);
		}
		//点击是否震动
		if(isDevice) {
			plus.device.vibrate(500);
		}

		$(this).addClass("active").siblings().removeClass("active");
		if($(this).data("id") != "index") {
			var checkPermission = validateAuthority(permissionList, "底部导航", id);
			if(!checkPermission) {
				return; //没有权限
			}
			cancel();
			MyOpenWindows($(this).data("name").replace(".html", ""), {}, $(this).data("id"))
		}
	});
	//退出
	var backButtonPress = 0;
	mui.back = function(event) {
		backButtonPress++;
		if(backButtonPress > 1) {
			plus.runtime.quit();
		} else {
			plus.nativeUI.toast('再按一次退出应用');
		}
		setTimeout(function() {
			backButtonPress = 0;
		}, 1000);
		return false;
	};
	// 提示有未读的消息
	showUnReadMessage();
	//延时加载
	mui.later(function() {
		loadHearerImg();
		gallery.slider({
			interval: 3000 //自动轮播周期，若为0则不自动播放，默认为0；
		});
		// 轮播图点击事件
		$("#carouselImg").on("tap", "div", function() {
			var businessType = $(this).children('input[name="businessType"]').val(); // 0：无跳转，1：当前图文，2：外链，3：功能业务
			var url = $(this).children('input[name="url"]').val(); // 业务地址 or 外链地址
			var business = $(this).children('input[name="business"]').val(); // 业务名称
			var id = $(this).children('input[name="ID"]').val();
			// 跳转图文
			if(businessType == 1) {
				MyOpenWindows("../Html/Basic/PicDetail", {
					cid: id
				}, "图文详情");
			}
			// 跳转外链地址
			else if(businessType == 2) {
				if(url.indexOf("http://") == -1) {
					if(url.indexOf("https://") == -1) {
						url = "https://" + url;
					}
				}
				MyOpenWindows("outLink", {
					url: url
				}, "跳转链接");
			}
			// 跳转业务
			else if(businessType == 3) {
				MyOpenWindows(url, {}, business);
			}
		});
	}, 1000);
	// 监听ocr识别操作完后，跳转到指定页面
	window.addEventListener('OcrJumpHtml', function(e) {
		var rtInfo = e.detail.fireData;
		if(rtInfo) {
			closePageListByID('index');
			var pageInfo = rtInfo['pageInfo' + rtInfo.pageIndex];
			if(pageInfo) {
				var fireData = pageInfo.fireData; // 参数
				if(fireData == undefined || fireData == null) {
					MyOpenWindows(pageInfo.url, {}, pageInfo.id);
				} else {
					MyOpenWindows(pageInfo.url, fireData, pageInfo.id);
				}
			}
			rtInfo.pageIndex = rtInfo.pageIndex + 1;
			// 触发下级事件
			if(rtInfo.pageIndex < rtInfo.pageLevels) {
				setTimeout(function() {
					var page = plus.webview.getWebviewById(pageInfo.id);
					if(page) {
						mui.fire(page, 'OcrJumpHtml', {
							'fireData': rtInfo
						});
					}
				}, 600);
			}
		}
	});
	//监听切换员工
	window.addEventListener('refresh', function() {
		mui("#customerName")[0].innerHTML = UserInfo.CustomerName();
	});
	// 监听是否全部已读
	window.addEventListener('ReadedMessage', function(e) {
		var data = e.detail.fireData;
		if(data.isRead) {
			showMessageTip(true);
		} else {
			showUnReadMessage();
		}
	});
	GetRemindCount();
});
//加载轮播图
function GetCarousel() {
	EasyPost("AppMain/GetCarousel", {
		type: 1
	}, function(data) {
		UserInfo.HasAuth(data, "logout");
		var result = JSON.parse(data);
		if(result.State == 1) {
			var carouselHtml = "";
			var rel = result.Data;
			if(rel.length > 0) {
				first = rel[0];
				last = rel[rel.length - 1];
				// 循环节点
				lastHtml = $("#firstImgTpl").html().replace("{{ID}}", last.ID)
					.replace("{{URL}}", last.URL) // 业务地址 or 外链地址
					.replace("{{BUSINESS}}", last.BUSINESS) // 业务名称
					.replace("{{SORT}}", last.SORT) // 排序
					.replace("{{BUSINESSTYPE}}", last.BUSINESSTYPE) // 0：无跳转，1：当前图文，2：外链，3：功能业务
					.replace("{{IMGURL}}", last.IMGURL); // 图片地址
				carouselHtml += lastHtml;
				for(var i = 0; i < rel.length; i++) {
					var it = rel[i];
					carouselHtml += $("#otherImgTpl").html().replace("{{ID}}", it.ID)
						.replace("{{URL}}", it.URL) // 业务地址 or 外链地址
						.replace("{{BUSINESS}}", last.BUSINESS) // 业务名称
						.replace("{{SORT}}", it.SORT) // 排序
						.replace("{{BUSINESSTYPE}}", it.BUSINESSTYPE) // 0：无跳转，1：当前图文，2：外链，3：功能业务
						.replace("{{IMGURL}}", it.IMGURL); // 图片地址
				}
				// 循环节点
				firstHtml = $("#firstImgTpl").html().replace("{{ID}}", first.ID)
					.replace("{{URL}}", first.URL) // 业务地址 or 外链地址
					.replace("{{BUSINESS}}", last.BUSINESS) // 业务名称
					.replace("{{SORT}}", first.SORT) // 排序
					.replace("{{BUSINESSTYPE}}", first.BUSINESSTYPE) // 0：无跳转，1：当前图文，2：外链，3：功能业务
					.replace("{{IMGURL}}", first.IMGURL); // 图片地址
				carouselHtml += firstHtml;
				$("#carouselImg").html(carouselHtml);
			} else {
				$("#carouselImg").hide();
			}
		} else {
			mui.toast(result.Msg);
			UserInfo.Logout(); //返回登录页
		}
	});
}
//加载权限
function GetPermission() {
	EasyPost("AppMain/GetPermissionByRoleId", {}, function(data) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(data, "logout");
		var rel = JSON.parse(data);
		if(rel.State == 1) {
			data = JSON.parse(rel.Data);
			var relList = data.roleList; //权限列表
			speechSetList = JSON.stringify(data.speechSetList); //语音设置
			var tp = data.shopList; //权限门店列表
			permissionList = JSON.stringify(relList);
			plus.storage.setItem('permissionList', permissionList); //菜单权限
			plus.storage.setItem('speechSetList', speechSetList); //语音设置
			if(relList.length == 0) {
				mui.toast("无操作权限");
				UserInfo.Logout(); //返回登录页
			}
			var sweepHtml = ""; //扫码下拉
			var firstItemHtml = ""; //第二级首页模块
			var secondItemHtml = ""; //第二级首页模块
			var bottomHtml = ""; //底部模块
			for(var i = 0; i < relList.length; i++) {
				var it = relList[i];
				if(it.MENUTYPE == 1 && "首页" == it.PARENTNAME) {
					sweepHtml += $("#sweepContentPl").html()
						.replace("{{METHOD}}", it.METHOD)
						.replace("{{ICON}}", it.ICON)
						.replace("{{MENUNAME}}", it.MENUNAME);
				}
				if(it.MENUTYPE == 0 && "首页" == it.PARENTNAME && it.SORT < 15) {
					firstItemHtml += $("#firstItemPl").html()
						.replace("{{FINALPATH}}", it.FINALPATH)
						.replace("{{ICON}}", it.ICON)
						.replace(/{{MENUNAME}}/g, it.MENUNAME);
				}
				if(it.MENUTYPE == 0 && "首页" == it.PARENTNAME && it.SORT > 14) {
					secondItemHtml += $("#secondItemPl").html()
						.replace("{{FINALPATH}}", it.FINALPATH)
						.replace("{{ICON}}", it.ICON)
						.replace(/{{MENUNAME}}/g, it.MENUNAME);
				}
				if(it.MENUTYPE == 0 && "底部导航" == it.PARENTNAME) {
					bottomHtml += $("#footerPl").html()
						.replace("{{FINALPATH}}", it.FINALPATH)
						.replace("{{ICON}}", it.ICON)
						.replace(/{{MENUNAME}}/g, it.MENUNAME);
				}
			}
			$("#firstItem").html(firstItemHtml);
			$("#secondItem").html(secondItemHtml);
			$("#footerItem").append(bottomHtml);
			$("#sweepContentUl").html(sweepHtml);

			var shopHtml = ""; //门店下拉
			for(var i = 0; i < tp.length; i++) {
				shopHtml += $("#shopPanel").html().replace("{{shopname}}", tp[i].NAME).replace("{{shopid}}", tp[i].ID);
				if(tp[i].ID == UserInfo.ShopId()) {
					$("#header h3 label").text(tp[i].NAME);
					var shopName = plus.storage.getItem('thisShopName');
					if(shopName != undefined && shopName != null && shopName != "") {
						$("#header h3 label").text(shopName);
					}
				}
			}
			$("#shopList").html(shopHtml);

			var thisShopId = plus.storage.getItem('thisShopId');
			if(thisShopId != undefined && thisShopId != null && thisShopId != "") {
				UserInfo.operaShopId(thisShopId);
			} else {
				UserInfo.operaShopId(UserInfo.ShopId());
			}

			//设置门店下拉高度
			SetHeight();
		} else {
			mui.toast(rel.Msg);
			UserInfo.Logout(); //返回登录页
		}
	});
}
//延时加载头像
function loadHearerImg() {
	//var imgUrl = "_doc/images/header/" + UserInfo.CustomerId() + ".png";
	EasyPost("EmployeeManage/GetHeaderImg", {}, function(data) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(data, "return");
		var result = JSON.parse(data);
		var state = result.state;
		var loadUrl = result.data;
		if(state == 1) {
			$(".hearderimg").css("background", "url(" + loadUrl + ") no-repeat center center");
		}
	});
}
//获取系统设置
function GetSystemSet() {
	var userInfo = UserInfo.getUserModel();
	var employeeId = userInfo.CustomerId;
	var url = "AppExtend/GetSystemSet";
	var param = {
		employeeid: employeeId
	};
	EasyPost(url, param, function(data) {
		plus.nativeUI.closeWaiting();
		var result = JSON.parse(data);
		if(result.State == 0) {
			mui.toast(result.Msg);
			return;
		} else {
			var html = "";
			var setData = result.Data;
			$.each(setData, function(index, value) {
				if(value.BUSINESS == "震动") {
					isDevice = value.VALUE == 0 ? true : false;
				}
				if(value.BUSINESS == "声音") {
					isPlay = value.VALUE == 0 ? true : false;
				}
			});
		}
	});
}
//上传头像
mui(".TopInfo").on("tap", ".hearderimg", function() {
	var imgUrl = "_doc/images/header/" + UserInfo.CustomerId() + ".png";
	var filename = UserInfo.CustomerId() + ".png";
	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			//title: "修改用户头像",
			cancel: "取消",
			buttons: a
		}, function(b) { /*actionSheet 按钮点击事件*/
			switch(b.index) {
				case 0:
					break;
				case 1:
					getImage(imgUrl, uploadImg); /*拍照*/
					break;
				case 2:
					galleryImg(imgUrl, filename, uploadImg); /*打开相册*/
					break;
				default:
					break;
			}
		})
	}
});
//上传头像
function uploadImg(msg, state, data) {
	if(state == 100) {
		EasyPost("EmployeeManage/UploadHeaderImg", {
			data: data
		}, function(data) {
			//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
			UserInfo.HasAuth(data, "return");
			var result = JSON.parse(data);
			var state = result.state;
			var loadUrl = result.data;
			if(state == 1) {
				$(".hearderimg").css("background", "url(" + loadUrl + ") no-repeat center center");
			}
		});
	} else {
		if(state != 102) {
			mui.toast(msg);
		}
	}
};
//个人中心事件
mui(".PersonalCenter").on("tap", "li", function() {
	var id = $(this).data("id");
	switch(id) {
		case "evaluate": //好评
			evaluate();
			break;
		case "message": // 消息通知
		case "systemSet": //系统设置					
		case "accountManage": //帐号管理
		case "guanyu": //关于我们	 
		case "AppSet": //帐号管理			
			openWindow(this);
			break;
		default:
			break;
	}
});
//右滑事件
mui("#header").on("tap", ".personal", function() {
	$(".StoreList").slideUp();
	mui('.mui-off-canvas-wrap').offCanvas('show');
});
//选择操作门店
mui("#header").on("tap", "h3", function() {
	$(".StoreList").slideToggle();
	$(".backdrop").show();
	$(".sweepContent").fadeOut();
});
mui("body").on("tap", ".backdrop", function() {
	$(".StoreList").slideToggle();
	$(".backdrop").hide();
});
//选择门店
mui(".StoreList").on("tap", "ul li", function() {
	$(".StoreList").slideToggle();
	$(this).addClass("StoreActive").siblings().removeClass("StoreActive");
	var txt = $(this).find("label").text();
	var tp = $(this).children("input").val();
	UserInfo.operaShopId(tp);
	UserInfo.operaShopName(txt);
	$("#header h3 label").text(txt);
	$("#header h3 span").attr("class", "mui-icon mui-icon-arrowdown");
	$(".backdrop").hide();
	GetRemindCount();

});
//个人中心跳转
function openWindow(obj) {
	var url = $(obj).data("name");
	var id = $(obj).data("id");
	MyOpenWindows(url, {}, id);
}

//扫码识别
$("#sweepContentUl").on("tap", "li", function() {
	var id = this.id;
	switch(id) {
		case "vehicleTravelLicenseOcr": //驾驶证识别
			var checkPermission = validateAuthority(null, "首页", "驾驶证");
			if(!checkPermission) {
				return; //没有权限
			}
			EasyGet("NewRepair/CheckOrcNum", 15000, function(e) {
				if(e.State == 1) {
					ocrSourceList('DriverLicense', '驾驶证照片', function(message, state, localImgUrl) {
						if(state == 1) {
							var tParam = {
								localImgUrl: localImgUrl
							};
							MyOpenWindows("./Customer/OcrDriverLicense", tParam, 'OcrDriverLicense');
						} else if(state != 0) {
							mui.toast(message);
						}
					});
				} else {
					mui.toast(e.Msg);
				}
			});
			break;
		case "vinOcr": //vin识别			
			var checkPermission = validateAuthority(null, "首页", "VIN识别");
			if(!checkPermission) {
				return; //没有权限
			}
			EasyGet("NewRepair/CheckOrcNum", 15000, function(e) {
				if(e.State == 1) {
					ocrSourceList('VIN', 'VIN照片', function(message, state, localImgUrl) {
						if(state == 1) {
							var tParam = {
								localImgUrl: localImgUrl
							};
							MyOpenWindows("./Customer/OcrVin", tParam, 'OcrVin');
						} else if(state != 0) {
							mui.toast(message);
						}
					});
				} else {
					mui.toast(e.Msg);
				}
			});
			break;
		case "driverLicenseOcr": //行驶证识别		
			var checkPermission = validateAuthority(null, "首页", "行驶证");
			if(!checkPermission) {
				return; //没有权限
			}
			EasyGet("NewRepair/CheckOrcNum", 15000, function(e) {
				if(e.State == 1) {
					ocrSourceList('DrivingLicense', '行驶证照片', function(message, state, localImgUrl) {
						if(state == 1) {
							var tParam = {
								localImgUrl: localImgUrl
							};

							MyOpenWindows("./Customer/OcrDrivingLicense", tParam, 'OcrDrivingLicense');
						} else if(state != 0) {
							mui.toast(message);
						}
					});
				} else {
					mui.toast(e.Msg);
				}
			});
			break;
		case "carNumOcr": //车牌识别		
			EasyGet("NewRepair/CheckOrcNum", 15000, function(e) {
				if(e.State == 1) {
					var o = new ocr("/CustomerManage/OcrDriverLicense", {
						type: 0
					}, function(e) {
						test(e);
					});
				} else {
					mui.toast(e.Msg);
				}
			});
			o.captureImage();
			break;
		case "scanBill": //扫一扫开单
			EasyGet("NewRepair/CheckOrcNum", 15000, function(e) {
				if(e.State == 1) {
					ocrSourceList('scanBillResult', '车牌号识别', function(message, state, localImgUrl) {
						if(state == 1) {
							var tParam = {
								localImgUrl: localImgUrl
							};
							MyOpenWindows("scanBillResult", tParam, 'scanBillResult');
						} else if(state != 0) {
							mui.toast(message);
						}
					});
				} else {
					mui.toast(e.Msg);
				}
			});
			break;
		default:
			break;
	}
});
//根据不同的门店数显示下来门店的高度，超过五家固定230高
function SetHeight() {
	var len = $(".StoreList ul li").length;
	if(len >= 5) {
		$(".StoreList").css("height", "225px");
	} else {
		$(".StoreList").css("height", "auto");
	}
}
// 扫码切换显示
$("#header").on("tap", ".sweep", function() {
	var html = $("#sweepContentUl li").length;
	if(html == 0) {
		mui.alert("您未开通扫码权限");
		return;
	}
	$(".sweepContent").fadeToggle();
});

$(".sweepContent").on("tap", "li", function() {
	$(".sweepContent").fadeToggle();
});

// 显示是否存在未读消息（wwr）
function showUnReadMessage() {
	EasyPost("Message/GetAppMessageUnReadCount", {
		"MessageType": -1
	}, function(result) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(result, "logout");
		var re = JSON.parse(result);
		if(re.state == 0) {
			// 消息中心
			if(re.data > 0) {
				// 消息通知显示红点
				$('#AppMessage').css('display', 'block');
			} else {
				// 消息通知不显示红点
				$('#AppMessage').css('display', 'none');
			}
			// 消息滚动栏
			var strHtml = '';
			if(re.data > 0) { // 未读消息
				// 显示消息数量
				$("span.NoticeNum").text(re.data > 99 ? "99+" : re.data).attr('data-count', re.data).css('display', 'block');
				var unList = re.data2;
				for(var i = 0; i < unList.length; i++) {
					strHtml += "<li id='" + unList[i].ID + "' data-batchID='" + unList[i].REMARK + "' data-messagetype='" + unList[i].MESSAGETYPE + "' data-categorty='"+unList[i].REMINDCATEGORTY+"' data-url='" + unList[i].URL + "' data-param='" + unList[i].PARAM + "'><p>" + unList[i].CONTENT + "</p></li>"
				}
				$('div.winBox ul').html(strHtml);
				// 添加点击事件
				$('div.winBox ul').on('tap', 'li', function() {
					ToMessageDetail(this);
					return false;
				});
				// 添加滚动事件
				if(re.data > 1) {
					messageInterval = setInterval('AutoScroll("div.scroll")', 3000);
				}
			} else if(re.data2 != undefined && re.data2.length > 0) {
				// 已读消息
				var unList = re.data2;
				for(var i = 0; i < unList.length; i++) {
					strHtml += "<li id='" + unList[i].ID + "' data-batchID='" + unList[i].REMARK + "' data-messagetype='" + unList[i].MESSAGETYPE + "' data-categorty='"+unList[i].REMINDCATEGORTY+"' data-url='" + unList[i].URL + "' data-param='" + unList[i].PARAM + "'><p>" + unList[i].CONTENT + "</p></li>"
				}
				$('div.winBox ul').html(strHtml);
				// 添加点击事件
				$('div.winBox ul').on('tap', 'li', function() {
					ToMessageDetail(this);
					return false;
				});
			} else {
				// 隐藏消息滚动栏
				$('div.winBox').css('display', 'none');
			}
		} else { // 获取失败
			// 消息通知不显示红点
			$('#AppMessage').css('display', 'none');
			// 隐藏消息滚动栏
			$('div.winBox').css('display', 'none');
		}
		if(re.data && re.data != null) {
			if(re.data > 0) {
				// 消息通知显示红点
				$('#AppMessage').css('display', 'block');
			} else {
				// 消息通知不显示红点
				$('#AppMessage').css('display', 'none');
			}
		}
	});
}
// 控制是否显示小红点
function showMessageTip(displayType) {
	if(displayType) {
		$('#AppMessage').css('display', 'block');
	} else {
		$('#AppMessage').css('display', 'none');
	}
}
// 跳转到消息中心页面
$('div.winBox').on('tap', '.box', function() {	
	MyOpenWindows('Personal/message.html', {}, 'message');
});

// 滚动栏滚动事件
function AutoScroll(obj) {
	$(obj).find("ul:first").animate({
			marginTop: "-40px"
		},
		500,
		function() {
			$(this).css({
				marginTop: "0px"
			}).find("li:first").appendTo(this);
		});
}
// 跳转到消息详情页面
function ToMessageDetail(obj) {
	var mId = $(obj).attr('data-batchID');
	var mType = $(obj).attr('data-messagetype');
	if(mType=="0"){
		mId= $(obj).attr('id');
	}
	var mCategorty = $(obj).attr('data-categorty');
	console.log(mCategorty);
	var mUrl = $(obj).attr('data-url');
	var mParam = $(obj).attr('data-param');
	if(mParam == 'undefined' || mParam == 'null' || mParam == '') {
		mParam = null;
	} else {
		mParam = JSON.parse(mParam);
	}
	// 修改显示未读数量
	var count = parseInt($('span.NoticeNum').attr('data-count'));
	if(isNaN(count) || count <= 1) {
		$("span.NoticeNum").css('display', 'none');
		if(messageInterval != null) {
			clearInterval(messageInterval);
		}
	} else { 
		count--;
		$("span.NoticeNum").text(count > 99 ? "99+" : count).attr('data-count', count);
		$(obj).remove();

		if(count <= 1 && messageInterval != null) {
			clearInterval(messageInterval);
		}
	}
	// 设为已读
	setMessageState(mId,mType);
	// 直接跳转到消息详情页面（现在采用这种方法）
	// 跳转到我的消息页面，再跳转到消息详情(另一种实现方法)	
	if(mParam == null || mParam == undefined) {
		MyOpenWindows(mUrl, {});
	} else {			
		if(mCategorty == '1') {
			mParam.CASHTYPE = ""; // 维修单据提醒
		}
		MyOpenWindows(mUrl, mParam);
	}
	
	return false;
}
// 设为已读
function setMessageState(messageID,messageType) {
	if(messageType=="0") {
		// 系统消息在查看详情时修改状态
		return;
	}
	EasyPost("Message/ModifyAppMessageState", {
		"RecordID": messageID,
		"MessageType":messageType
	}, function(result) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(result, "logout");
	});
}

$(".speechico").on("tap", function() {
	stopPlay();
	startPlay("../mp3/startHome.mp3");
	startRecognize(1);
	cancel();
})

$(".part3").on("tap", ".voice", function() {
	stopPlay();
	startRecognize(1);
})
//关闭语音识别页面

function close2() {
	$(".bg").removeClass("ShowSpeech");
	loadHomeData();
}

$("#speechUl").on("tap", "li", function() {
	var detail = $(this).attr("detail").replace(/'/g, '"');
	var li = JSON.parse(detail);
	var checkPermission = validateAuthorityByPath(v_URL, v_BUSINESS);
	if(!checkPermission) {
		return; //没有权限
	}
	if("配件查询" == v_BUSINESS && UserInfo.serviceId() == "324aea7544ca4fc19c512918c94f2727") {
		v_URL = 'partsSearch';
	}
	switch(v_BUSINESS) {
		case "消费记录":
			v_PARAMS = {
				customerId: li.CUSTOMERID,
				carId: li.CARID,
				cell: 1,
				customerType: 0
			};
			break;
		case "检车记录":
			v_PARAMS = {
				customerId: li.CUSTOMERID,
				carId: li.CARID,
				cell: 2,
				customerType: 0
			};
			break;
		case '车辆详情':
			v_PARAMS = {
				customerId: li.CUSTOMERID,
				carId: li.CARID,
				cell: 0,
				customerType: 0
			};
			break;
		case '客户详情':
			var fireData = {
				customerID: li.CUSTOMERID,
				customerShopID: li.SHOPID
			};
			v_PARAMS = {
				fireData: fireData
			}
			break;
		default:
			v_URL = li.URL;
			v_BUSINESS = li.BUSINESS;
			break;
	}
	v_URL = v_URL.replace("../", "");
	$(".bg").removeClass("ShowSpeech");
	MyOpenWindows(v_URL, v_PARAMS, v_BUSINESS);
	startPlay("../mp3/11040.mp3");
	plus.device.vibrate(500);
})

///执行其他页面回退到首页页面刷新
window.addEventListener('refreshs', function(e) { //执行刷新
	location.reload();
});
//扫一扫弹窗点击任意地方隐藏弹窗
var stopEvent = function(event) {
	e = event || window.event;
	if(e.stopPropagation) {
		e.stopPropagation();
	} else {
		e.cancelBubble = true;
	}
};
if(document.addEventListener) {
	document.addEventListener('touchstart', function() {

		if(!$(".sweepContent").is(":hidden")) {
			$(".sweepContent", window.parent.document).css("display", "none");
		}

	});
}

$(".speechico").on('touchstart', function(event) {
	var disx = event.originalEvent.changedTouches[0].clientX - $(this).offset().left;
	var disy = event.originalEvent.changedTouches[0].clientY - $(this).offset().top;
	var moveFlag = true;
	$(document).on('touchmove', function(event) {
		//          event.preventDefault();
		if(moveFlag) {
			$(".speechico").css({
				"left": event.originalEvent.changedTouches[0].clientX - disx,
				"top": event.originalEvent.changedTouches[0].clientY - disy
			});
		}
	});
	$(document).on('touchend', function() {
		moveFlag = false;
	})
});
//获取提醒数量
function GetRemindCount(){
	var shopId=UserInfo.operaShopId();
	var url="Remind/Statistics";
	var params={
		shopId:shopId
	};
	DoPost(url,params,function(rel){
		if(rel.State==1){
			var data=rel.Data;
			if(data>0){
				$("#提醒").show();
				$("#提醒").text(data);
			}
		}
	});
}