/*注册页面JS
 * 
 */
var province = [];
var city = [];
var provinceId = "";
var cityId = "";
mui.init();
mui.plusReady(function() {
	GetArea(2, "");
	plus.nativeUI.closeWaiting();
});
var Picker = new mui.PopPicker();
$("#province").on("tap", function() {
	$("#shopName").blur(); 
	Picker.setData(province);
	//PayTypePicker.pickers[0].setSelectedValue("", 200);
	Picker.show(function(SelectedItem) {
		provinceId = SelectedItem[0].value;
		var text = SelectedItem[0].text;
		$("#province").val(text);
		if (provinceId != "" && text != "天津市" && text != "上海市" && text != "北京市" &&
			text != "重庆市" && text != "香港特别行政区" && text != "澳门特别行政区" && text != "海外" &&
			text != "其他" && text != "西藏自治区") {
			GetArea(3, provinceId);
			$("#city").val("");
			$("#cityDiv").show();
		} else {
			city = [];
			cityId = "";
			$("#cityDiv").hide();
		}
	});
});
$("#city").on("tap", function() {
	$("#shopName").blur(); 
	Picker.setData(city);
	Picker.show(function(SelectedItem) {
		cityId = SelectedItem[0].value;
		var text = SelectedItem[0].text;
		$("#city").val(text);
	});
});

function GetArea(AREATYPE, PARENTID) {
	var url = zyzlApi.ApiUrl + "AppLogin/GetArea";
	var obj = {
		AREATYPE: AREATYPE,
		PARENTID: PARENTID
	};
	var obj = JSON.stringify(obj);
	mui.post(url, {
		"": obj
	}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		data = rel.Data;
		if (AREATYPE == 3) {
			city = [];
		}
		for (var i = 0; i < data.length; i++) {
			var info = {
				value: data[i].ID,
				text: data[i].AREANAME
			}
			if (AREATYPE == 2) {
				province.push(info);
				//显示当前页面
				mui.currentWebview.show();
			} else if (AREATYPE == 3) {
				city.push(info);
			}
		}
	}, 'json');
}
//发送验证码
$("#btnCode").on("tap", function() {
	$("#Code").focus();
	if ($("#btnCode").attr("data-flag") == "false") {
		return;
	} else {
		$("#btnCode").attr("data-flag", "false");
	}
	var mobile = $("#txtmobile").val().trim();
	if (!IsMobile(mobile)) {
		mui.toast("请填写正确的手机号");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	var wsCache = new WebStorageCache();
	wsCache.delete('yzmTimes');
	var times = wsCache.get('yzmTimes');
	if (times == undefined || times == null || times == "") {
		wsCache.set('yzmTimes', 1, {
			exp: 600
		}); //10分钟
		times = 1;
	} else if (parseInt(times) >= 3) { //在10分钟内连续获取4次验证码的情况下,第四次开始需要填写校验码
		mui.toast("您操作次数太多了,请10分钟后再试");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	var url = zyzlApi.ApiUrl + "AppLogin/GetRegisterCode";
	mui.post(url, {
		"": mobile
	}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			$("#btnCode").attr("data-flag", "true");
			return;
		}
		ShowTime();
		var wsCache = new WebStorageCache();
		var times = wsCache.get('yzmTimes');
		if (parseInt(times) < 3) {
			wsCache.set('yzmTimes', parseInt(times) + 1, {
				exp: 600
			});
		}
		wsCache.set(mobile + 'yzm', rel.Data.toLowerCase(), {
			exp: 600
		}); //10分钟
		mui.toast("验证码已发送");
	}, 'json');
});
//立即注册
$(".register").on("tap", "a", function() {
	document.activeElement.blur();
	var mobile = $("#txtmobile").val().trim();
	var shopName = $("#shopName").val();
	if (shopName == "") {
		mui.toast("门店不能为空");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	if (provinceId == "") {
		mui.toast("省份不能为空");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	if (provinceId != "") {
		text = $("#province").val();
		if (text != "天津市" && text != "上海市" && text != "北京市" &&
			text != "重庆市" && text != "香港特别行政区" && text != "澳门特别行政区" && text != "海外" &&
			text != "其他" && text != "西藏自治区" && cityId == "") {
			mui.toast("市区不能为空！");
			$("#btnCode").attr("data-flag", "true");
			return;
		}
	}
	if (!IsMobile(mobile)) {
		mui.toast("请填写正确的手机号");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	var txtYzm = $("#Code").val().trim();
	if (txtYzm == "") {
		mui.toast("请填写验证码");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	var mdTxtYzm = md5(txtYzm);
	var wsCache = new WebStorageCache();
	var yzm = wsCache.get(mobile + 'yzm');
	if (yzm == undefined || yzm == null || yzm == "" || mdTxtYzm != yzm) {
		mui.toast("验证码错误");
		$("#btnCode").attr("data-flag", "true");
		return;
	}
	var url = zyzlApi.ApiUrl + "AppLogin/Register";
	var obj = {
		mobile: mobile,
		provinceId: provinceId,
		cityId: cityId,
		province: $("#province").val(),
		city: $("#city").val(),
		shopName: shopName
	};
	var obj = JSON.stringify(obj);
	plus.nativeUI.showWaiting("提交中,请稍后...");
	mui.post(url, {
		"": obj
	}, function(data) {
		plus.nativeUI.closeWaiting();
		var rel = JSON.parse(data);
		if (rel.State == 0) {
			mui.toast(rel.Msg);
			$("#btnCode").attr("data-flag", "true");
			return;
		}
		//当天重复注册
		if (rel.State == 2) {
			$("#txt_Old").show();
			$("#Oldcustomer").show();
		} else {
			$("#txt_New").show();
			$("#Newcustomer").show();
		}
	}, 'json');
});
$(".ShowMessage").on("tap",".btn",function(){
	MyOpenWindows('login',{},'login');
});
var time = 0;
function ShowTime() {
	$("#btnCode").text((60 - time) + "s");
	if (time < 60) {
		time++;
		setTimeout("ShowTime()", 1000);
	} else {
		$("#btnCode").text("获取验证码");
		time = 0;
		$("#btnCode").attr("data-flag", "true");
	}
}
