mui.plusReady(function() {
	var userInfo = UserInfo.getUserModel();
	var employeeId = userInfo.CustomerId;
	var url = "AppExtend/GetSystemSet";
	var param = {
		employeeid: employeeId
	};
	EasyPost(url, param, function(data) {
		plus.nativeUI.closeWaiting();
		var result = JSON.parse(data);
		if (result.State == 0) {
			mui.toast(result.Msg);
			return;
		} else {
			var html = "";
			var setData = result.Data;
			$.each(setData, function(index, value) {
				if (value.BUSINESS == "摇一摇") {
					if (value.VALUE == 1) {
						var shakeDt = result.Data2;
						if (shakeDt.length > 0) {
							$("#shakeUrl").text(shakeDt[0].BUSINESS == "" ? "客户管理" : shakeDt[0].BUSINESS);
						}
					}
					return true;
				}
				html += "<li class='mui-table-view-cell'>";
				html += "<span>" + value.BUSINESS + "</span>";
				if (value.VALUE == 0) {
					html += "<div class='mui-switch mui-switch-blue mui-active' id='" + value.ID + "'>";
				} else {
					html += "<div class='mui-switch' id='" + value.ID + "'>";
				}
				html += "<div class='mui-switch-handle' >";
				html += "</div></div>";
				html += "<li>";
			});

			$("#setArea").html(html);
			mui('.mui-switch')['switch']();
			mui(".mui-switch").each(function() {
				this.addEventListener("toggle", function(event) {
					var isActive = 0;
					if (event.detail.isActive) {
						isActive = 0;
					} else {
						isActive = 1;
					}
					var id = this.id;
					var url = "AppExtend/SetSpeech";
					var userInfo = UserInfo.getUserModel();
					var employeeId = userInfo.CustomerId;
					var params = {
						employeeId: employeeId,
						Id: id,
						value: isActive
					};
					EasyPost(url, params, function(data) {
						plus.nativeUI.closeWaiting();
						var result = JSON.parse(data);
						if (result.State == 0) {
							mui.toast(result.Msg);
							return;
						} else {
							mui.toast(result.Msg);
							return;
						}
					});
				});
			});
		}
	});

	mui.init({
		//在返回到页面时执行刷新
		beforeback: function() {
			//获得父页面的webview
			var list = plus.webview.currentWebview().opener();
			//触发父页面的自定义事件(refresh),从而进行刷新
			mui.fire(list, 'refreshs');
			//返回true,继续页面关闭逻辑
			return true;
		}
	});
});

window.addEventListener('refreshs', function() {
	location.reload();
});

$("#toShake").on("tap", function() {
	MyOpenWindows("./ShakeSet.html", {}, "ShakeSet")
});
