var permissionList;

mui.init({
	//在返回到页面时执行刷新
	beforeback: function() {
		//获得父页面的webview
		var list = plus.webview.currentWebview().opener();
		//触发父页面的自定义事件(refresh),从而进行刷新
		mui.fire(list, 'refreshs');
		//返回true,继续页面关闭逻辑
		return true;
	}
});
mui.plusReady(function() {
	var roleUrl = plus.storage.getItem('permissionList'); //菜单权限
	var url_1 = "AppExtend/GetShakeRoleUrl";
	EasyPost(url_1, {}, function(data) {
		var result=JSON.parse(data);
		plus.nativeUI.closeWaiting();
		if (result.State == 0) {
			mui.toast(result.Msg);
			return;
		} else {
			var html = "";
			var	roleUrl = result.Data; 
			//先获得首级
			$.each(roleUrl, function(index, value) {
				if (value.FINALPATH != "" && value.BID != -1 && value.MENUNAME != "待销售出库单详情" && value.MENUNAME !=
					"出库单据详情" && value.MENUNAME != "服务内参") {
					html += "<li class='mui-table-view-cell' id='" + value.ID + "'>";
					html += "<a class='mui-navigate-right' >" + value.MENUNAME + "</a>";
					html += "<input name='urlPath' type='hidden' value='" + value.FINALPATH + "'>";
					html += "<li>";
				}
			});
			$("#setArea").html(html);
		}
	});


	var url = "AppExtend/GetShake";
	var userInfo = UserInfo.getUserModel();
	var employeeId = userInfo.CustomerId;
	var param = {
		employeeId: employeeId
	};
	EasyPost(url, param, function(data) {
		plus.nativeUI.closeWaiting();
		var result = JSON.parse(data);
		if (result.State == 0) {
			mui.toast(result.Msg);
			return;
		} else {
			var isOpenDt = result.Data;
			if (isOpenDt[0].VALUE == 1) {
				$("#isOpenShake").addClass("mui-active");
			}
			var dt = result.Data2;
			if (dt.length > 0) {
				$("#" + dt[0].MUNUID).addClass("mui-selected");
			} else {
				$("input[value='Customer/CustomerHome.html']").parent().addClass("mui-selected");
			}
		}
	});
});


$("#Save").on("tap", function() {
	var url = "AppExtend/SetShake";
	var userInfo = UserInfo.getUserModel();
	var employeeId = userInfo.CustomerId;
	var id = $(".mui-selected").attr("Id");
	var isActive = document.getElementById("isOpenShake").classList.contains("mui-active");
	var urls = $(".mui-selected").children("input").val();
	var business = $(".mui-selected").children("a").text();
	var param = {
		EmployeeId: employeeId,
		Id: id,
		Url: urls,
		Business: business,
		isOpen: isActive
	};
	EasyPost(url, param, function(data) {
		plus.nativeUI.closeWaiting();
		var result = JSON.parse(data);
		if (result.State == 1) {
			mui.toast(result.Msg);
			var list = plus.webview.currentWebview().opener();
			//触发父页面的自定义事件(refresh),从而进行刷新
			mui.fire(list, 'refreshs');
		} else {
			mui.toast(result.Msg);
			return;
		}
	});
});
