/*车辆管理新增客户页面JS
 * 
 */
var carId = "";
var mobileSetVal = 1; //是否验证手机号码0为不验证1为验证
var ocrInfo = null;
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	carId = self.carId;
	$("#CARNUMBER").val(self.CARNUMBER);

	EasyPost("CarManage/GetCustomerMore", {
		carId: carId
	}, function(data) {
		//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
		UserInfo.HasAuth(data, "back");
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		mobileSetVal = rel.Data;
		data = rel.Data2;
		if (data.length > 0) {
			var extendHtml = "";
			for (var i = 0; i < data.length; i++) {
				var extend = data[i];
				extendHtml += $("#extendTpl").html().replace(/{{FIELDNAME}}/g, extend.FIELDNAME);
			}
			$("#customerExtendInfo").append(extendHtml);
		}
	});
});
//取消
$("#popup").on("tap", function() {
	document.activeElement.blur();
	mui.back();
});
//性别
var sexPicker = new mui.PopPicker();
$("#cSex").on("tap", function() {
	document.activeElement.blur();
	var sexData = [{
		value: '0',
		text: '男'
	}, {
		value: '1',
		text: '女'
	}];
	sexPicker.setData(sexData);
	var sexID = $("#SEX").val();
	sexPicker.pickers[0].setSelectedValue(sexID);
	sexPicker.show(function(selectItem) {
		document.getElementById('SEX').value = selectItem[0].value;
		document.getElementById('labCustomerSex').innerText = selectItem[0].text;
	});
});
//时间选择器
var datePicker = new mui.DtPicker({
	type: 'date',
	beginYear: '1900', //开始时间，即所显示的时间里，最早的年份日期
	endYear: new Date().getFullYear(), //不传参数，表示为当前时间
});
//生日
$("#cBirthDay").on("tap", function() {
	document.activeElement.blur();
	datePicker.ui.cancel.addEventListener('tap', function() {
		document.getElementById('labbirthDay').innerHTML = "";
		$("#BIRTHDAY").val();
		datePicker.hide();
	});
	datePicker.show(function(selectItems) {
		var val = selectItems.toString().substr(5);
		document.getElementById('labbirthDay').innerHTML = val;
		$("#BIRTHDAY").val(val);
	});
});
//加载更多
$("#btnCustomerMore").on("tap", function() {
	var display = $("#customerMoreInfo").css("display");
	if (display == "none") {
		$("#customerMoreInfo").show();
		$("#customerExtendInfo").show();
	} else {
		$("#customerMoreInfo").hide();
		$("#customerExtendInfo").hide();
	}
});
// 时间选择器
$('input.datePicker').each(function(i, dt) {
	dt.addEventListener('tap', function() {
		document.activeElement.blur();
		datePicker.ui.cancel.addEventListener('tap', function() {
			dt.value = "";
			datePicker.hide();
		});
		datePicker.show(function(items) {
			dt.value = items.y.value + '-' + items.m.value + '-' + items.d.value;
		});
	});
});
//确定
$("#btnUpdateCustomer").on("tap", "a", function() {
	document.activeElement.blur();
	var customerInfo = {};
	// 验证数据
	var isTrue = true;
	mui('form.customerInfo input').each(function(i, ipt) {
		var eid = ipt.getAttribute('id');
		var iv = $.trim(ipt.value);
		customerInfo[eid] = iv;
		if (eid == 'MOBILE' && iv != '') {
			//是否验证手机号码 1为验证否则不验证
			if (mobileSetVal > 0) {
				if (!(iv.match(/^1[3|4|5|6|7|8|9][0-9]\d{4,8}$/))) {
					mui.toast('请输入有效的手机号码');
					isTrue = false;
					return;
				}
			}
		}
		if (eid == 'IDENTIFICATION' && iv != '') {
			// 验证身份证
			if (!/^[0 -9]{17}[0-9a-zA-Z]{1}$|^[0 -9]{14}[0-9a-zA-Z]{1}$/.test(iv)) {
				mui.toast('请输入有效的身份证号码');
				isTrue = false;
				return;
			}
		}
		if (eid == 'DRIVERLICENSELIFETIME' && iv != '') {
			var eLifeTime = parseInt(iv);
			if (eLifeTime == undefined || isNaN(eLifeTime)) {
				mui.toast('请输入有效的驾驶年限(整数)');
				isTrue = false;
				return;
			}
		}
		if (eid == 'DRIVERLICENSEFIRSTGETLICENSE' && iv != '') {
			var eFirstGetLicense = new Date(iv);
			if (eFirstGetLicense == undefined || isNaN(eFirstGetLicense)) {
				mui.toast('请输入有效的初次领证时间');
				isTrue = false;
				return;
			}
		}
		if (eid == 'DRIVERLICENSEBEGINDATE' && iv != '') {
			var BeginDate = new Date(iv);
			if (BeginDate == undefined || isNaN(BeginDate)) {
				mui.toast('请输入有效的驾驶起始日期');
				isTrue = false;
				return;
			}
		}
		if (eid == 'DRIVERLICENSEENDDATE' && iv != '') {
			var eEndDate = new Date(iv);
			if (eEndDate == undefined || isNaN(eEndDate)) {
				mui.toast('请输入有效的有效期至');
				isTrue = false;
				return;
			}
		}
	});
	if (!isTrue) {
		return;
	}
	var extend = {};
	mui('#customerExtendInfo input').each(function(i, ipt) {
		var iv = ipt.value;
		iv = $.trim(iv);
		var mid = ipt.getAttribute('id');
		extend[mid] = iv;
	});
	customerInfo.extend = extend;
	customerInfo.carId = carId;
	mui.confirm('确认提交信息?', '提示', ['取消', '确定'], function(e) {
		if (e.index == 1) {
			plus.nativeUI.showWaiting("提交中...");
			EasyPost("CarManage/AddCustomer", customerInfo, function(data) {
				//检测401 data:后台传的数据 type:logout 退出,back 返回上级,return 返回
				UserInfo.HasAuth(data, "return");
				var rel = JSON.parse(data);
				mui.toast(rel.Msg);
				if (rel.State != 1) {
					return;
				}
				OpenWindowsNoAuto("../CarManage/CarDetail", {
					customerId: "",
					carId: carId,
					customerType: 0,
					cell: "0"
				}, "CarDetail");
			});
		}
	});
});
//驾驶证识别
$("#vehicleTravelLicenseOcr").on("tap", function() {
	document.activeElement.blur();
	if (!validateAuthority(null, '识别查询管理', '驾驶证识别')) {
		return;
	}
	var pageID = plus.webview.currentWebview().id;
	ocrSourceList('DriverLicense', '驾驶证照片', function(message, state, localImgUrl) {
		if (state == 1) {
			var tParam = {
				localImgUrl: localImgUrl,
				sourcePageID: pageID
			};
			MyOpenWindows("../Customer/OcrDriverLicense", tParam, 'OcrDriverLicense');
		} else if (state != 0) {
			mui.toast(message);
		}
	});
});
// 返回驾驶证信息
window.addEventListener('rtOcrInfo', function(e) {
	var newOcrInfo;
	if (e.detail.ocrInfo) {
		newOcrInfo = e.detail.ocrInfo;
	}

	if (newOcrInfo) {
		for (var item in newOcrInfo) {
			ocrInfo[item] = newOcrInfo[item];
		}
		// 赋值到addCustomerInfo、addCustomerCarInfo
		loadOcrInfo(newOcrInfo);
	}

	// 关闭其他页面
	var pageID = plus.webview.currentWebview().id;
	var parentPageID = plus.webview.currentWebview().opener().id;
	closePageListByID(pageID, parentPageID);
});
// 赋值ocrInfo数据
function loadOcrInfo(tOcrInfo) {
	if (tOcrInfo) {
		// 姓名
		if (tOcrInfo.Name) {
			mui('#NAME')[0].value = tOcrInfo.Name;
		} else if (tOcrInfo.SexPossessor) {
			mui('#NAME')[0].value = tOcrInfo.SexPossessor;
		}
		if (tOcrInfo.Sex && tOcrInfo.Sex == '女') {
			mui('.mui-content #SEX')[0].value = '1';
			mui('.mui-content #labCustomerSex')[0].innerText = tOcrInfo.Sex;
		}
		if (tOcrInfo.BirthDay) { // 生日
			document.getElementById('labbirthDay').innerText = tOcrInfo.BirthDay.substr(5);
			$("#BIRTHDAY").val(tOcrInfo.BirthDay.substr(5));
		}
		if (tOcrInfo.Code) { // 身份证
			document.getElementById('IDENTIFICATION').value = tOcrInfo.Code;
		}
		if (tOcrInfo.Address) { // 家庭地址
			document.getElementById('ADDRESS').value = tOcrInfo.Address;
		}
		if (tOcrInfo.FirstGetLicense) { // 初次领证时间
			document.getElementById('DRIVERLICENSEFIRSTGETLICENSE').value = tOcrInfo.FirstGetLicense;
		}
		if (tOcrInfo.AllowDriver) { // 准驾车型
			document.getElementById('DRIVERLICENSEALLOWDRIVER').value = tOcrInfo.AllowDriver;
		}
		if (tOcrInfo.BeginDate) { // 起始日期
			document.getElementById('DRIVERLICENSEBEGINDATE').value = tOcrInfo.BeginDate;
		}
		if (tOcrInfo.LifeTime) { // 有效年限
			document.getElementById('DRIVERLICENSELIFETIME').value = tOcrInfo.LifeTime;
		}
		if (tOcrInfo.EndDate) { // 有效期至
			document.getElementById('DRIVERLICENSEENDDATE').value = tOcrInfo.EndDate;
		}
		// 驾驶证图片
		if (tOcrInfo.DriverImgUrl) {
			$("#DRIVERIMAGEURL").val(tOcrInfo.DriverImgUrl);
		}
	}
}
