/*客户信息列表页面JS
 * 
 */
mui.init();
var pageSize = 10;
var startIndex = 1;
var container = mui('#refreshContainer');
var moreElement = null;
var CUSTOMERTYPE="";
var sourcePageID="";
mui.plusReady(function() {
	container.pullRefresh({
		down: {
			height: 50,
			auto: true,
			contentdown: "下拉刷新",
			contentover: "松开刷新",
			contentrefresh: "刷新中...",
			callback: function() {
				GetCarList(true, 'down', container);
			}
		},
		up: {
			height: 50,
			auto: false,
			contentrefresh: "加载中...",
			contentnomore: '没有更多数据了',
			callback: function() {
				GetCarList(false, 'up', container);
			}
		}
	});
	var self = plus.webview.currentWebview();
	sourcePageID=self.sourcePageID;
	CUSTOMERTYPE=self.CUSTOMERTYPE;
	//显示当前页面
	mui.currentWebview.show();
});
//获取车辆列表
function GetCarList(isClear, refreshType, thisContainer) {
	var ulList = $("#refreshContainer ul");
	if (isClear) {
		startIndex = 1;
		// 判断是否存在“没有更多数据”
		moreElementView('refreshContainer', 'refreshScroll', refreshType, false);
		ulList.children().remove();
		thisContainer.pullRefresh().scrollTo(0, 0, 100);
	}
	var params = {
		keywords: $.trim($("#keywords").val()),
		startIndex: startIndex,
		pageSize: pageSize,
		customerType: CUSTOMERTYPE
	};
	EasyPost("CarManage/GetCustomerList", params, function(data) {
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		var carHtml = "";
		data = rel.Data;
		var totalCount = 0;
		startIndex = startIndex + data.length;
		for (var i = 0; i < data.length; i++) {
			var car = data[i];
			if (i == 0) {
				totalCount = parseInt(car.TOTALRECORDS);
			}
			var HEADURL = GetString(car.HEADURL) == "" ? "../../images/CustomerHeader.png" : car.HEADURL;
			var CARTYPE = GetString(car.BRANDNAME);
			if (GetString(car.CARTYPENAME) != "") {
				CARTYPE += "/" + GetString(car.CARTYPENAME);
			}
			carHtml += $("#carTpl").html().replace("{{ID}}", car.ID).replace("{{HEADURL}}", HEADURL).replace("{{CARNUMBER}}",
					car.CARNUMBER)
				.replace("{{CARTYPE}}", CARTYPE).replace("{{NAME}}", GetString(car.NAME))
				.replace("{{detail}}", JSON.stringify(car).replace(/\"/g, "'"));
		}
		ulList.append(carHtml);
		if (startIndex >= totalCount) {
			thisContainer.pullRefresh().refresh(true);
			thisContainer.pullRefresh().endPullupToRefresh(true);
			moreElementView('refreshContainer', 'refreshScroll', refreshType, true);
		} else {
			thisContainer.pullRefresh().refresh(true);
			thisContainer.pullRefresh().endPullupToRefresh(false);
		}
	});
}
//关键词按键搜索
$("#keywords").on("keyup", function(e) {
	if (e.originalEvent.keyCode == 13) {
		var keywords = $.trim($("#keywords").val());
		if (keywords != "") {
			document.activeElement.blur();
			GetCarList(true, 'down', container);
		}
	}
});
//关键词离开后搜索
$("#keywords").on("blur", function(e) {
	document.activeElement.blur();
	GetCarList(true, 'down', container);
});

$("#refreshContainer").on("tap", "li", function() {
	var info=$(this).attr("data-detail").replace(/'/g, '"');
	var data=JSON.parse(info);	
	//获得列表界面的webview  
	var list = plus.webview.getWebviewById(sourcePageID);
	if (list) {
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
		mui.fire(list, 'rtCustomerInfo', data);
	}
	mui.back();
});
