/*预收款JS
 * 
 */
;
var request;
var bill = {};
// 结算方式
var settlementMothodPicker = null;
var settlementMothodList = null;
var BEFOREAMOUNT = 0; //已收金额
var billId = ""; //单据ID
var billCode = ""; //单据编号
var souceId = null;
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	souceId = self.opener().id;
	bill = self.bill;
	BEFOREAMOUNT = toDecimal(bill.mechanicbill.BEFOREAMOUNT) - toDecimal(bill.mechanicbill.REFUNDAMOUNT);
	billId = bill.mechanicbill.ID;
	if (GetString(bill.mechanicbill.CODE) != "") {
		billCode = bill.mechanicbill.CODE.replace("R", "S");
	}
	$("#actualBillId").val(GUID());
	$("#labReceiveAmount").val(BEFOREAMOUNT);
	UserInfo.has_login(); //是否登录超时	
	var params = {
		customerCardID: ""
	};
	EasyPost('NewRepair/GetSettlementMothodList', params, function(data) {
		var result = JSON.parse(data);
		if (result.state == 1) {
			result = JSON.parse(result.data);
			settlementMothodList = result.settlementmethod;
			mui("#alipay")[0].value = result.alipay;
			mui("#wechat")[0].value = result.wechat;
		} else {
			mui.toast(result.msg);
		}
		//显示当前页面
		mui.currentWebview.show();
	});
});
//收银
mui(".FooterBtn").on("tap", "a", function() {
	document.activeElement.blur();
	var lastamount = toDecimal($("#txt_ActualAmount").val());
	var cashamount = toDecimal(mui("#Cashamount")[0].value);
	var payamount = 0;
	var receivables = mui("#receive")[0].value;
	var settlementMothodID = mui("#settlementMothodID")[0].value;
	if (settlementMothodID != "") {
		payamount = mui("#Payamount")[0].value == "" ? 0 : mui("#Payamount")[0].value;
	}
	payamount = toDecimal(payamount);
	if (lastamount <= 0) {
		plus.nativeUI.closeWaiting();
		mui.toast("预收金额不能小于0");
		return;
	}
	if (parseFloat(receivables) - parseFloat(cashamount) < 0) {
		plus.nativeUI.closeWaiting();
		mui.toast("不支持欠款,请输入收款金额");
		return;
	}
	var amount = lastamount - cashamount - payamount;
	if (amount != 0) {
		plus.nativeUI.closeWaiting();
		mui.toast("预收金额有误,请检查");
		return;
	}
	ThirdPaySure(0);
});

//第三方支付
function ThirdPaySure(type) {
	plus.nativeUI.showWaiting();
	//type 0:没输密码 1：输入密码
	var name = $('#settlementMothodName').val();
	var amount = mui("#Payamount")[0].value == "" ? 0 : mui("#Payamount")[0].value;
	var id = $("#actualBillId").val(); //预收款ID
	var code = billCode;
	amount = toDecimal(amount);
	if (amount > 0 && (name == '微信支付' || name == '支付宝')) {
		var payMode = name == '微信支付' ? 2 : 1;
		var logo = name == '微信支付' ? "../../images/weixin.png" : "../../images/zhifubao.png";
		var params = {
			payMode: payMode,
			Amount: amount,
			type: 6, //0:销售开单 1：维修接车 2：购买套餐 3：办卡 4：充值 5：购买项目 6:预收款
			id: id,
			code: code
		};
		var url = 'NewRepair/ThirdPaySure';
		EasyPost(url, params, function(data) {
			plus.nativeUI.closeWaiting();
			var result = JSON.parse(data);
			if (result.State == -1) {
				mui.toast(result.Msg);
				return;
			}
			if (result.State == 1) {
				intDiff = 0;
				var timers = setInterval(timer, 1000);
				$("#payQrCode").attr("src", result.Data);
				mui("#payQrAmount")[0].innerHTML = amount;
				$("#payQrName").innerHTML = name;
				$("#payQrLogo").attr("src", logo);
				openScreen();
				hideScreen();
				var out_trade_no = result.Id;
				mui("#out_trade_no")[0].value = out_trade_no;
				var params = {
					payMode: payMode,
					out_trade_no: out_trade_no,
					id: id
				};
				EasyPost('NewRepair/QrPayResult', params, function(data) {
					var result = JSON.parse(data);
					if (result.State == 1) {
						saveBill();
					} else {
						if (result.Msg != null && result.Msg != "") {
							alert(result.Msg);
						}
						if (result.State == 101) { //轮询失败,重新生成二维码
							setTimeout(function() {
								ThirdPaySure(type);
							}, 700)
						} else {
							needToast = false; //取消abort提醒
							request.abort();
							BackQrPay();
						}
					}
				});
			} else {
				saveBill();
			}
		});
	} else {
		var btnArray = ['取消', '确定'];
		mui.confirm('是否进行收款', '提示', btnArray, function(e) {
			if (e.index == 1) {
				saveBill();
			} else {
				plus.nativeUI.closeWaiting();
			}
		});

	}
}
//提交订单
function saveBill() {
	plus.nativeUI.closeWaiting();
	plus.nativeUI.showWaiting("请稍后...");
	var lastamount = toDecimal($("#txt_ActualAmount").val());
	var cashamount = toDecimal(mui("#Cashamount")[0].value);
	var payamount = 0;
	var receivables = mui("#receive")[0].value;
	var settlementMothodID = mui("#settlementMothodID")[0].value;
	if (settlementMothodID != "") {
		payamount = mui("#Payamount")[0].value == "" ? 0 : mui("#Payamount")[0].value;
	}
	if (parseFloat(receivables) - parseFloat(cashamount) < 0) {
		plus.nativeUI.closeWaiting();
		mui.toast("不支持欠款,请输入收款金额");
		return;
	}
	bill.ACTUALBILLID = $("#actualBillId").val(); //预收款ID
	bill.BEFOREAMOUNT = lastamount;
	bill.CASHAMOUNT = cashamount;
	bill.SETTLEMENTMETHOD = settlementMothodID;
	bill.PAYAMOUNT = payamount;
	bill.RECEIVABLES = receivables;
	bill.ARREARS = 0;
	bill.PAYREMARK = mui("#Remark")[0].value;
	if (Number(bill.BILLTYPE) != 0) {
		if (bill.mechanicbilldetail.length > 0 && bill.mechanicbill.CASHTYPE == 4) {
			bill.mechanicbill.CASHTYPE = 5;
			bill.BILLTYPE = 5;
		} else {
			bill.BILLTYPE = 2;
		}
	} else {
		if (bill.mechanicbilldetail.length > 0 && bill.mechanicbill.CASHTYPE == 4) {
			bill.mechanicbill.CASHTYPE = 5;
		}
	}
	var datas = new Object;
	datas.jsonStr = JSON.stringify(bill);
	EasyPost("NewRepair/Save", datas, function(data) {
		var result = JSON.parse(data);
		if (result.State == 1) {
			plus.nativeUI.closeWaiting();
			mui.toast("收款成功");
			plus.nativeUI.showWaiting("正在跳转...");
			bill = result.Data;
			bill.mechanicbill.BEFOREAMOUNT += bill.BEFOREAMOUNT;
			bill.ACTUALBILLID = "";
			bill.souceid = "BillManage";
			switch (bill.mechanicbill.CASHTYPE) {
				case 4:
					bill.BILLTYPE = 4;
					OpenWindowsNoAuto("../Repair/MeetingResult", {
						bill: bill,
						type: 4
					}, "MeetingResult");
					break;
				case 5:
				case 6:
				case 7:
					bill.BILLTYPE = bill.mechanicbill.CASHTYPE;
					OpenWindowsNoAuto("../Repair/Work", {
						bill: bill,
						type: bill.BILLTYPE
					}, "Work");
					break;
				default:
					mui.toast("跳转异常");
					plus.nativeUI.closeWaiting();
					break;
			}

		} else {
			var out_trade_no = mui("#out_trade_no")[0].value;
			mui.toast(result.Msg);
			//第三方支付成功，结算失败
			if (out_trade_no != "") {
				var url = 'NewRepair/RefundPay';
				var name = $('#settlementMothodName').val();
				var amount = mui("#Payamount")[0].value == "" ? 0 : mui("#Payamount")[0].value;
				var id = bill.ACTUALBILLID;
				var code = billCode;
				var payMode = name == '微信支付' ? 2 : 1;
				var params = {
					payMode: payMode,
					Amount: amount,
					type: 1,
					id: id,
					code: code,
					out_trade_no: out_trade_no
				};
				EasyPost(url, params, function(data) {
					plus.nativeUI.closeWaiting();
					var rel = JSON.parse(data);
					if (rel.State != 1) {
						mui.toast(rel.Msg);
					}
				});
			}
		}
	});
}
// 选择结算方式
document.getElementById('popup').addEventListener('tap', function() {
	document.activeElement.blur();
	if (settlementMothodPicker == null) {
		settlementMothodPicker = new mui.PopPicker({
			layer: 1,
			buttons: ['取消', '确定']
		});
	}
	if (settlementMothodList != null) {
		settlementMothodPicker.setData(settlementMothodList);
	}
	settlementMothodPicker.show(function(items) {
		if (items[0].value != "") {
			$("#Payamount").removeAttr("readonly");
			if (parseFloat(mui("#Payamount")[0].value) == 0) {
				mui("#Payamount")[0].value = mui("#Cashamount")[0].value;
			}
			mui("#Cashamount")[0].value = 0.00;
			SumPay();
		} else {
			$("#Payamount").removeAttr("readonly");
			$("#Payamount").attr("readonly", "readonly");
			mui("#Payamount")[0].value = 0.00;
			SumPay();
		}
		$('#settlementMothodID').val(items[0].value);
		$('#settlementMothodName').val(items[0].text);
		$('#popup label').text(items[0].text);
	});
});
//金额监听事件
function amountFocus(obj) {
	if (obj.getAttribute("readonly") != "readonly") {
		obj.setAttribute("data-value", obj.value);
		obj.value = "";
	}
}
//输入金额离开事件
function amountBlur(obj) {
	if (obj.value == "" || isNaN(obj.value) || parseFloat(obj.value) < 0) {
		mui.toast("请输入正确金额");
		obj.value = obj.getAttribute("data-value");
		return;
	}
	var lastamount = toDecimal($("#txt_ActualAmount").val());
	var cashamount = toDecimal(mui("#Cashamount")[0].value);
	var payamount = toDecimal(mui("#Payamount")[0].value);
	var settlementMothodID = mui("#settlementMothodID")[0].value;
	if (obj.id = "receive") {
		var amount = toDecimal(obj.value);
		if (amount < cashamount) {
			mui.toast("不支持欠款");
			obj.value = obj.getAttribute("data-value");
			return;
		}
		if (amount > 0) {
			mui("#GiveChange")[0].value = parseFloat(amount - cashamount).toFixed(2);
		} else {
			mui("#GiveChange")[0].value = 0.00;
		}
	}
}
//现金支付运算
function SumCash() {
	if (mui("#Cashamount")[0].value == "") {
		mui("#Cashamount")[0].value = 0;
	}
	var xianpay = toDecimal(mui("#Cashamount")[0].value);
	var pay = toDecimal($("#txt_ActualAmount").val());
	var settlementMothodID = mui("#settlementMothodID")[0].value;
	if (isNaN(xianpay)) {
		xianpay = 0;
	}
	var givexian = toDecimal(pay - xianpay);
	if (givexian >= 0) {
		$("#receive").val(xianpay);
		if (settlementMothodID == "") {
			mui("#Payamount")[0].value = 0;
		} else {
			mui("#Payamount")[0].value = givexian;
		}
	} else {
		mui.toast("现金已超过预收金额!");
		mui("#Cashamount")[0].value = pay;
		mui("#Payamount")[0].value = 0;
		$("#receive").val(pay);
	}

}
//其他支付支付运算
function SumPay() {
	if (mui("#Payamount")[0].value == "") {
		mui("#Payamount")[0].value = 0;
	}
	var qitapay = toDecimal(mui("#Payamount")[0].value);
	var pay = toDecimal($("#txt_ActualAmount").val());
	var settlementMothodID = mui("#settlementMothodID")[0].value;
	if (isNaN(qitapay)) {
		qitapay = 0;
	}
	var giveqita = toDecimal(pay - qitapay);
	if (giveqita >= 0) {
		mui("#Cashamount")[0].value = giveqita;
		$("#receive").val(giveqita);
	} else {
		mui.toast("其他支付已超过预收金额!");
		mui("#Payamount")[0].value = pay;
		mui("#Cashamount")[0].value = 0;
		$("#receive").val(0);
	}
}
//选择支付状态
$(".ChoosePay").on("tap", "a", function() {
	var txt = $(this).find("p").text();
	$('#settlementMothodID').val("");
	$('#settlementMothodName').val("");
	$('#popup label').text("请选择结算方式");
	if (txt == "支付宝") {
		if ($(this).hasClass("active1")) {
			UnSelectOtherPay();
			$(this).removeClass("active1");
		} else {
			$('#settlementMothodID').val($('#alipay').val());
			$('#settlementMothodName').val(txt);
			SelectOtherPay();
			$(this).addClass("active1").parent().siblings().find("a").removeClass();
		}
		$(".Other").hide();
	}
	if (txt == "微信支付") {
		if ($(this).hasClass("active2")) {
			UnSelectOtherPay();
			$(this).removeClass("active2");
		} else {
			$('#settlementMothodID').val($('#wechat').val());
			$('#settlementMothodName').val(txt);
			SelectOtherPay();
			$(this).addClass("active2").parent().siblings().find("a").removeClass();
		}
		$(".Other").hide();
	}
	if (txt == "其他支付") {
		UnSelectOtherPay();
		if ($(this).hasClass("active3")) {
			$(this).removeClass("active3");
			$(".Other").hide();
		} else {
			$(this).addClass("active3").parent().siblings().find("a").removeClass();
			$(".Other").show();
		}
	}
});
//选中第三方支付
function SelectOtherPay() {
	$("#Payamount").removeAttr("readonly");
	if (parseFloat(mui("#Payamount")[0].value) == 0) {
		mui("#Payamount")[0].value = mui("#Cashamount")[0].value;
	}
	mui("#Cashamount")[0].value = 0.00;
	SumPay();
}
//取消第三方支付
function UnSelectOtherPay() {
	$("#Payamount").removeAttr("readonly");
	$("#Payamount").attr("readonly", "readonly");
	mui("#Payamount")[0].value = 0.00;
	SumPay();
}
//关掉二维码支付页面
function BackQrPay() {
	mui("#out_trade_no")[0].value = "";
	var popup = $(".popup");
	var maskBox = $(".mask-left");
	var conBrand = $(".popup .con");
	$("#J-brand").hide();
	$("#J-models").hide();
	setTimeout(function() {
		popup.css('top', '-100%');
	}, 500)
	maskBox.css('left', '-100%');
	conBrand.css('right', '-100%');
};
mui.back = function() {
	var out_trade_no = mui("#out_trade_no")[0].value;
	if (out_trade_no != "") {
		var btnArray = ['取消', '确定'];
		mui.confirm('是否退出支付?', '提示', btnArray, function(e) {
			if (e.index == 1) {
				if (request != null) {
					needToast = false; //取消abort提醒
					request.abort();
				}
				var url = 'NewRepair/CancelPay';
				var name = $('#settlementMothodName').val();
				var amount = mui("#Payamount")[0].value == "" ? 0 : mui("#Payamount")[0].value;
				var id = billId;
				var code = billCode;
				var payMode = name == '微信支付' ? 2 : 1;
				var params = {
					payMode: payMode,
					Amount: amount,
					type: 1,
					id: id,
					code: code,
					out_trade_no: out_trade_no
				};
				plus.nativeUI.showWaiting();
				EasyPost(url, params, function(data) {
					plus.nativeUI.closeWaiting();
					var rel = JSON.parse(data);
					if (rel.State == 1) {
						BackQrPay();
					} else {
						mui.toast(rel.Msg);
					}
				});
			}
		});
	} else {
		mui("#out_trade_no")[0].value = "";
		var self = plus.webview.currentWebview();
		plus.webview.close(self);
	}
}
//点击返回
$("#back").click(function() {
	mui.back();
})
