/*订单以及订单详情
 * 
 */
;
var bill = {};
var billDetail = [];
var otherAuth = "";
/*
 * 计算详情内的金额
 */
function valFocus(obj) {
	if (obj.getAttribute("readonly") != "readonly") {
		obj.setAttribute("data-value", obj.value);
		obj.value = "";
	}
}

function detailCalculate(obj) {
	if(isNaN(obj.value)){
		obj.value=0;
	}
	var value = parseFloat(obj.value).toFixed(2);
	obj.value = value;
	var field = obj.id;
	var modifyBeforeValue = obj.getAttribute("data-value");

	if (value == "" || isNaN(value) || value < 0) {
		obj.value = modifyBeforeValue;
		mui.toast("请输入正确数值");
		return;
	} else if (field == "Num") {
		//如果是库存商品的话，判断是否领料
		
		if (billDetail[index].BUYTYPE == 0) {
			if (parseFloat(billDetail[index].REFUNDNUMBER) > 0 && value < parseFloat(billDetail[index].REFUNDNUMBER)) {
				mui.toast("数量不能小于已领料数量");
				obj.value = modifyBeforeValue;
				return;
			}
			if (parseFloat(billDetail[index].REFUNDNUMBER) > 0 && value > parseFloat(billDetail[index].REFUNDNUMBER)) {
				billDetail[index].REFUNDFLAG = 2;
			}
			if (parseFloat(billDetail[index].REFUNDNUMBER) > 0 && value == parseFloat(billDetail[index].REFUNDNUMBER)) {
				billDetail[index].REFUNDFLAG = 1;
			}
		}
		if (CheckNumberType(value, 6) || value <= 0) {
			mui.toast("请输入正确数量")
			obj.value = modifyBeforeValue;
			return;
		} else if (billDetail[index].DEDUCTEDFLAG == 1) {
			//验证套餐项目次数是否充足
			var url = zyzlApi.ApiUrl;
			var userInfo = escape(JSON.stringify(UserInfo.getUserModel()));
			mui.ajax(url + 'Billing/GetMemPackageItem', {
				data: {
					id: billDetail[index].BATCHCODE, //项目商品ID
					customerId: bill.customer.CUSTOMERID,
					num: value
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 15000, //超时时间设置为15秒；
				headers: {
					'Content-Type': 'application/json',
					'authorize': userInfo
				},
				success: function (data) {
					var result = JSON.parse(data);
					if (result.state == 0) {
						mui.toast(result.msg);
						obj.value = modifyBeforeValue;
						return;
					}
				},
				error: function (xhr, type, errorThrown) {
					errorFuc(xhr, type, errorThrown);
				}
			});
		}
	}
	//项目
	if (billDetail[index].BUYTYPE == 1) {
		var totalPrice = (parseFloat(mui("#ITEMPRICE")[0].value) + mui("#Manhoursprice")[0].value * mui("#Manhours")[0].value) *
			mui("#Num")[0].value; //商品价格+工时价格
		if (field == "Num" || field == "Manhours" || field == "Manhoursprice") {
			if (mui("#Discount")[0].value == "" || mui("#Discount")[0].value == 0) {
				mui("#DiscAmount")[0].value = 0.00;
			} else {
				mui("#DiscAmount")[0].value = (totalPrice - totalPrice * parseFloat(mui("#Discount")[0].value) * 0.1).toFixed(2);
			}
		}
		switch (field) {
			case "Discount": //折扣
				if (mui("#Discount")[0].value < 0 || mui("#Discount")[0].value >= 10) {
					mui.toast("折扣范围只能0~10之间的数值");
					mui("#Discount")[0].value = modifyBeforeValue;
				} else if (mui("#Discount")[0].value == "" || mui("#Discount")[0].value == 0 || mui("#Discount")[0].value < 0.001) {
					mui("#DiscAmount")[0].value = 0.00;
					mui("#Discount")[0].value = 0.00;
				} else {
					mui("#DiscAmount")[0].value = (totalPrice - totalPrice * parseFloat(mui("#Discount")[0].value) * 0.1).toFixed(2);
				}
				break;
			case "DiscAmount": //优惠
				if (mui("#DiscAmount")[0].value == 0) {
					mui("#Discount")[0].value = 0.00;
				} else if (mui("#DiscAmount")[0].value > totalPrice) {
					mui.toast("优惠金额不能大于项目总价");
					mui("#DiscAmount")[0].value = modifyBeforeValue;
				} else {
					if (mui("#DiscAmount")[0].value / totalPrice == 1) {
						mui("#Discount")[0].value = 0.00;
					} else {
						mui("#Discount")[0].value = 10 - (mui("#DiscAmount")[0].value / totalPrice) * 10;
					}
				}
				break;
		}
		mui("#Price")[0].value = (parseFloat(mui("#ITEMPRICE")[0].value) + mui("#Manhours")[0].value * mui("#Manhoursprice")[
			0].value).toFixed(2); //售价
		mui("#Offer")[0].value = ((parseFloat(mui("#ITEMPRICE")[0].value) + mui("#Manhours")[0].value * mui("#Manhoursprice")[
			0].value) * mui("#Num")[0].value).toFixed(2); //报价
		//每行金额 = 数量*售价+工时价格-优惠
		mui("#TotalAmount")[0].value = billDetail[index].Type == "2" ? "0.00" : (totalPrice - parseFloat(mui("#DiscAmount")[0]
			.value)).toFixed(2);
	} //商品
	else {
		if (field == "Num" || field == "Price") {
			if (mui("#Discount")[0].value == "" || mui("#Discount")[0].value == 0 || mui("#Discount")[0].value < 0.001) {
				mui("#DiscAmount")[0].value = 0.00;
			} else {
				mui("#DiscAmount")[0].value = (mui("#Price")[0].value * mui("#Num")[0].value - mui("#Price")[0].value * mui("#Num")[
					0].value * parseFloat(mui("#Discount")[0].value) * 0.1).toFixed(2);
			}
		} else if (field == "Discount") {
			if (mui("#Discount")[0].value < 0 || mui("#Discount")[0].value >= 10) {
				mui.toast("折扣范围只能0~10之间的数值");
				mui("#Discount")[0].value = modifyBeforeValue;
			} else if (mui("#Discount")[0].value == "" || mui("#Discount")[0].value == 0 || mui("#Discount")[0].value < 0.001) {
				mui("#DiscAmount")[0].value = 0.00;
				mui("#Discount")[0].value = 0.00;
			} else {
				mui("#DiscAmount")[0].value = (mui("#Price")[0].value * mui("#Num")[0].value - mui("#Price")[0].value * mui("#Num")[
					0].value * parseFloat(mui("#Discount")[0].value) * 0.1).toFixed(2);
			}

		} else if (field == "DiscAmount") {
			if (mui("#DiscAmount")[0].value == 0) {
				mui("#Discount")[0].value = 0.00;
			} else {
				if ((mui("#DiscAmount")[0].value / (mui("#Price")[0].value * mui("#Num")[0].value)) == 1) {
					mui("#Discount")[0].value = 0.00;
				} else {
					mui("#Discount")[0].value = 10 - (mui("#DiscAmount")[0].value / (mui("#Price")[0].value * mui("#Num")[0].value)) *
						10;
				}
			}
		}
		//每行金额 = 数量*售价*折扣
		mui("#TotalAmount")[0].value = billDetail[index].DEDUCTEDFLAG == 1 ? "0.00" : (mui("#Num")[0].value * mui("#Price")[0]
			.value -
			mui("#DiscAmount")[0].value).toFixed(2);
	}
	isClear=true;
}
