/*新增车辆JS
 * 
 */
;
var firstCarNumber = ""; //车牌前缀
var lastCarNumber = ""; //车牌后缀
// 品牌
var carInfoPicker = null;
var carInfoData = null;
var self;
var isHaveNumber = true;
// 默认车牌
var carNumberPrefix = null;
mui.plusReady(function() {
	self = plus.webview.currentWebview();
	bill.PICKUP = UserInfo.CustomerName();
	$("#PICKUP").text(UserInfo.CustomerName());
	$("#PICKUPID").val(UserInfo.CustomerId());
	$("#inTimeShow").text((new XDate()).toString("yyyy-MM-dd HH:mm")); //进场时间初始化，默认为当前时间	
	InitInfo();
});

function InitInfo() {
	EasyGet("NewRepair/GetCarInfo", 15000, function(rel) {
		if (rel.State == 1) {
			carNumberPrefix = rel.Data;
			if (carNumberPrefix) {
				if (carNumberPrefix.NAME) {
					document.getElementById('Plate').value = carNumberPrefix.NAME;
					if (carNumberPrefix.PROVINCE == "特殊") {
						document.getElementById('Plate').setAttribute('data-type', '1');
					} else {
						document.getElementById('Plate').setAttribute('data-type', '0');
					}
				} else {
					document.getElementById('Plate').value = "";
					document.getElementById('Plate').setAttribute('data-type', '0');
				}
			}
		} else {
			mui.toast(rel.Msg);
		}
		if (self.firstCarNumber) {
			document.getElementById('Plate').value = self.firstCarNumber;
		}
		if (self.lastCarNumber) {
			$("#carNumber").val(self.lastCarNumber);
		}
		//显示当前页面
		mui.currentWebview.show();
	});
}
// 车牌号
document.getElementById('ChosePlate').addEventListener('tap', function() {
	document.activeElement.blur();
	var ipt = document.getElementById('Plate');
	var iptV = ipt.value;
	var iptT = ipt.getAttribute('data-type');
	var fireData = {
		sourcePageID: "NewMeeting",
		iptV: iptV,
		iptT: iptT
	}
	plus.nativeUI.showWaiting();
	MyOpenWindows("../Customer/plate-number-chose", {
		"fireData": fireData
	}, "plate-number-chose");
});
// 车牌号
document.getElementById('carNumber').addEventListener('keypress', function() {
	this.value = this.value.toUpperCase();
});
// 车牌号
document.getElementById('carNumber').addEventListener('blur', function() {
	this.value = this.value.toUpperCase();
});
// 返回车牌前缀
window.addEventListener('rtChosePlate', function(e) {
	var carNumberInfo = e.detail.fireData;
	var ipt = document.getElementById('Plate');
	ipt.value = carNumberInfo.iptV;
	ipt.setAttribute('data-type', carNumberInfo.iptT);
});
// 监听品牌
document.getElementById('carType').addEventListener('tap', function() {
	//plus.nativeUI.showWaiting("加载中..."); //显示原生等待框
	var soucePage = plus.webview.currentWebview().id;
	var fireData = {
		sourcePageID: soucePage
	}
	MyOpenWindows("../VehicleSelect/SelectCarBrand", {
		"fireData": fireData
	}, "SelectCarBrand");
});
//监听车型回调
window.addEventListener('rtVehicleInfo', function(e) {
	var data = e.detail.fireData;
	if (data) {
		if (data.carTypeName) {
			$("#labcarType").text(data.carTypeName);
		} else {
			$("#labcarType").text(data.carBrandName + '-' + data.carSeriesName);
		}
		if (data.carBrandID) { // 品牌ID
			document.getElementById('carBrandID').value = data.carBrandID;
		}
		if (data.carBrandName) { //
			document.getElementById('carBrandName').value = data.carBrandName;
		}
		if (data.carSeriesID) { // 车系
			document.getElementById('carSeriesID').value = data.carSeriesID;
		}
		if (data.carSeriesName) { // 
			document.getElementById('carSeriesName').value = data.carSeriesName;
		}
		if (data.carTypeID) { // 车型
			document.getElementById('carTypeID').value = data.carTypeID;
		}
		if (data.carTypeName) { // 
			document.getElementById('carTypeName').value = data.carTypeName;
		}
		if (data.carPriceID) { // 车价
			document.getElementById('carPriceID').value = data.carPriceID;
		}
		if (data.carPriceName) { // 
			document.getElementById('carPriceName').value = data.carPriceName;
		}
		if (data.vinNumber) { // vin号
			document.getElementById('VIN').value = data.vinNumber;
		}
	}

	var pageID = plus.webview.currentWebview().id;
	var parentPageID = plus.webview.currentWebview().opener().id;
	closePageListByID(pageID, parentPageID);
});
//验证手机号是否正确
$("#MOBILE").on("blur", function() {
	var that = this;
	var reg = /^1[0-9]{10}$/;
	var mobile = $(that).val();
	if (mobile != "" && !reg.test(mobile)) {
		mui.toast("手机号格式错误");
		$(that).val("");
	}
});
//验证VIN是否正确
$("#VIN").on("blur", function() {
	var that = this;
	var vin = $(that).val().toUpperCase();
	if (vin != null && vin != "") {
		var result = CheckVIN(vin);
		if (result != null) {
			mui.toast(result);
			return;
		}
		$(that).val(vin); // 转成大写
	}
});

//是否无车牌
$("#isHaveNumber img").click(function() {
	if($("#isHaveNumber .choice1").is(":hidden")){
		isHaveNumber = true;
		$("CarNumberItem").hide();
		bill.HaveNumber = 1;
		$(".IsShow").hide();
	
	} 
	else{
		isHaveNumber = false;
		$("CarNumberItem").show();
		bill.HaveNumber = 0; 
		$(".IsShow").show();
	
	}
	
});

//验证车牌号
$("#carNumber").on("blur", function() {
	var prefix = document.getElementById('Plate').value;
	if (prefix == "") {
		mui.toast('请选择车牌前缀');
		return;
	}
	var that = this;
	var val = $(that).val();
	if (!IsCarNumber(val)) {
		mui.toast("请输入有效车牌")
		$(that).val("");
	}
});


//行驶证识别
document.getElementById("driverLicenseOcr").addEventListener("click", function() {
	document.activeElement.blur();
	if (!validateAuthority(null, '识别查询管理', '行驶证识别')) {
		return;
	}

	var pageID = plus.webview.currentWebview().id;
	ocrSourceList('DrivingLicense', '行驶证照片', function(message, state, localImgUrl) {
		if (state == 1) {
			var tParam = {
				localImgUrl: localImgUrl,
				sourcePageID: pageID
			};

			MyOpenWindows("../Customer/OcrDrivingLicense", tParam, 'OcrDrivingLicense');
		} else if (state != 0) {
			mui.toast(message);
		}
	});
	return false;
});
// 返回行驶证信息
window.addEventListener('rtOcrInfo', function(e) {
	var newOcrInfo;
	if (e.detail.ocrInfo) {
		newOcrInfo = e.detail.ocrInfo;
	}

	if (newOcrInfo) {
		// 		for (var item in newOcrInfo) {
		// 			ocrInfo[item] = newOcrInfo[item];
		// 		}
		// 赋值到addCustomerInfo、addCustomerCarInfo
		loadOcrInfo(newOcrInfo);
	}

	// 关闭其他页面
	var pageID = plus.webview.currentWebview().id;
	var parentPageID = plus.webview.currentWebview().opener().id;
	closePageListByID(pageID, parentPageID);
});
// 赋值ocrInfo数据
function loadOcrInfo(tOcrInfo) {

	if (tOcrInfo) {
		// 姓名
		if (tOcrInfo.Name) {
			mui('#NAME')[0].value = tOcrInfo.Name;
		} else if (tOcrInfo.SexPossessor) {
			mui('#NAME')[0].value = tOcrInfo.SexPossessor;
		}
		if (tOcrInfo.Sex && tOcrInfo.Sex == '女') {
			$("input[type=radio][name=SEX][value=1]").attr("checked", 'checked');
		} else {
			$("input[type=radio][name=SEX][value=0]").attr("checked", 'checked');
		}
		// 车牌
		if (tOcrInfo.CarNumber) {
			var carNumberInfo = GetCarNumberInfo(tOcrInfo.CarNumber);
			if (carNumberInfo) {
				if (carNumberInfo.isSpecial) {
					document.getElementById('Plate').setAttribute('data-type', '1');
					document.getElementById('Plate').value = carNumberInfo.prefCarNumber;
					document.getElementById('carNumber').value = carNumberInfo.lastCarNumber;
				} else {
					document.getElementById('Plate').setAttribute('data-type', '1');
					document.getElementById('Plate').value = carNumberInfo.prefCarNumber;
					document.getElementById('carNumber').value = carNumberInfo.lastCarNumber;
				}
			}
		}
		if (tOcrInfo.Vin) { // vin号
			document.getElementById('VIN').value = tOcrInfo.Vin;
		}
		// 车型
		if (tOcrInfo.carTypeName) {
			$("#labcarType").text(tOcrInfo.carTypeName);
		} else if (tOcrInfo.carSeriesName) {
			$("#labcarType").text(tOcrInfo.carBrandName + '-' + tOcrInfo.carSeriesName);
		}
		if (tOcrInfo.vinNumber) { // vin号
			document.getElementById('VINNUMBER').value = tOcrInfo.vinNumber;
		}
		if (tOcrInfo.carBrandID) { // 品牌ID
			document.getElementById('carBrandID').value = tOcrInfo.carBrandID;
		}
		if (tOcrInfo.carBrandName) { //
			document.getElementById('carBrandName').value = tOcrInfo.carBrandName;
		}
		if (tOcrInfo.carSeriesID) { // 车系
			document.getElementById('carSeriesID').value = tOcrInfo.carSeriesID;
		}
		if (tOcrInfo.carSeriesName) { // 
			document.getElementById('carSeriesName').value = tOcrInfo.carSeriesName;
		}
		if (tOcrInfo.carTypeID) { // 车型
			document.getElementById('carTypeID').value = tOcrInfo.carTypeID;
		}
		if (tOcrInfo.carTypeName) { // 
			document.getElementById('carTypeName').value = tOcrInfo.carTypeName;
		}
		if (tOcrInfo.carPriceID) { // 车价
			document.getElementById('carPriceID').value = tOcrInfo.carPriceID;
		}
		if (tOcrInfo.carPriceName) { // 
			document.getElementById('carPriceName').value = tOcrInfo.carPriceName;
		}
		if ($(this).children(".choose1").is(":hidden")) {
			$("#songxiuren").val($("#NAME").text());
			$("#songxiurenmobile").val($("#MOBILE").text().replace('-', ''));
		}
		// 行驶证图片
		$("#drivingImgUrl").val(tOcrInfo.DrivingImgUrl?tOcrInfo.DrivingImgUrl:"");
		// 发动机号
		$("#engineNo").val(tOcrInfo.EngineNo?tOcrInfo.EngineNo:"");
	}
}


//绑定已有客户
document.getElementById("bingCustomer").addEventListener("click", function() {
	if ($(this).text() == "取消绑定") {
		var btnArray = ['取消', '确定'];
		mui.confirm('确定取消绑定', '提示', btnArray, function(e) {
			if (e.index == 1) {
				$("#CUSTOMERID").val("");
				$("#NAME").val("");
				$("#MOBILE").val("");
				$("#CUSTOMERTYPE").val("");
				$("#CARDTYPEID").val("");
				$("#CARDTYPENAME").val("");
				$("#bingCustomer").text("绑定已有客户");
			}
		});
		return;
	}
	var soucePage = plus.webview.currentWebview().id;
	MyOpenWindows("../CarManage/CustomerList", { //自定义扩展参数，可以用来处理页面间传值
		sourcePageID: soucePage,
	}, "CustomerList");
});
//选择客户回调事件
window.addEventListener('rtCustomerInfo', function(e) {
	var customerInfo = e.detail;
	$("#CUSTOMERID").val(customerInfo.ID);
	$("#NAME").val(customerInfo.NAME);
	$("#MOBILE").val(customerInfo.MOBILE);
	$("#CUSTOMERTYPE").val(customerInfo.CUSTOMERTYPE); //客户类型
	$("#CARDTYPEID").val(customerInfo.CARDTYPEID);
	$("#CARDTYPENAME").val(customerInfo.CARDTYPENAME);
	$("#REALMOBILE").val(customerInfo.REALMOBILE); //真实手机号
	$("#bingCustomer").text("取消绑定");
	if ($(".choose").children(".choose1").is(":hidden")) {
		var name = $("#NAME").val();
		var mobile = $("#REALMOBILE").val();
		var reg = /^1[0-9]{10}$/;
		if (!reg.test(mobile)) {
			mobile = "";
		}
		$("#songxiuren").val(name);
		$("#songxiurenmobile").val($("#MOBILE").val());
		$("#hd_songxiurenmobile").val(mobile);
	}
});
$("body").on(".repair.mui-backdrop", "click", function() {
	$("#oil").hide();
});
