/*接车、新增车辆页面公共JS
 * 
 */
;
var request;
var bill = {};
var billDetail = [];
var customer;
var CheckCarInfo;
var type = 0; //99表示不能再更改数据
mui.init();
var imgList = []; //这个用来存照片base64编码
var newCheckCar = false; //是否重新上传检车图片，车况检测信息，并且再次推送
//处理接车照片，包括添加和删除
$(".CarPic").on('click', ".upImg", function(e) {
	if ($(this).attr("id") == "addImg") {
		if (type == 99) {
			var cashtype = bill.mechanicbill.CASHTYPE;
			if (cashtype < 4 || cashtype > 6) {
				return;
			}
		}
		plus.nativeUI.actionSheet({
			title: "上传图片",
			cancel: "取消",
			buttons: [{
				title: "拍照"
			}, {
				title: "从相机选择"
			}]
		}, function(e) {
			if (e.index == 1) {
				captureImage() //拍照
			} else if (e.index == 2) {
				galleryImgs() //从相册选择
			}

		});
	} else {
		mui.previewImage(); //预览

	}
});
// 拍照
function captureImage() {
	var os = plus.os.name.toUpperCase();
	if (os == "IOS") {
		var AVCaptureDevice = plus.ios.importClass("AVCaptureDevice");
		var Status = AVCaptureDevice.authorizationStatusForMediaType("vide");
		if (2 == Status) {
			mui.toast("请确认是否开启相机权限");
			return;
		}
	}
	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0];
	var fmt = cmr.supportedImageFormats[0];
	cmr.captureImage(function(path) {
			var urlHope = plus.io.convertLocalFileSystemURL(path);
			appendFile(urlHope);
		},
		function(s) {
			if (s.Message != null && s.Message != "") {
				mui.toast("请确认是否开启相机权限");
				return;
			}
		}, {
			resolution: res,
			format: fmt
		}
	);
}
// 从相册中选择多张图片 
function galleryImgs() {
	// 从相册中选择图片
	plus.gallery.pick(function(e) {
		for (var i in e.files) {
			appendFile(e.files[i]);
		}
	}, function(e) {
		if (e.message == "没有权限") {
			mui.toast("请确认是否开启相册权限");
			return;
		}
		mui.toast("取消选择图片");
	}, {
		filter: "image",
		multiple: true,
		maximum: 9,
		system: false,
		onmaxed: function() {
			plus.nativeUI.toast('每次最多只能选择9张图片');
		}
	});
}

// 图片压缩显示,成功回调函数
function appendFile(path) {
	plus.nativeUI.showWaiting("加载中......");
	//图片方向
	var Orientation;
	var img = new Image();
	img.src = path;
	img.onload = function() {
		var that = this;
		//生成比例 
		var w = that.width;
		var h = that.height;
		//生成canvas
		var canvas = document.createElement('canvas');
		var ctx = canvas.getContext('2d');
		//获取照片方向角属性，用户旋转控制 ,判断当前图片是否需要做旋转操作。
		EXIF.getData(img, function() {
			EXIF.getAllTags(this);
			/**
			 * 图片的旋转方向信息
			 * 1、图片没有发生旋转
			 * 6、顺时针90°
			 * 8、逆时针90°
			 * 3、180° 旋转
			 */
			Orientation = EXIF.getTag(this, 'Orientation');
			if (Orientation != "" && Orientation != null) {
				// 方向信息，canvas 显示形式，canvas 对象，that,宽度，高度
				rotateImg(Orientation, ctx, canvas, that, w, h);
			} else {
				rotateImg(Orientation, ctx, canvas, that, w, h);
			}
		});
	}
}

// 图片旋转操作
function rotateImg(Orientation, ctx, canvas, that, w, h, callback) {
	var width = w,
		height = h;
	// 控制上传图片的宽高
	if (width > height && width > 750) {
		width = 750;
		height = Math.ceil(750 * h / w);
	} else if (width < height && height > 1334) {
		width = Math.ceil(1334 * w / h);
		height = 1334;
	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	if (Orientation && Orientation != 1) {
		switch (Orientation) {
			case 6:
				canvas.width = height; /*设置新的图片的宽度*/
				canvas.height = width; /*设置新的图片的长度*/
				// 画布旋转 90度
				ctx.rotate(Math.PI / 2);
				ctx.drawImage(that, 0, -height, width, height);
				break;
			case 3: // 旋转180度
				ctx.rotate(Math.PI);
				ctx.drawImage(that, -width, -height, width, height);
				break;
			case 8: // 旋转-90度
				canvas.width = height;
				canvas.height = width;
				ctx.rotate(3 * Math.PI / 2);
				ctx.drawImage(that, -width, 0, width, height);
				break;
		}
	} else {
		ctx.drawImage(that, 0, 0, width, height);
	}
	var base64 = canvas.toDataURL('image/jpeg', 1); //1z 表示图片质量，越低越模糊。
	upload(base64);
	plus.nativeUI.closeWaiting();

};
//图片上传，将base64的图片转成二进制对象，塞进formdata上传
function upload(basestr) {
	var oristr = basestr;
	plus.nativeUI.showWaiting();
	basestr = basestr.replace("data:image/jpeg;base64,", "");
	EasyPost("/NewRepair/UploadImg", {
		base64: basestr,
		type: 0
	}, function(data) {
		plus.nativeUI.closeWaiting();
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		newCheckCar = true;
		$(".CarPic").prepend($("#imgTpl").html().replace("{{imgUrl}}", oristr).replace(
			"{{weburl}}", rel.Data))
		imgList.push(rel.Data);
		var tp_list = "";
		for (var i = 0; i < imgList.length; i++) {
			tp_list += tp_list == "" ? imgList[i] : "," + imgList[i]
		}
		bill.IMAGELIST = tp_list;
		return;
	});
}
//监听移除图片事件
$("body").on("click", "#imgClose", function() {
	if (type == 99) {
		var cashtype = bill.mechanicbill.CASHTYPE;
		if (cashtype < 4 || cashtype > 6) {
			return;
		}
		newCheckCar = true;
	}
	var url = $(this).siblings("input").val()
	var imglist_tp = [];
	for (var i = 0; i < imgList.length; i++) {
		if (imgList[i] != url) {
			imglist_tp.push(imgList[i])
		}
	}
	imgList = imglist_tp;
	$(this).parent().remove();
	var tp_list = "";
	for (var i = 0; i < imgList.length; i++) {
		tp_list += tp_list == "" ? imgList[i] : "," + imgList[i]
	}
	bill.IMAGELIST = tp_list;
});
//当检查车况被点击时
$("#checkCar").on("tap", function() {
	if (type == 99) {
		var cashtype = bill.mechanicbill.CASHTYPE;
		if (cashtype < 4 || cashtype > 6) {
			return;
		}
	}
	var pageID = plus.webview.currentWebview().id;
	if (pageID == "NewMeeting") {
		var CARNUMBERSUFFIX = $("#carNumber").val();
		var CARNUMBERPREFIX = document.getElementById('Plate').value;
		var isHaveNumber = $("#isHaveNumber .choice1").is(":hidden");
		if (CARNUMBERSUFFIX == "" && !isHaveNumber) {
			mui.toast("请先填写车牌信息");
			return;
		}
		var CARNUMBER = CARNUMBERPREFIX + CARNUMBERSUFFIX;
		var info = {
			CARNUMBER: CARNUMBER,
			CARTYPENAME: document.getElementById('carTypeName').value,
			BRANDNAME: document.getElementById('carBrandName').value,
			LASTMILE: "0.00",
			THISMILE: $("#thisMile").val() == "" ? "0.00" : $("#thisMile").val()
		};
		customer = info;
		bill.customer = info;
	}
	customer.THISMILE = $("#thisMile").val() == "" ? "0.00" : $("#thisMile").val();
	bill.customer.THISMILE = $("#thisMile").val() == "" ? "0.00" : $("#thisMile").val();
	var fault = $("#fault").val();
	MyOpenWindows("NewCheck", {
		bill: bill,
		pageID: pageID,
		fault: fault
	}, "NewCheck");
});
//接车填写完成后触发的事件;
$(window).on("updateCheckCarInfo", function(e) {
	var ee = e.originalEvent.detail;
	CheckCarInfo = {
		checkResultList: ee.checkResultList,
		checkResult: ee.checkResult
	};
	bill.checkResultList = CheckCarInfo;
	checkResultList = ee;
	var html = "<h4><span>检测项目</span><span>检测意见</span></h4>";
	var html1 = "";
	var html2 = "";
	for (var i = 0; i < ee.checkResultList.length; i++) {
		var info = bill.checkResultList.checkResultList[i];
		if (info.ID != null) {
			//不良
			if (info.STATE == '2') {
				html += $("#checkCarInfoTpl").html().replace("{{id}}", info.ID).replace("{{txt}}", info
					.DESCRIPTION).replace("{{name}}", info.NAME).replace("{{isNormal}}", "不良").replace(
					"{{imgArea}}",
					(function() {
						var htmls = "";
						if (info.imgContent != "" && info.imgContent != null && info.imgContent != undefined) {
							var img = info.imgContent.split(",");
							for (var i = 0; i < img.length; i++) {
								htmls += "<img src='" + img[i] + "' onclick=ShowPic(this)>";
							}
						}
						if (info.IMGCONTENT != "" && info.IMGCONTENT != null && info.IMGCONTENT != undefined) {
							var img = info.IMGCONTENT.split(",");
							for (var i = 0; i < img.length; i++) {
								htmls += "<img src='" + img[i] + "' onclick=ShowPic(this)>";
							}
						}
						return htmls;
					})).replace("{{txtExplain}}", function() {
					var htmls = info.STATE == '0' ? "" : "<p>补充检测说明:" + info
						.DESCRIPTION + "</p>";
					return htmls;
				});
			}
			//正常
			else if (info.STATE == '1') {
				html1 += $("#checkCarInfoTpl").html().replace("{{id}}", info.ID).replace("{{txt}}", info
					.DESCRIPTION).replace("{{name}}", info.NAME).replace("{{isNormal}}", "正常").replace(
					"{{imgArea}}",
					(function() {
						var htmls = "";

						if (info.imgContent != "" && info.imgContent != null && info.imgContent != undefined) {
							var img = info.imgContent.split(",");
							for (var i = 0; i < img.length; i++) {
								htmls += "<img src='" + img[i] + "' onclick=ShowPic(this)>"

							}
						}

						if (info.IMGCONTENT != "" && info.IMGCONTENT != null && info.IMGCONTENT != undefined) {
							var img = info.IMGCONTENT.split(",");
							for (var i = 0; i < img.length; i++) {
								htmls += "<img src='" + img[i] + "' onclick=ShowPic(this)>"

							}
						}
						return htmls;
					})).replace("{{txtExplain}}", function() {
					var htmls = info.STATE == '0' ? "" : "<p>补充检测说明:" + info
						.DESCRIPTION + "</p>";
					return htmls;
				});
			}
			//未检测
			else if (info.STATE == '0') {
				html2 += $("#checkCarInfoTpl").html().replace("{{id}}", info.ID).replace("{{txt}}", info
					.DESCRIPTION).replace("{{name}}", info.NAME).replace("{{isNormal}}", "未检测").replace(
					"{{imgArea}}", "").replace("{{txtExplain}}", "");
			}
		}
	}
	newCheckCar = true;
	$("#checkCarResultList").html(html);
	$("#checkCarResultListNormal").html(html1);
	$("#checkCarResultListUndetected").html(html2);
	$("#checkCarResult").html(ee.checkResult);
	$(".CarCondition").show();
	$("#fault").val(ee.checkResult);
});
//进厂时间
var inTimePicket = new mui.DtPicker({
	type: 'datetime'
});
$("#inTime").on('click', function() {
	if (type == 99) {
		return;
	}
	inTimePicket.show(function(selectItems) {
		var nowtime = (new XDate()).toString("yyyy-MM-dd HH:mm")
		if (nowtime < selectItems.text) {
			mui.toast("进厂时间不能选择晚于当前时间");
			return;
		}
		$("#inTimeShow").text(selectItems.text);
	});
});
//预计完工时间
var outTimePicket = new mui.DtPicker({
	type: 'datetime'
});

//服务类型
$("#serviceTypeVal").on('click', function() {
	var picker = new mui.PopPicker();
	var url = zyzlApi.ApiUrl + "NewRepair/GetServiceType";
	var userInfo = escape(JSON.stringify(UserInfo.getUserModel()));
	mui.ajax(url, {  
		type: 'get', //HTTP请求类型 
		headers: {
			'Content-Type': 'application/json',
			'authorize': userInfo
		},
		success: function(data) {
			var rel =JSON.parse(data);
			if (rel.State = 1) {
				data = rel.Data;
				var pickData = [];
				$.each(data, function(index, val) {
					pickData.push({
						text: val.NAME,
						value: val.ID
					});
				});
				picker.setData(pickData);
			} else {
				mui.toast(rel.Msg);
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		}
	}); 
	var defaultValue = $("#serviceTypeId").val();
	picker.pickers[0].setSelectedValue(defaultValue, 200);
	picker.show(function(SelectedItem) {
		bill.ServiceTypeId = SelectedItem[0].value;
		$("#serviceTypeVal").html(SelectedItem[0].text);
		$("#serviceTypeId").val(SelectedItem[0].value);
		picker.dispose();
	});
});


//预计完工时间
$("#outTimeShow").on('click', function() {
	if (type == 99) {
		return;
	}
	outTimePicket.show(function(selectItems) {
		if (isNullOrEmpty($("#inTimeShow").text())) {
			mui.toast("进厂时间不能为空");
			return;
		}
		$("#outTimeShow").val(selectItems.text);
		if ($("#outTimeShow").val() < $("#inTimeShow").text()) {
			mui.toast("预计完工时间不能小于进厂时间");
			$("#outTimeShow").val("");
			return;
		}
	});
});
//接车人
$("#employeeList").on('click', function() {
	if (type == 99) {
		return;
	}
	EasyPost("NewRepair/EmployeeInfo", {}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State == 1) {
			data = rel.Data;
			var picker = new mui.PopPicker();
			picker.setData(data);
			var defaultValue = $("#PICKUPID").val() == "" ? UserInfo.CustomerId() : $(
				"#PICKUPID").val();
			picker.pickers[0].setSelectedValue(defaultValue, 200);
			picker.show(function(SelectedItem) {
				bill.PICKUP = SelectedItem[0].text;
				$("#PICKUPID").val(SelectedItem[0].value);
				$("#PICKUP").text(SelectedItem[0].text);
				picker.dispose();
			});
		} else {
			mui.toast(rel.Msg);
		}
	});
});
//接车页面
$(".choice").on("tap", "img", function() {
	if (type == 99) {
		return;
	}
	$(this).hide().siblings("img").show();
});
$(".setting2").on("click", function() {
	if (type == 99) {
		return;
	}
	$(".mui-backdrop").show()
	$("#TimePop").show();
});
//快捷设置
$(".PopBtn").on("click", "a", function() {
	if (type == 99) {
		return;
	}
	$(".mui-backdrop").hide();
	$("#TimePop").hide();
	if ($(this).text() == "确认") {
		if (isNullOrEmpty($("#inTimeShow").text())) {
			mui.toast("进厂时间不能为空");
			return;
		}
		var inTime = new Date(GetDateDiff($("#inTimeShow").text()));
		var minutes = $("input[name='outTimebox']:checked").val();
		var outTime = new Date();
		outTime.setTime(outTime.setTime(inTime.getTime() + minutes * 60 * 1000));
		var time = outTime.format("yyyy-MM-dd hh:mm");
		$("#outTimeShow").val(time);
	}
});
$("body").on("click", ".mui-backdrop", function() {
	$(".mui-backdrop").hide()
	$("#oil").hide();
	$("#TimePop").hide();
	var oilnum = $("input[name='oilbox']:checked").val();
	var oillabel = $("#oil" + oilnum).text();
	$("#OilLabel").text(oillabel);
});
$("#oil").on("click", ".mui-radio", function() {
	$(".mui-backdrop").hide()
	$("#oil").hide();
	$("#TimePop").hide();
	var oilnum = $("input[name='oilbox']:checked").val();
	var oillabel = $("#oil" + oilnum).text();
	$("#OilLabel").text(oillabel);
});
//油表数
$(".oilnum").on("click", "label", function() {
	if (type == 99) {
		return;
	}
	$(".mui-backdrop").show()
	$("#oil").show();
});
$(".PopBtn").on("click", "a", function() {
	$(".mui-backdrop").hide()
	$("#TimePop").hide();
});
//送修人
$(".choose").on("tap", function() {
	if (type == 99) {
		return;
	}
	if ($(this).children(".choose1").is(":hidden")) {
		var name = $("#NAME").text() == "" ? $("#NAME").val() : $("#NAME").text();
		var mobile = $("#REALMOBILE").val();
		var reg = /^1[0-9]{10}$/;
		if (!reg.test(mobile)) {
			mobile = "";
		}
		$("#songxiuren").val(name);
		$("#songxiurenmobile").val($("#MOBILE").text().replace("-", '') == "" ? $("#MOBILE").val() : $("#MOBILE").text().replace(
			"-", ''));
		$("#hd_songxiurenmobile").val(mobile);
	} else {
		$("#songxiuren").val("");
		$("#songxiurenmobile").val("");
		$("#hd_songxiurenmobile").val("");
	}
});
//验证送修人手机号码
$("#songxiurenmobile").on("blur", function() {
	var that = this;
	var reg = /^1[0-9]{10}$/;
	if (!reg.test($(that).val())) {
		mui.toast("手机号格式错误");
		$(that).val("");
	}
});
//本次里程
$("thisMile").on("blur", function() {
	var that = this;
	var val = $(that).val();
	if (val == "") {
		val = 0;
	}
	customer["THISMILE"] = val;
});
//是否推送检车报告
$(".choose").on("tap", "img", function() {
	if (type == 99) {
		return;
	}
	$(this).hide().siblings("img").show();
});
//车身检查
$("#CarCheck").on("tap", function() {
	if (type == 99) {
		var cashtype = bill.mechanicbill.CASHTYPE;
		if (cashtype < 4 || cashtype > 6) {
			return;
		}
	}
	var souceId = plus.webview.currentWebview().id;
	MyOpenWindows("CarCheck", {
		souceId: souceId,
		canvasImage: bill.CANVASIMAGE
	}, "CarCheck");
});
//车身检查完成后触发的事件;
window.addEventListener('updateCarCheck', function(e) {
	bill.CANVASIMAGE = e.detail.canvasImage;
	bill.CARCHECKIMAGE = e.detail.carCheckImage;
	newCheckCar = true;
});

$("#serviceTypeVal").on("tap", function() {
	var picker = new mui.PopPicker();
	EasyGet("NewRepair/GetServiceType", {}, function(data) {
		var rel = JSON.parse(data);
		if (rel.State == 1) {
			data = rel.Data;
			var picker = new mui.PopPicker();
			picker.setData(data);
			picker.show(function(SelectedItem) {
				$("#serviceTypeVal").val(SelectedItem[0].value);
				$("#serviceTypeVal").text(SelectedItem[0].text);
				bill.serviceType = SelectedItem[0].value;
				picker.dispose();
			});
		} else {
			mui.toast(rel.Msg);
		}
	});
});


//接待
$("#saveJieChe").on("click", function() {
	if (type == 99) {
		return;
	}
	var checkPermission = validateAuthority(null, "维修接车", "接待");
	if (!checkPermission) {
		return; //没有权限
	}
	if (InitSave()) {
		plus.nativeUI.showWaiting();
		var isNoNumber = $("#isHaveNumber .choice1").is(":hidden");
		if (isNoNumber) {
			bill.HaveNumber = 1;
		} else {
			bill.HaveNumber = 0;
		}
		if (bill.customer.CARDBALANCE == "") {
			bill.customer.CARDBALANCE = 0;
		}
		if (bill.customer.CUSTOMERTYPE == "") {
			bill.customer.CUSTOMERTYPE = 0;
		}
		var datas = new Object;
		datas.jsonStr = JSON.stringify(bill);
		EasyPost("NewRepair/Save", datas, function(data) {
			var rel = JSON.parse(data);
			if (rel.State != 1) {
				mui.toast(rel.Msg);
				return;
			}
			MyOpenWindows("PaySuccess", {
					msg: "接待成功"
				},
				"PaySuccess");
		});
	}
});
//选择项目/商品
$("#next").on("click", function() {
	if (type == 99) {
		return;
	}
	var checkPermission = validateAuthority(null, "维修接车", "完成接待并选择项目/商品");
	if (!checkPermission) {
		return; //没有权限
	}
	if (InitSave()) {
		plus.nativeUI.showWaiting();
		if (bill.mechanicbilldetail == undefined) {
			bill.mechanicbilldetail = billDetail;
		}
		//newmeeting判断用（无车牌）
		var isNoNumber = $("#isHaveNumber .choice1").is(":hidden");
		if (isNoNumber) {
			bill.HaveNumber = 1; //无
		} else {
			bill.HaveNumber = 0;
		}
		if (isNoNumber) {
			bill.HaveNumber = 1; //无
		} else {
			bill.HaveNumber = 0;
		}
		var datas = {};
		if (bill.customer.CARDBALANCE == "") {
			bill.customer.CARDBALANCE = 0;
		}
		if (bill.customer.CUSTOMERTYPE == "") {
			bill.customer.CUSTOMERTYPE = 0;
		}
		datas['jsonStr'] = JSON.stringify(bill);

		if (Number(bill.BILLTYPE) == 0) {
			EasyPost("NewRepair/Save", datas, function(data) {
				var rel = JSON.parse(data);
				if (rel.State != 1) {
					mui.toast(rel.Msg);
					return;
				}
				bill = rel.Data;
				bill.BILLTYPE = 4;
				MyOpenWindows("NewBilling", {
						bill: bill
					},
					"NewBilling");
			});
			return;
		}
		MyOpenWindows("NewBilling", {
				bill: bill
			},
			"NewBilling");
	}
});
//预收款
$("#actualBill").on("click", function() {
	if (type == 99) {
		return;
	}
	var checkPermission = validateAuthority(null, "维修接车", "预收款");
	if (!checkPermission) {
		return; //没有权限
	}
	if (InitSave()) {
		if (bill.customer.CUSTOMERTYPE != 0) {
			mui.toast("挂账单位不能预收款");
			return;
		}
		plus.nativeUI.showWaiting();
		if (bill.mechanicbilldetail == undefined) {
			bill.mechanicbilldetail = billDetail;
		}
		var CARID = $("#CARID").val();
		var params = {
			Id: bill.mechanicbill.ID,
		}
		if (CARID == "") {
			params.bill = bill.mechanicbill;
		}
		EasyPost('NewRepair/GetBeforeAmount', params, function(data) {
			var result = JSON.parse(data);
			if (result.State == 1) {
				var rel = result.Data;
				if (rel != null && rel != undefined) {
					bill.mechanicbill.BEFOREAMOUNT = toDecimal(rel.BEFOREAMOUNT);
					bill.mechanicbill.REFUNDAMOUNT = toDecimal(rel.REFUNDAMOUNT);
					bill.mechanicbill.ACTUALDAMOUNT = toDecimal(rel.ACTUALDAMOUNT);
					if (toDecimal(rel.BEFOREAMOUNT) > 0) {
						$("#actualBill").text("预收款(" + toDecimal(rel.BEFOREAMOUNT) + ")");
					} else {
						$("#actualBill").text("预收款");
					}
				}
				MyOpenWindows("ActualPay", {
						bill: bill
					},
					"ActualPay");
			} else {
				mui.toast(result.Msg);
			}
		});
	}
});

function InitSave() {
	//判断送修人手机
	if (isNullOrEmpty($("#songxiurenmobile").val())) {
		mui.toast("送修人手机不允许为空");
		return false;
	}
	//判断进厂时间
	if (isNullOrEmpty($("#inTimeShow").text())) {
		mui.toast("进厂时间不允许为空");
		return false;
	}
	//判断完工时间
	if (isNullOrEmpty($("#outTimeShow").val())) {
		mui.toast("预计完工时间不允许为空");
		return false;
	}
	var CARID = $("#CARID").val();
	var CARNUMBERPREFIX = $("#Plate").val();
	var CARNUMBERSUFFIX = $("#carNumber").val();
	var CARNUMBER = $("#CARNUMBER").text();
	var isHaveNumber = $("#isHaveNumber .choice1").is(":hidden");
	if (bill.HaveNumber == 1) {
		isHaveNumber = true;
	}
	if (CARID == "") {
		CARNUMBER = CARNUMBERPREFIX + CARNUMBERSUFFIX;
		if (!isHaveNumber && CARNUMBERSUFFIX == "") {
			mui.toast("请先填写车牌信息");
			return false;
		}
		var BRANDID = $("#carBrandID").val();
		var CARSERIESID = $("#carSeriesID").val();
		if (!isHaveNumber) {
			if (IsEmptyStr(BRANDID) || IsEmptyStr(CARSERIESID)) {
				mui.toast("请先选择车型");
				return false;
			}
			if (GetString($("#VIN").val()) != "") {
				var result = CheckVIN($("#VIN").val());
				if (result != null) {
					mui.toast(result);
					return false;
				}
			}
		}
		customer = {
			NAME: $("#NAME").val(),
			MOBILE: $("#MOBILE").val(),
			CARNUMBERPREFIXID: "",
			CARNUMBERPREFIX: CARNUMBERPREFIX, //车牌前缀
			CARNUMBERSUFFIX: CARNUMBERSUFFIX, //车牌后缀
			CARNUMBER: CARNUMBER, //车牌号
			VINNUMBER: $("#VIN").val(), //VIN
			BRANDID: $("#carBrandID").val(), //品牌ID
			BRANDNAME: $("#carBrandName").val(), //品牌名称
			CARSERIESID: $("#carSeriesID").val(), //车系ID
			CARSERIESNAME: $("#carSeriesName").val(), //车系名称
			CARTYPEID: $("#carTypeID").val(), //车型ID
			CARTYPENAME: $("#carTypeName").val(), //车型名称
			PRICEID: $("#carPriceID").val(), //车价ID
			PRICENAME: $("#carPriceName").val(), //车价名称
			CUSTOMERTYPE: $("#CUSTOMERTYPE").val(), //客户类型 0：普通客户 1：挂账单位
			CARDDATAID: $("#CARDDATAID").val(), //会员卡ID
			CUSTOMERID: $("#CUSTOMERID").val(), //客户ID
			CARDTYPEID: $("#CARDTYPEID").val(), //会员卡类型ID
			CARDTYPENAME: $("#CARDTYPENAME").val(), //会员卡类型名称
			CARID: CARID, //客户车辆ID
			HAVENUMBER: isHaveNumber ? 1 : 0,
			SEX: $("input[name='SEX']:checked").val(), //性别
			DRIVINGIMGURL: $("#drivingImgUrl").val(),//行驶证照片
			ENGINENO: $("#engineNo").val()//发动机号
		};
	}
	//判断是否推送检车报告
	var SENDWXCHECKCAR = 0;
	if ($(".choice").children(".choice1").is(":hidden")) {
		var SENDWXCHECKCAR = 1;
	}

	var tp_list = "";
	for (var i = 0; i < imgList.length; i++) {
		tp_list += tp_list == "" ? imgList[i] : "," + imgList[i]
	}
	if ($("#songxiurenmobile").val().indexOf('*') == -1) {
		$("#hd_songxiurenmobile").val($("#songxiurenmobile").val());
	}
	if (type == 0) {
		var mechanicbill = {
			ID: GUID(),
			CUSTOMERNAME: customer.NAME,
			CUSTOMERMOBILE: customer.MOBILE,
			CARNUMBER: customer.CARNUMBER,
			VINNUMBER: customer.VINNUMBER,
			BRANDID: customer.BRANDID,
			CARDTYPEID: customer.CARDTYPEID,
			CASHTYPE: 4,
			SONGCARREN: $("#songxiuren").val(), //送修人
			SONGMOBILE: $("#hd_songxiurenmobile").val(), //送修人手机
			SONGREMARK: $("#remark").val(), //维修备注
			MECHANICPROPOSAL: $("#suggestion").val(), //维修建议
			FAULTDESCCRIPTION: $("#fault").val(), //故障描述
			LASTMILE: customer.LASTMILE, //上次里程
			DST: $("#thisMile").val(), //本次里程
			OIL: $("input[name='oilbox']:checked").val(), //油表数
			ENTERTIME: $("#inTimeShow").text(), //进厂时间
			EXPECTTIME: $("#outTimeShow").val(), //预计完工时间
			PICKUP: $("#PICKUP").text(),
			PICKUPID: $("#PICKUPID").val(), //接车人ID
			CHECKFLAG: $("input[name='checkFlag']:checked").val(), //是否质检标志		
			BEFOREAMOUNT: 0
		};
		bill.mechanicbill = mechanicbill;
	} else {
		bill.mechanicbill.SONGCARREN = $("#songxiuren").val(); //送修人
		bill.mechanicbill.SONGMOBILE = $("#hd_songxiurenmobile").val(); //送修人手机
		bill.mechanicbill.SONGREMARK = $("#remark").val(); //委修备注
		bill.mechanicbill.MECHANICPROPOSAL = $("#suggestion").val(); //维修建议
		bill.mechanicbill.FAULTDESCCRIPTION = $("#fault").val(); //故障描述
		bill.mechanicbill.LASTMILE = customer.LASTMILE; //上次里程
		bill.mechanicbill.DST = $("#thisMile").val(); //本次里程
		bill.mechanicbill.OIL = $("input[name='oilbox']:checked").val(); //油表数
		bill.mechanicbill.ENTERTIME = $("#inTimeShow").text(); //进厂时间
		bill.mechanicbill.EXPECTTIME = $("#outTimeShow").val(); //预计完工时间
		bill.mechanicbill.PICKUPID = $("#PICKUPID").val(); //接车人ID
		bill.mechanicbill.PICKUP = $("#PICKUP").text();
		bill.mechanicbill.CHECKFLAG = $("input[name='checkFlag']:checked").val(); //是否质检标志				
	}
	if (bill.mechanicbill.DST == "") {
		bill.mechanicbill.DST = 0;
	}
if (CARID == "") 
	{
	bill.customer = customer;
}
	//bill.checkResultList = CheckCarInfo;	
	bill.SENDWXCHECKCAR = SENDWXCHECKCAR;
	bill.IMAGELIST = tp_list;
	bill.BILLTYPE = $("#BILLTYPE").val();
	return true;
}

//检车图片放大事件
function ShowPic(e) {

	var src = $(e).attr("src");
	$(".ImagescaLing").attr("style", "background:url(" + src + ") no-repeat;background-size: contain;");
	$(".ImagescaLing").show();
	$(".mui-backdrop").show();

}
$(".mui-backdrop").click(function() {

	$(".ImagescaLing").hide();
	$(".mui-backdrop").hide();
});
$(".ImagescaLing").click(function() {

	$(".ImagescaLing").hide();
	$(".mui-backdrop").hide();
});
$(".ClosePic").click(function() {

	$(".ImagescaLing").hide();
	$(".mui-backdrop").hide();
});
