var request;
var billID;
var billInfo = {};
var billDetail = []; // 单据详情
var cashType;
var openLocation = 0;
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	billID = self.billID;
	cashType = self.cashType;
	EasyPost("RepairUseMaterial/GetRepairBillDatail", {
		ID: billID,
		async: false
	}, function(data) {
		var rel = JSON.parse(data);
		if(rel.state != 1) {
			mui.toast(rel.msg);
			return;
		} else {
			billInfo = rel.data;
			cashType = rel.data2;
			openLocation = rel.data3;
			initData();
		}
	});
	// 商品点击选中事件
	mui('.part2').on('tap', '.detail', function() {
		var checkbox1 = $(this).next('input[name="checkbox1"]');
		if(!checkbox1.prop('checked') && checkbox1.val() == "stockPro") {
			checkbox1.prop("checked", true);
		} else {
			checkbox1.prop("checked", false);
		}
	});
	// 显示当前页面
	mui.currentWebview.show();
});
mui.back = function() {
	var webview = plus.webview.getWebviewById('维修用料');
	OpenWindowsNoAuto('BillManage', {}, '维修用料');
};
window.addEventListener('parentRefresh', function() {
	location.reload();
});

function initData() {
	var self = plus.webview.currentWebview();
	$("#carNumber").text("车牌号: " + GetString(billInfo[0].CARNUMBER)); // 车牌
	$("#customerName").text(GetString(billInfo[0].CUSTOMERNAME)); // 客户姓名
	$("#carType").text(GetString(billInfo[0].CARTYPE)); // 车型
	$("#VINNumber").text("VIN: " + GetString(billInfo[0].VINNUMBER)); //VIN
	$("#billCode").text("单号: " + GetString(billInfo[0].CODE)); // 单号
	$("#billTime").text("日期: " + GetString(billInfo[0].BILLTIME)); // 单据日期
	switch(Number(cashType)) {
		case 1:
			//$(".mui-title").text("待收银");
			appendData(1);
			break;
		case 4:
			//$(".mui-title").text("估价中");
			appendData(0);
			break;
		case 5:
			//$(".mui-title").text("待派工");
			appendData(0);
			break;
		case 6:
			//$(".mui-title").text("待竣工");
			appendData(0);
			break;
		case 7:
			//$(".mui-title").text("待结算");
			appendData(1);
			break;
		case 8:
			//$(".mui-title").text("待质检");
			appendData(1);
			break;
		case 9:
			//$(".mui-title").text("待出厂");
			appendData(1);
			break;
		case 10:
			//$(".mui-title").text("已出厂");
			appendData(1);
			break;
		default:
			mui.toast("系统异常");
			break;
	}
}

function appendData(type) {
	var edit = type == 0 ? "编辑" : "";
	$("#edit").text(edit);
	var productHtml = ""; // 库存商品html
	var tmpproductHtml = ""; // 临时商品html
	for(var i = 0; i < billInfo.length; i++) {
		var extraName = "";
		if(billInfo[i].BUYTYPE == 0) {
			if(billInfo[i].DEDUCTEDFLAG == 1) {
				extraName = "(套餐商品)";
			}
			productHtml += $("#productTpl").html().replace("{{id}}", billInfo[i].DETAILID)
				.replace("{{SKUID}}", billInfo[i].PRODUCTSKUID)
				.replace("{{PRODUCTNAME}}", billInfo[i].PRODUCTNAME + extraName) // 商品名称
				.replace("{{REFUNDFLAGNAME}}", billInfo[i].REFUNDFLAGNAME) // 领料状态
				.replace("{{REFUNDFLAG}}", billInfo[i].REFUNDFLAG) // 领料状态
				.replace("{{ATTRIBUTEVALNAME}}", billInfo[i].ATTRIBUTEVALNAME) // 商品属性值
				.replace("{{SUPPLIER}}", (billInfo[i].SUPPLIERNAME == null || billInfo[i].SUPPLIERNAME == '') ? '-' : billInfo[i].SUPPLIERNAME) // 供应商
				.replace("{{STOCKNUM}}", billInfo[i].STOCKNUM) // 库存
				.replace("{{LOCATION}}", (openLocation == 1 ? "(" + (billInfo[i].LOCATION == null || billInfo[i].LOCATION == '' ? '-' : billInfo[i].LOCATION) + ")" : "")) // 库位
				.replace("{{WAREHOUSENAME}}", billInfo[i].WAREHOUSENAME) // 仓库
				.replace("{{NUM}}", billInfo[i].NUM) // 数量
				.replace("{{REFUNDNUMBER}}", billInfo[i].REFUNDNUMBER) //  已领料数量
			//.replace("{{PRODUCTWARRANTY}}",billInfo[i].WARRANTY +(billInfo[i].WARRANTYUNIT==0?"天":billInfo[i].WARRANTYUNIT==1?"月":"年"))
		} else {
			if(billInfo[i].BUYTYPE == 2) {
				billInfo[i].ATTRIBUTEVALNAME = "临时商品";
			} else if(billInfo[i].BUYTYPE == 3) {
				billInfo[i].ATTRIBUTEVALNAME = "自带商品";
			}
			if(billInfo[i].BUYTYPE == 2 || billInfo[i].BUYTYPE == 3) {
				tmpproductHtml += $("#tmpproductTpl").html().replace("{{id}}", billInfo[i].DETAILID)
					.replace("{{PRODUCTNAME}}", billInfo[i].PRODUCTNAME + extraName) // 商品名称
					.replace("{{ATTRIBUTEVALNAME}}", billInfo[i].ATTRIBUTEVALNAME) // 商品属性值
					.replace("{{NUM}}", billInfo[i].NUM); // 数量
			}
		}
	}
	if(tmpproductHtml != "") {
		productHtml += tmpproductHtml;
	}
	$(".product").html(productHtml);

}
// 全选按钮点击选中事件
mui('.SaleBottom').on('change', 'input#allSelect', function() {
	if(this.checked) {
		mui('input[name="checkbox1"]').each(function() {
			if(this.value == "stockPro") // 库存商品选中，临时商品无法选中
			{
				this.checked = true;
			}
		});
	} else {
		mui('input[name="checkbox1"]').each(function() {
			if(this.value == "stockPro") {
				this.checked = false;
			}
		});
	}
});
$("#edit").on('tap', function() {
	if($("#edit").text() == "") {
		return;
	}
	var checkPermission = validateAuthority(null, "维修用料", "编辑");
	if(!checkPermission) {
		return; //没有权限
	}
	OpenWindowsNoAuto("EditRePro", {
		billID: billID,
		cashType: self.cashType,
		sourceId: plus.webview.currentWebview().id
	}, "EditRePro");
});
// 领料点击事件
mui(".SaleBottom").on('tap', 'a#Use', function() {
	var checkPermission = validateAuthority(null, "维修用料", "领料");
	if(!checkPermission) {
		return; //没有权限
	}
	var detailIds = "";
	var alreadyPick = new Array();
	var already = 0; // 已领料标记
	var pickInfoList = new Array();
	$('input:checkbox[name="checkbox1"]:checked').each(function(i) {
		var pickDom = $(this).prev('.detail');
		var num = parseFloat(pickDom.find('.num').text().substring(1)).toFixed(2);
		var refundnumber = parseFloat(pickDom.find('.refundnumber i').text()).toFixed(2);
		var stockNum = parseFloat($.trim(pickDom.find('.stock i').text())).toFixed(2);

		var supplierName = pickDom.find('.supplier i').text();
		if(supplierName == '-') {
			supplierName = null;
		}
		var mid = pickDom.find('.location i').text().indexOf('(');
		var last = pickDom.find('.location i').text().indexOf(')');
		var warehouseName = null;
		var locationName = null;
		if(mid > 0) {
			warehouseName = $.trim(pickDom.find('.location i').text().substring(0, mid));
			locationName = $.trim(pickDom.find('.location i').text().substring(mid + 1, last));
		} else {
			warehouseName = $.trim(pickDom.find('.location i').text());
		}
		if(num == refundnumber) {
			already = 1;
			alreadyPick.push($(this).prev('.detail'));
		}
		detailIds += pickDom.children('input[name="billdetailID"]').val() + ','; //选择要领料的商品详情单
		var pickInfo = new Object();
		pickInfo = {
			DETAILID: pickDom.children('input[name="billdetailID"]').val(), //选择要领料的商品详情单
			PRODUCTSKUID: pickDom.children('input[name="productskuID"]').val(), //选择要领料的商品sku
			PRODUCTNAME: pickDom.children('.productName').text(),
			ATTRIBUTEVALNAME: pickDom.find('.attributeVal').text(),
			NUM: num,
			REFUNDNUMBER: refundnumber,
			STOCKNUM: stockNum,
			WAREHOUSENAME: warehouseName,
			SUPPLIER: supplierName,
			LOCATION: locationName,
			OPENLOCATIONE: openLocation
		};
		pickInfoList.push(pickInfo);
	});
	if(already == 1) {
		alreadyPick.forEach(function(curValue, index) {
			curValue.next('input[name="checkbox1"]').prop("checked", false);
		});
		mui.toast("已领料商品无需再次领料！");
		return;
	}
	if(detailIds.length > 0) {
		OpenWindowsNoAuto('PickList', {
			billID: billID,
			detailIds: detailIds,
			pickInfoList: pickInfoList
		}, 'PickList');
	} else {
		mui.toast('请选择要领料的商品！');
		return;
	}
});
// 退料点击事件
mui(".SaleBottom").on('tap', 'a#Return', function() {
	var checkPermission = validateAuthority(null, "维修用料", "退料");
	if(!checkPermission) {
		return; //没有权限
	}
	var detailIds = "";
	var alreadyReturn = new Array();
	var already = 0; // 未领料标记
	var returnInfoList = new Array();
	$('input:checkbox[name="checkbox1"]:checked').each(function(i) {
		var returnDom = $(this).prev('.detail');
		var num = parseFloat(returnDom.find('.num').text().substring(1)).toFixed(2);
		var refundnumber = parseFloat(returnDom.find('.refundnumber i').text()).toFixed(2);
		var mid = returnDom.find('.stock i').text().indexOf('(');
		var last = returnDom.find('.stock i').text().indexOf(')');
		var stockNum = parseFloat($.trim(returnDom.find('.stock i').text())).toFixed(2);

		var supplierName = returnDom.find('.supplier i').text();
		if(supplierName == '-') {
			supplierName = null;
		}
		var mid = returnDom.find('.location i').text().indexOf('(');
		var last = returnDom.find('.location i').text().indexOf(')');
		var warehouseName = null;
		var locationName = null;
		if(mid > 0) {
			warehouseName = $.trim(returnDom.find('.location i').text().substring(0, mid));
			locationName = $.trim(returnDom.find('.location i').text().substring(mid + 1, last));
		} else {
			warehouseName = $.trim(returnDom.find('.location i').text());
		}
		if(refundnumber == 0) {
			already = 1;
			alreadyReturn.push($(this).prev('.detail'));
		}
		detailIds += returnDom.children('input[name="billdetailID"]').val() + ','; //选择要退料的商品详情单
		var returnInfo = new Object();
		returnInfo = {
			DETAILID: returnDom.children('input[name="billdetailID"]').val(), //选择要退料的商品详情单
			PRODUCTSKUID: returnDom.children('input[name="productskuID"]').val(), //选择要退料的商品sku
			PRODUCTNAME: returnDom.children('.productName').text(),
			ATTRIBUTEVALNAME: returnDom.find('.attributeVal').text(),
			NUM: num, // 商品数量
			REFUNDNUMBER: refundnumber, // 已领料数量
			STOCKNUM: stockNum, // 库存数量
			WAREHOUSENAME: warehouseName,
			SUPPLIER: supplierName,
			LOCATION: locationName,
			OPENLOCATIONE: openLocation
		};
		returnInfoList.push(returnInfo);
	});
	if(already == 1) {
		alreadyReturn.forEach(function(curValue, index) {
			curValue.next('input[name="checkbox1"]').prop("checked", false);
		});
		mui.toast("未领料商品不可退料！");
		return;
	}
	if(detailIds.length > 0) {
		if(cashType < 4 || cashType > 6) {
			mui.toast('单据已竣工,无法退料！');
			return;
		}
		OpenWindowsNoAuto('ReturnList', {
			billID: billID,
			detailIds: detailIds,
			returnInfoList: returnInfoList
		}, 'ReturnList');
	} else {
		mui.toast('请选择要退料的商品！');
		return;
	}
});