var billID;
var billInfo; // 初始单据详情
var detailIds;
var pickInfoList;
var flag = false; // 是否可以修改领料人 -- 如果商品全部领料 （无法修改）
screen();
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	init();
	billID = self.billID;
	detailIds = self.detailIds;
	pickInfoList = self.pickInfoList;
	initPageData();
	// 获取本次领料单据领料前的单据详情 -- （对比领料前后，单据详情前后是否一致判断单据是否变更）
	// 	EasyPost('RepairUseMaterial/GetRepairBillDatail',{ID:billID,detailIds: detailIds},function(result){
	// 		var rel = JSON.parse(result);
	// 		if(rel.state == 1)
	// 		{
	// 			billInfo = rel.data;
	// 			initPageData();
	// 		}
	// 		else{
	// 			mui.toast(rel.msg);
	// 			return;
	// 		}
	// 	});
	// 显示当前页面
	mui.currentWebview.show();
	plus.nativeUI.closeWaiting();
	setTimeout(function() {
		// 点击弹框以外的蒙版
		$(".mui-backdrop").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
		// 领料数量打开按钮
		$(".pickClick").click(function() {
			$("#pickNum").val("");
			var pickId = $(this).parents('.detail').children('input[name="billdetailID"]').val();
			$("#pickId").val(pickId);
			$(".popup2").show();
			$(".mui-backdrop").show();
		});
		// 领料确定按钮
		$(".popup2 a#submitBtn").click(function() {
			var pickId = $("#pickId").val(); // 领料的商品单据明细Id
			var pickPro = $("input[value=" + pickId + "]").parents('.part');
			var unrefundNum = parseFloat(pickPro.find('p:eq(1) i:eq(1)').text()).toFixed(2); // 待领料数量
			if($("#pickNum").val() == "" || !Number($("#pickNum").val())) {
				mui.toast("领料数量格式错误!");
				return;
			}
			if(Number($("#pickNum").val()) < 0) {
				mui.toast("领料数量不能小于0!");
				return;
			}
			if(Number($("#pickNum").val()) > unrefundNum) {
				mui.toast("领料数量不能大于待领料数量!");
				return;
			}
			$(".popup2").hide();
			$(".mui-backdrop").hide();
			// 修改领料数量
			pickPro.find("p.pickClick a").html("<i>" + parseFloat($("#pickNum").val()).toFixed(2) + "</i>");
		});
		// 商品编辑，商品删除 关闭按钮
		$(".cancel").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
		// 商品编辑，商品删除 取消按钮
		$(".popup2 a.cancelBtn").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
	}, 1000);
});
mui.back = function() {
	OpenWindowsNoAuto('BillManageDetail', {
		billID: billID
	}, 'BillManageDetail');
}
$('#Picker').on('tap', 'a', function() {
	$("#popcontent").html("");
	showEmployeeName(1);
});
mui('.SaleBottom').on('tap', 'a', function() {
	// 判断单据是否有变更
	var changeFlag = JudgeBillChange(billID); // 判断单据是否变更
	if(changeFlag) {
		if(changeFlag == 1) {
			$(".popup4").show();
			$(".mui-backdrop").show();
			$(".cancel").click(function() {
				$(".popup4").hide();
				$(".mui-backdrop").hide();
			});
			$(".popup4 a#confirmBtn").on('tap', function() {
				reloadData(billID); // 重新加载单据数据
			});
			return;
		} else {
			reloadData(billID); // 重新加载单据数据
			return;
		}
	}
	var pickList = new Array(); // 领料的商品
	var pickCount = $(".pickList").children('.part').length; // 领料的商品种类数量
	for(var i = 0; i < pickCount; i++) {
		var pickInfo = new Object();
		var pickDom = $(".pickList").children('.part:eq(' + i + ')');
		var oprefundNum = parseFloat(pickDom.find('p.pickClick a').text()).toFixed(2); // 本次操作领料的数量
		if(oprefundNum > 0) {
			var pickInfo = new Object();
			pickInfo = {
				DETAILID: pickInfoList[i].DETAILID,
				PRODUCTSKUID: pickInfoList[i].PRODUCTSKUID,
				PRODUCTNAME: pickInfoList[i].PRODUCTNAME,
				STOCKNUM: pickInfoList[i].STOCKNUM,
				NUM: pickInfoList[i].NUM,
				UNREFUNDNUMBER: pickInfoList[i].NUM - pickInfoList[i].REFUNDNUMBER,
				PICKNUM: oprefundNum
			};
			pickList.push(pickInfo);
		}
	}
	if(pickList.length <= 0) {
		mui.toast("无商品领料，请重新编辑！");
		return;
	}
	var jsonPickList = JSON.stringify(pickList);
	var usePicker = $("#showPicker").text();
	var usePickerId = $("#selectPickerId").val();
	var remark = $("#remark").val();
	var params = {
		billID: billID,
		usePicker: usePicker,
		usePickerId: usePickerId,
		remark: remark,
		jsonPickList: jsonPickList
	};
	EasyPost('RepairUseMaterial/PickMaterial', params, function(result) {
		rel = JSON.parse(result);
		if(rel.state == 1) {
			// 领料成功
			mui.toast('领料成功！');
			reloadData(billID);
		} else {
			mui.toast(rel.msg);
			return;
		}
	});
});

function JudgeBillChange(billId, changeFlag = 0) {
	var detailList = new Array();
	var bill;
	var detailIds = "";
	pickInfoList.forEach(function(curValue, i) {
		bill = curValue.DETAILID + ':' + parseFloat(curValue.NUM).toFixed(2) + ',' + parseFloat(curValue.REFUNDNUMBER).toFixed(2);
		detailIds += curValue.DETAILID + ',';
		detailList.push(bill);
	});
	var params = {
		billId: billId,
		detailList: detailList,
		detailIds: detailIds,
		async: false
	};
	EasyPost('RepairUseMaterial/JudgeBillChange', params, function(result) {
		rel = JSON.parse(result);

		if(rel.state == 0) {
			changeFlag = 1;
		} else if(rel.state == 2) {
			mui.toast(rel.msg);
			changeFlag = 2;
		}
	});
	return changeFlag;
}

function reloadData(billID) {
	OpenWindowsNoAuto('BillManageDetail', {
		billID: billID
	}, 'BillManageDetail');
}

function init() {
	$("#selectPickerId").val(UserInfo.CustomerId());
	$("#showPicker").val(UserInfo.CustomerName());
	showEmployeeName(0);
}

function initPageData() {
	var pickHtml = "";
	for(var i = 0; i < pickInfoList.length; i++) {
		if(i == 0) {
			openLocation = pickInfoList[i].OPENLOCATIONE;
		}
		var unrefundNum = parseFloat(pickInfoList[i].NUM - pickInfoList[i].REFUNDNUMBER).toFixed(2);
		pickHtml += $("#pickTpl").html().replace('{{ID}}', pickInfoList[i].DETAILID)
			.replace("{{SKUID}}", pickInfoList[i].PRODUCTSKUID)
			.replace("{{PRODUCTNAME}}", pickInfoList[i].PRODUCTNAME) // 商品名称
			.replace("{{ATTRIBUTEVALNAME}}", pickInfoList[i].ATTRIBUTEVALNAME) // 商品属性值
			.replace("{{SUPPLIER}}", (pickInfoList[i].SUPPLIER == null || pickInfoList[i].SUPPLIER == '') ? '-' : pickInfoList[i].SUPPLIER) // 供应商
			.replace("{{STOCKNUM}}", pickInfoList[i].STOCKNUM) // 库存
			.replace("{{LOCATION}}", (openLocation == 1 ? "(" + (pickInfoList[i].LOCATION == null || pickInfoList[i].LOCATION == '' ? '-' : pickInfoList[i].LOCATION) + ")" : "")) // 库位
			.replace("{{WAREHOUSENAME}}", pickInfoList[i].WAREHOUSENAME) // 仓库
			.replace("{{NUM}}", pickInfoList[i].NUM) // 数量
			.replace("{{UNREFUNDNUMBER}}", unrefundNum) // 待领料数量
			.replace("{{OPNUM}}", unrefundNum) //  已领料数量
	}
	$('.pickList').html(pickHtml);

	if(openLocation != 1) {
		$('p.location').css('display', "none");
	}
}

function showEmployeeName(type) {
	//这里的type是用来区分首次加载还是点击按钮之后的加载 0:首次加载  1:点击按钮加载
	plus.nativeUI.showWaiting();
	var authorize = escape(JSON.stringify(UserInfo.getUserModel()));
	var url_1 = zyzlApi.ApiUrl + "RepairUseMaterial/EmployeeName";
	mui.ajax({
		type: "post",
		url: url_1,
		data: {
			"": UserInfo.operaShopId()
		},
		beforeSend: function(request) {
			request.setRequestHeader("authorize", authorize);
		},
		success: function(result) {
			var ischek = false;
			UserInfo.HasAuth2(result, function() {
				plus.nativeUI.closeWaiting();
				ischek = true;
			});
			if(ischek) {
				return;
			}
			result = JSON.parse(result);
			if(result.state == 1) {
				result = result.data;
			} else {
				mui.toast(result.msg);
				return;
			}
			var pickHtml = "";
			var employeename = "";
			var employeeId = "";
			for(var i = 0; i < result.length; i++) {
				if(result[i].ID == UserInfo.CustomerId()) {
					employeename = result[i].NAME;
					employeeId = result[i].ID;
				}
				pickHtml += $("#pickerTpl").html().replace("{{NAME}}", result[i].NAME).replace("{{ID}}", result[i].ID);
			}
			if(type == 0) {
				//首次加载页面需要加载本店数据
				if(employeename != "") {
					$("#selectPickerId").val(employeeId);
					$("#showPicker").text(employeename);
				}
			} else {
				openScreen();
			}
			$("#popcontent").html(pickHtml);
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			errorFuc(xhr, type, errorThrown);
		}
	});
}
$("#popcontent").on('tap', "li a", function(e) {
	//当员工列表被点击时执行该操作
	var id = $(this).next("input").val(); //操作的ID
	var val = $(this).find('span').text(); //操作的值
	var type = $("#poptitle").html();
	$("#selectPickerId").val(id);
	$("#showPicker").text(val);
	//确认无误之后，隐藏页面
	var popup = $(".popup");
	var maskBox = $(".mask-left");
	var conBrand = $(".popup .con");
	setTimeout(function() {
		popup.css('top', '-100%');
	}, 500)
	maskBox.css('left', '-100%');
	conBrand.css('right', '-100%');
})