var billID;
//var billInfo; // 初始单据详情
var detailIds;
var returnInfoList; // 上级页面退料信息
var flag = false; // 是否可以修改退料人 -- 如果商品全部退料 （无法修改）
var openLocation = 0;
screen();
mui.init();
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	init();
	billID = self.billID;
	detailIds = self.detailIds;
	returnInfoList = self.returnInfoList;
	initPageData();
	// 获取本次退料单据退料前的单据详情 -- （对比退料前后，单据详情前后是否一致判断单据是否变更）
	// 	EasyPost('RepairUseMaterial/GetRepairBillDatail',{ID:billID,detailIds:detailIds},function(result){
	// 		var rel = JSON.parse(result);
	// 		if(rel.state == 1)
	// 		{
	// 			billInfo = rel.data;
	// 			initPageData();
	// 		}
	// 		else{
	// 			mui.toast(rel.msg);
	// 			return;
	// 		}
	// 	});
	// 显示当前页面
	mui.currentWebview.show();
	plus.nativeUI.closeWaiting();
	setTimeout(function() {
		// 点击弹框以外的蒙版
		$(".mui-backdrop").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
		// 退料数量打开按钮
		$(".returnClick").click(function() {
			$("#returnNum").val("");
			var returnId = $(this).parents('.detail').children('input[name="billdetailID"]').val();
			$("#returnId").val(returnId);
			$(".popup2").show();
			$(".mui-backdrop").show();
		});
		// 退料确定按钮
		$(".popup2 a#submitBtn").click(function() {
			var returnId = $("#returnId").val(); // 退料的商品单据明细Id
			var returnPro = $("input[value=" + returnId + "]").parents('.part');
			var opNum = parseFloat(returnPro.find('p:eq(1) i:eq(1)').text()).toFixed(2); // 待退料数量
			if($("#returnNum").val() == "" || !Number($("#returnNum").val())) {
				mui.toast("退料数量格式错误!");
				return;
			}
			if(Number($("#returnNum").val()) < 0) {
				mui.toast("退料数量不能小于0!");
				return;
			}
			if(Number($("#returnNum").val()) > opNum) {
				mui.toast("退料数量不能大于已退料数量!");
				return;
			}
			$(".popup2").hide();
			$(".mui-backdrop").hide();
			// 修改退料数量
			returnPro.find("p.returnClick a").html("<i>" + parseFloat($("#returnNum").val()).toFixed(2) + "</i>");
		});
		// 商品编辑，商品删除 关闭按钮
		$(".cancel").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
		// 商品编辑，商品删除 取消按钮
		$(".popup2 a.cancelBtn").click(function() {
			$(".popup2").hide();
			$(".mui-backdrop").hide();
		});
	}, 1000);
});
mui.back = function() {
	OpenWindowsNoAuto('BillManageDetail', {
		billID: billID
	}, 'BillManageDetail');
}
$('#Returner').on('tap', 'a', function() {
	$("#popcontent").html("");
	showEmployeeName(1);
});
mui('.SaleBottom').on('tap', 'a', function() {
	// 判断单据是否有变更
	var changeFlag = JudgeBillChange(billID); // 判断单据是否变更
	if(changeFlag) {
		if(changeFlag == 1) {
			$(".popup4").show();
			$(".mui-backdrop").show();
			$(".cancel").click(function() {
				$(".popup4").hide();
				$(".mui-backdrop").hide();
			});
			$(".popup4 a#confirmBtn").on('tap', function() {
				reloadData(billID); // 重新加载单据数据
			});
			return;
		} else {
			reloadData(billID); // 重新加载单据数据
			return;
		}
	}
	var returnList = new Array(); // 退料的商品
	var returnCount = $(".returnList").children('.part').length; // 退料的商品种类数量
	for(var i = 0; i < returnCount; i++) {
		var returnInfo = new Object();
		var returnDom = $(".returnList").children('.part:eq(' + i + ')');
		var opreturnNum = parseFloat(returnDom.find('p.returnClick a').text()).toFixed(2); // 本次操作退料的数量
		if(opreturnNum > 0) {
			var returnInfo = new Object();
			returnInfo = {
				DETAILID: returnInfoList[i].DETAILID,
				PRODUCTSKUID: returnInfoList[i].PRODUCTSKUID,
				PRODUCTNAME: returnInfoList[i].PRODUCTNAME,
				STOCKNUM: returnInfoList[i].STOCKNUM,
				NUM: returnInfoList[i].NUM,
				REFUNDNUMBER: returnInfoList[i].REFUNDNUMBER,
				RETURNNUM: opreturnNum // 本次操作的退料数量
			};
			returnList.push(returnInfo);
		}
	}
	if(returnList.length <= 0) {
		mui.toast("无商品退料，请重新编辑！");
		return;
	}
	var jsonReturnList = JSON.stringify(returnList);
	var useReturner = $("#showReturner").text();
	var useReturnerId = $("#selectReturnerId").val();
	var remark = $("#remark").val();
	var params = {
		billID: billID,
		useReturner: useReturner,
		useReturnerId: useReturnerId,
		remark: remark,
		jsonReturnList: jsonReturnList
	};
	EasyPost('RepairUseMaterial/ReturnMaterial', params, function(result) {
		rel = JSON.parse(result);
		if(rel.state == 1) {
			// 退料成功
			mui.toast('退料成功！');
			reloadData(billID);
		} else {
			mui.toast(rel.msg);
			return;
		}
	});
});

function JudgeBillChange(billId, changeFlag = 0) {
	var detailList = new Array();
	var bill;
	var detailIds = "";
	returnInfoList.forEach(function(curValue, i) {
		bill = curValue.DETAILID + ':' + parseFloat(curValue.NUM).toFixed(2) + ',' + parseFloat(curValue.REFUNDNUMBER).toFixed(2);
		detailList.push(bill);
		detailIds += curValue.DETAILID + ',';
	});
	var params = {
		billId: billId,
		detailList: detailList,
		detailIds: detailIds,
		async: false
	};
	EasyPost('RepairUseMaterial/JudgeBillChange', params, function(result) {
		rel = JSON.parse(result);
		if(rel.state == 0) {
			changeFlag = 1;
		} else if(rel.state == 2) {
			mui.toast(rel.msg);
			changeFlag = 2;
		}
	});
	return changeFlag;
}

function reloadData(billID) {
	OpenWindowsNoAuto('BillManageDetail', {
		billID: billID
	}, 'BillManageDetail');
}

function init() {
	$("#selectReturnerId").val(UserInfo.CustomerId());
	$("#showReturner").text(UserInfo.CustomerName());
	showEmployeeName(0);
}

function initPageData() {
	var returnHtml = "";
	for(var i = 0; i < returnInfoList.length; i++) {
		if(i == 0) {
			openLocation = returnInfoList[i].OPENLOCATIONE;
		}
		var refundNum = parseFloat(returnInfoList[i].REFUNDNUMBER).toFixed(2);
		returnHtml += $("#returnTpl").html().replace('{{ID}}', returnInfoList[i].DETAILID)
			.replace("{{SKUID}}", returnInfoList[i].PRODUCTSKUID)
			.replace("{{PRODUCTNAME}}", returnInfoList[i].PRODUCTNAME) // 商品名称
			.replace("{{ATTRIBUTEVALNAME}}", returnInfoList[i].ATTRIBUTEVALNAME) // 商品属性值
			.replace("{{SUPPLIER}}", (returnInfoList[i].SUPPLIER == null || returnInfoList[i].SUPPLIER == '') ? '-' : returnInfoList[i].SUPPLIER) // 供应商
			.replace("{{STOCKNUM}}", returnInfoList[i].STOCKNUM) // 库存
			.replace("{{LOCATION}}", (openLocation == 1 ? "(" + (returnInfoList[i].LOCATION == null || returnInfoList[i].LOCATION == '' ? '-' : returnInfoList[i].LOCATION) + ")" : "")) // 库位
			.replace("{{WAREHOUSENAME}}", returnInfoList[i].WAREHOUSENAME) // 仓库
			.replace("{{NUM}}", returnInfoList[i].NUM) // 数量
			.replace("{{REFUNDNUMBER}}", refundNum) // 已退料数量
			.replace("{{OPNUM}}", refundNum) //  已退料数量
	}
	$('.returnList').html(returnHtml);

	if(openLocation != 1) {
		$('p.location').css('display', "none");
	}
}

function showEmployeeName(type) {
	//这里的type是用来区分首次加载还是点击按钮之后的加载 0:首次加载  1:点击按钮加载
	plus.nativeUI.showWaiting();
	var authorize = escape(JSON.stringify(UserInfo.getUserModel()));
	var url_1 = zyzlApi.ApiUrl + "RepairUseMaterial/EmployeeName";
	mui.ajax({
		type: "post",
		url: url_1,
		data: {
			"": UserInfo.operaShopId()
		},
		beforeSend: function(request) {
			request.setRequestHeader("authorize", authorize);
		},
		success: function(result) {
			var ischek = false;
			UserInfo.HasAuth2(result, function() {
				plus.nativeUI.closeWaiting();
				ischek = true;
			});
			if(ischek) {
				return;
			}
			result = JSON.parse(result);
			if(result.state == 1) {
				result = result.data;
			} else {
				mui.toast(result.msg);
				return;
			}
			var returnHtml = "";
			var employeename = "";
			for(var i = 0; i < result.length; i++) {
				if(result[i].ID == UserInfo.CustomerId()) {
					employeename = (result[i].NAME);
				}
				returnHtml += $("#returnerTpl").html().replace("{{NAME}}", result[i].NAME).replace("{{ID}}", result[i].ID);
			}
			if(type == 0) {
				//首次加载页面需要加载本店数据
				if(employeename != "") {
					$("#showReturner").html(employeename);
				}
			} else {
				openScreen();
			}
			$("#popcontent").html(returnHtml);
			plus.nativeUI.closeWaiting();
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			errorFuc(xhr, type, errorThrown);
		}
	});
}
$("#popcontent").on('tap', "li a", function(e) {
	//当员工列表被点击时执行该操作
	var id = $(this).next("input").val(); //操作的ID
	var val = $(this).find('span').text(); //操作的值
	var type = $("#poptitle").html();
	$("#selectReturnerId").val(id);
	$("#showReturner").text(val);
	//确认无误之后，隐藏页面
	var popup = $(".popup");
	var maskBox = $(".mask-left");
	var conBrand = $(".popup .con");
	setTimeout(function() {
		popup.css('top', '-100%');
	}, 500)
	maskBox.css('left', '-100%');
	conBrand.css('right', '-100%');
})