/*语音识别JS
 * 
 */
;
//触发语音识别
var speechText = "";
var speechSetList; //语音设置
var type;
var personalFunc;
//type:1为首页 2为自定义事件
function startRecognize(speechType) {
	type = speechType;
	var options = {};
	options.engine = 'baidu'; //"baidu"-百度语音识别； "iFly"-讯飞语音识别
	//options.nbest=3;//用于指定识别结果识别包括多候选结果。如nbest:3，识别返回3个候选结果，默认值为1。
	options.punctuation = 'false'; //true表示识别结果文本中包含标点符号，false表示识别结果文本中不包含标点符号。 默认值为true。
	speechText = "";
	plus.speech.startRecognize(options);
	//setTimeout(stopRecognize, 10000);
}
// 监听plusready事件  
document.addEventListener("plusready", function() {
	// 监听语音识别开始事件
	plus.speech.addEventListener("start", function() {
		speechSetList = JSON.parse(plus.storage.getItem('speechSetList'));
		speechText = "";
	}, false);
	// 监听语音识别事件
	plus.speech.addEventListener("recognition", function(e) {
		speechText += e.result;
	}, false);
	// 监听语音结束事件
	plus.speech.addEventListener("end", function() {
		if (speechText != "") {
		} else {
			GetBdSpeechSynthesisResult("未识别到语音");
		}
	}, false);
	plus.speech.addEventListener("error", function(e) {
		mui.alert("语音识别失败:" + e.message);
	}, false);
}, false);
//停止识别
function stopRecognize() {
	plus.speech.stopRecognize();
}
//处理识别结果
var v_PARAMS = {};
var v_URL = null;
var v_BUSINESS = null;

