var classSet = new Array(); // 父子分类集合
var container = mui('.pullRefresh');
var popup = $(".popup");
var maskBox = $(".mask-left");
var conBrand = $(".popup .con");
// 显示筛选界面
$(".screen2").click(function() {
	popup.css('top', '0');
	maskBox.css('left', '0');
	conBrand.css('right', '0');
	$("#J-screen").show();
	$("#J-models").hide();
});
$(".mask-left").click(function() {
	hide();
});
// 隐藏筛选界面
function hide() {
	setTimeout(function() {
		popup.css('top', '-100%');
	}, 500)
	maskBox.css('left', '-100%');
	conBrand.css('right', '-100%');
};
// 更多筛选界面 --仓库选项
$("#J-screen ul li:eq(0)").click(function() {
	showWareHouseName();
	setTimeout(function(){
		$("#J-models").show()
		$("#J-screen").hide();
		$(".pop").show();
		$(".selected").hide();
		$("#searchKey").val("");
		$("#selectType").val(1);
		$(".tit2").text("选择仓库");
	},500);
});
// 点击商品类别选项
$("#J-screen ul li:eq(1)").click(function() {
	showProductClass(0); // 顶级分类
	setTimeout(function(){
		$("#J-models").show();
		$("#J-screen").hide();
		$(".pop").hide();
		$(".selected").show();
		$("#selectType").val(2);
		$(".tit2").text("商品类别");
	},500);
});
// 库存情况
$(".StockState a").click(function() {
	$(this).addClass("actived").siblings().removeClass("actived");
});

// 关键词按键搜索
$("#searchKey").on("keyup", function(e){
	if(e.originalEvent.keyCode == 13){
		var keywords = $.trim(mui('#searchKey')[0].value);
		showWareHouseName(keywords);
		if(keywords != ""){
			document.activeElement.blur();
		}
	}
});
function addSelectClass(thisLi){
	var label = $(thisLi).find("label");
	if(label.hasClass("mui-icon mui-icon-checkmarkempty"))
	{
		label.removeClass("mui-icon mui-icon-checkmarkempty");
	}
	else
	{
		$(thisLi).find("label")
			   .addClass("mui-icon mui-icon-checkmarkempty")
			   .parents().siblings().find("label")
			   .removeClass("mui-icon mui-icon-checkmarkempty")
	}
}
// 仓库列表
function showWareHouseName(keywords=""){
	var shopId = UserInfo.operaShopId();
	var params = {
		shopId: shopId,
		keywords: keywords
	};
	EasyPost("StoreCheck/GetWarehouseName", params, function(result){
		var rel = JSON.parse(result);
		 if(rel.state == 1){
			 warehouseData = rel.data;
		 }
		 else{
			 mui.toast(rel.msg);
			 return ;
		 }
		 var warehouseHtml = '';
		 for(var i = 0; i < warehouseData.length; i++) {
			warehouseHtml += $("#ChooseTpl").html().replace("{{NAME}}", warehouseData[i].NAME)
									 .replace("{{ID}}", warehouseData[i].ID)
		 }
		 $(".choose").html(warehouseHtml);
		 $(".choose li a").on("tap", function(){
			addSelectClass(this);
		 });
	});
}

// 商品类别
function showProductClass(level,PARENTID=""){
	level = level + 1; //1,2,3,4
	if(level == 1){
		classSet = new Array(0);
	}
	classSet.push(PARENTID);
	$("#level").val(level);
	var shopId = UserInfo.operaShopId();
	var params = {
		shopId: shopId,
		level: level,
		PARENTID: PARENTID, // 父类ID
		async: false
	};
	EasyPost('StoreCheck/GetProductClass', params, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			classData = rel.data;
		}
		else{
			mui.toast(rel.msg);
			return ;
		}
		var classHtml = '';
		for(var i = 0; i < classData.length; i++){
			classHtml += $("#ChooseTpl").html().replace("{{NAME}}", classData[i].NAME)
									.replace("{{ID}}", classData[i].ID)
									//.replace("{{PARENTID}}", classData[i].PARENTID)
		}
		$(".choose").html(classHtml);
		for(var i=0; i < classData.length; i++){
			// 判断是否有子分类
			if(classData[i].TOTALCOUNT > 0){
				$(".choose li:eq("+ i +")").find('label').append('<i></i>');
				$(".choose li:eq("+ i +")").on('tap',function(){
					var className = $(this).find(".item").text(); // 分类名称
					var classId = $(this).find(".classId").val(); // 分类ID
					$(".selected").find('label').html(className);
					$(".selected").find('input').val(classId);
					var PARENTID = $(this).find("input.classId").val();
					showProductClass(level, PARENTID);
				});
			}
			else{
				$(".choose li:eq("+ i +")").on("tap", function(){
					var label = $(this).find("label");
					if(label.hasClass("mui-icon mui-icon-checkmarkempty"))
					{
						var level = $("#level").val();
						$(".selected").find('label').html("");
						$(".selected").find('input').val("");
						label.removeClass("mui-icon mui-icon-checkmarkempty");
					}
					else
					{
						var className = $(this).find(".item").text(); // 分类名称
						var classId = $(this).find(".classId").val(); // 分类ID
						//$(".selected").show();
						$(".selected").find('label').html(className);
						$(".selected").find('input').val(classId);
						$(this).find("label")
									 .addClass("mui-icon mui-icon-checkmarkempty")
									 .parents().siblings().find("label")
									 .removeClass("mui-icon mui-icon-checkmarkempty")
					}
				});
			}
		}
	});
}
// 点击顶部返回按钮
$("#J-models .back").on('tap', function(){
	var level = $("#level").val();
	if(level == 1 || level == ""){
		$("#J-screen").show(); // 更多筛选
		$("#J-models").hide(); // 选择仓库 / 选择商品分类
		if($("#productclassId").val() == ""){
			$(".selected").find('label').html(""); // 已选的商品类别置空
			$(".selected").find('input').val(""); // 已选商品类别id置空
		}
	}
	else{
		showProductClass(level-2, classSet[level - 2]);  // level - 2  因为在  showProductClass方法中 包含了 level + 1
	}
});
// 确定按钮
$("#submitBtn").on('tap', function(){
	// 更多筛选 显示
	if($("#J-screen").is(":visible")){
		hide();
		$("#noWarehouse").hide();
		$("#refreshContainer").show();
		GetCheckProList(true, 'down', container);
	}
	// 选择仓库 / 商品类别 显示
	if($("#J-models").is(":visible")){
		var item = $(".choose li a");
		if($('#selectType').val() == 1){
			var isSelect = item.find("label").hasClass("mui-icon mui-icon-checkmarkempty");
			if(isSelect){
				var selectItem = item.find(".mui-icon-checkmarkempty").parents('li');
				var selectId = selectItem.find('input').val();
				var selectName = selectItem.find('.item').text();
				$("#warehouseId").val(selectId);
				$("#warehouseName").val(selectName);
				$("#selectWarehouse").find('span.item').text(selectName);
			}
			else{
				mui.toast("请"+$(".tit2").text());
				return;
			}
		}
		else{
			if($("#selectedVal").val()){
				var selectId = $("#selectedVal").val();
				var selectName = $(".selected").find('label').text();
				$("#productclassId").val(selectId);
				$("#productclassName").val(selectName);
				$("#selectClass").find('span.item').text(selectName);
			}
			else{
				mui.toast("请选择"+$(".tit2").text());
				return;
			}
		}
		$("#J-screen").show()
		$("#J-models").hide();
	}	
});
// 重置按钮
$("#resetBtn").on('tap', function(){
	if($("#J-screen").is(":visible")){
		$("#warehouseId").val("");
		$("#warehouseName").val("");
		$("#selectWarehouse").find('span.item').text('仓库');
		$("#searchKey").val("");
		$("#productclassId").val("");
		$("#productclassName").val("");
		$(".selected").find('label').html(""); // 已选的商品类别置空
		$(".selected").find('input').val(""); // 已选商品类别id置空
		$("#selectClass").find('span.item').text('商品类别');
		$(".StockState a:eq(0)").addClass("actived").siblings().removeClass("actived");
		$(".choose li a").find('label').removeClass("mui-icon mui-icon-checkmarkempty");
	}
	if($("#J-models").is(":visible"))
	{
		// 仓库
		if($('#selectType').val() == 1){
			$("#warehouseId").val("");
			$("#warehouseName").val("");
			$("#selectWarehouse").find('span.item').text('仓库');
			$("#searchKey").val("");
			$(".choose li a").find('label').removeClass("mui-icon mui-icon-checkmarkempty");
		}
		// 商品类别
		else{
			$("#productclassId").val("");
			$("#productclassName").val("");
			$("#selectClass").find('span.item').text('商品类别');
			$(".selected").find('label').html(""); // 已选的商品类别置空
			$(".selected").find('input').val(""); // 已选商品类别id置空
			$(".choose li a").find('label').removeClass("mui-icon mui-icon-checkmarkempty");
		}
	}
});