var checkInfo;
var checkId;
var detailData;
mui.plusReady(function(){
	
	
	
	var self = plus.webview.currentWebview();
	self.setStyle({
		popGesture: 'hide'
	});
	checkId = self.checkId;
	checkInfo = self.checkInfo;
	$("#code").text(checkInfo.code);
	$("#numbers").text(checkInfo.numbers);
	$("#gainNum").text(checkInfo.gainNum);
	$("#lossNum").text(checkInfo.lossNum);
	$("#warehouseId").val(checkInfo.warehouseId);
	$("#warehouseName").text(checkInfo.warehouseName);
	$("#creator").text(checkInfo.creator);
	$("#createtime").text(checkInfo.createtime);
	ExistDiffBill(checkId);
	DetailData(checkId);
	// 显示当前页面
	mui.currentWebview.show();
});
// 查看是否已存在损益单据
function ExistDiffBill(checkId){
	EasyPost("StoreCheck/ExistDiffBill",{checkId: checkId, async: false}, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 0)
		{
			$(".bottombtn").remove();
			$(".main").css('margin-bottom', "0px");
		}
	});
}
function DetailData(checkId)
{
	var params = {
		checkId: checkId
	};
	EasyPost("StoreCheck/GetCheckDetail", params, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			var detailHtml = "";
			detailData = rel.data;
			for(var i = 0; i < detailData.length; i++){
				detailHtml += $("#DetailTpl").html().replace("{{PRODUCTNAME}}", detailData[i].PRODUCTNAME)
											 .replace("{{ATTRIBUTEVALNAME}}", detailData[i].ATTRIBUTEVALNAME)
											 .replace("{{NUM}}", detailData[i].ARRIVALNUM)   // 账面数量
											 .replace("{{CHECKNUM}}", detailData[i].NUM) // 盘点数量
											 .replace("{{DIFFNUM}}", detailData[i].DIFFNUM); // 差异数量
			}
			if(detailHtml != ""){
				$("#detailList").html(detailHtml);
			}
			var length = $("#detailList").find('li').length;
			for(var i = 0; i < length; i++)
			{
				var liDom = $("#detailList").children("li:eq("+ i +")");
				var diffNum = liDom.find("span.diffNum").text();
				if(Number(diffNum) >= 0){
					liDom.find(".diffNum").css("cssText","color: #46fe92 !important;");
				}
				if(Number(diffNum) < 0){
					liDom.find(".diffNum").css("cssText","color: red !important;");
				}
			}
		}
		else if(rel.state == 0)
		{
			$(".bottombtn").remove();
		}
		else{
			mui.toast('获取盘点详细失败！');
			return ;
		}
	});
}
// 生成损益单
mui(".bottombtn").on('tap', 'a', function(){
	var code = $("#code").text(); // 盘点单据编号
	var warehouseId = $("#warehouseId").val();
	var createtime = $("#createtime").text();
	var data = new Array();
	for(var i = 0; i < detailData.length; i++)
	{
		if(detailData[i].DIFFNUM != 0){
			data.push(detailData[i]);
		}
	}
	var params = {
		timeout: 5000,
		data: JSON.stringify(data),
		checkId: checkId,
		code: code,
		warehouseId: warehouseId,
		createtime: createtime
	};
	EasyPost("StoreCheck/GenerateDiff", params, function(result){
		var rel = JSON.parse(result);
		if(rel.state == 1){
			// 跳转到损益单界面
			var diffId = rel.data; // 损益单Id 
			OpenWindowsNoAuto('LossIndex',{
				diffId: diffId,
			},'LossIndex');
		}
		else{
			mui.toast(rel.msg);
		}
	});
});