/*接车、新增车辆页面公共JS
 * 
 */
;

var request;
var bill = {};
var billDetail = [];
var customer;
var CheckCarInfo;
var type = 0; //99表示不能再更改数据

mui.init();
var imgList = []; //这个用来存照片base64编码
var newCheckCar = false; //是否重新上传检车图片，车况检测信息，并且再次推送
//处理接车照片，包括添加和删除
$(".CarPic").on('click', ".upImg", function(e) {
	console.log("122222");
	if ($(this).attr("id") == "addImg") {
//		if (type == 99) {
//			var cashtype = bill.mechanicbill.CASHTYPE;
//			if (cashtype < 4 || cashtype > 6) {
//				return;
//			}
//		}
		plus.nativeUI.actionSheet({
			title: "上传图片",
			cancel: "取消",
			buttons: [{
				title: "拍照"
			}, {
				title: "从相机选择"
			}]
		}, function(e) {
			if (e.index == 1) {
				captureImage() //拍照
			} else if (e.index == 2) {
				galleryImgs() //从相册选择
			}

		});
	} else {
		mui.previewImage(); //预览
	}
});
// 拍照
function captureImage() {
	var os = plus.os.name.toUpperCase();
	if (os == "IOS") {
		var AVCaptureDevice = plus.ios.importClass("AVCaptureDevice");
		var Status = AVCaptureDevice.authorizationStatusForMediaType("vide");
		if (2 == Status) {
			mui.toast("请确认是否开启相机权限");
			return;
		}
	}
	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0];
	var fmt = cmr.supportedImageFormats[0];
	cmr.captureImage(function(path) {
			var urlHope = plus.io.convertLocalFileSystemURL(path);
			appendFile(urlHope);
		},
		function(s) {
			if (s.Message != null && s.Message != "") {
				mui.toast("请确认是否开启相机权限");
				return;
			}
		}, {
			resolution: res,
			format: fmt
		}
	);
}
// 从相册中选择多张图片 
function galleryImgs() {
	// 从相册中选择图片
	plus.gallery.pick(function(e) {
		for (var i in e.files) {
			appendFile(e.files[i]);
		}
	}, function(e) {
		if (e.message == "没有权限") {
			mui.toast("请确认是否开启相册权限");
			return;
		}
		mui.toast("取消选择图片");
	}, {
		filter: "image",
		multiple: true,
		maximum: 9,
		system: false,
		onmaxed: function() {
			plus.nativeUI.toast('每次最多只能选择9张图片');
		}
	});
}

// 图片压缩显示,成功回调函数
function appendFile(path) {
	plus.nativeUI.showWaiting("加载中......");
	//图片方向
	var Orientation;
	var img = new Image();
	img.src = path;
	img.onload = function() {
		var that = this;
		//生成比例 
		var w = that.width;
		var h = that.height;
		//生成canvas
		var canvas = document.createElement('canvas');
		var ctx = canvas.getContext('2d');
		//获取照片方向角属性，用户旋转控制 ,判断当前图片是否需要做旋转操作。
		EXIF.getData(img, function() {
			EXIF.getAllTags(this);
			/**
			 * 图片的旋转方向信息
			 * 1、图片没有发生旋转
			 * 6、顺时针90°
			 * 8、逆时针90°
			 * 3、180° 旋转
			 */
			Orientation = EXIF.getTag(this, 'Orientation');
			if (Orientation != "" && Orientation != null) {
				// 方向信息，canvas 显示形式，canvas 对象，that,宽度，高度
				rotateImg(Orientation, ctx, canvas, that, w, h);
			} else {
				rotateImg(Orientation, ctx, canvas, that, w, h);
			}
		});
	}
}


// 图片旋转操作
function rotateImg(Orientation, ctx, canvas, that, w, h, callback) {
	var width = w,
		height = h;
	// 控制上传图片的宽高
	if (width > height && width > 750) {
		width = 750;
		height = Math.ceil(750 * h / w);
	} else if (width < height && height > 1334) {
		width = Math.ceil(1334 * w / h);
		height = 1334;
	}

	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	if (Orientation && Orientation != 1) {
		switch (Orientation) {
			case 6:
				canvas.width = height; /*设置新的图片的宽度*/
				canvas.height = width; /*设置新的图片的长度*/
				// 画布旋转 90度
				ctx.rotate(Math.PI / 2);
				ctx.drawImage(that, 0, -height, width, height);
				break;
			case 3: // 旋转180度
				ctx.rotate(Math.PI);
				ctx.drawImage(that, -width, -height, width, height);
				break;
			case 8: // 旋转-90度
				canvas.width = height;
				canvas.height = width;
				ctx.rotate(3 * Math.PI / 2);
				ctx.drawImage(that, -width, 0, width, height);
				break;
		}
	} else {
		ctx.drawImage(that, 0, 0, width, height);
	}
	var base64 = canvas.toDataURL('image/jpeg', 1); //1z 表示图片质量，越低越模糊。
	upload(base64);
	plus.nativeUI.closeWaiting();

};
//图片上传，将base64的图片转成二进制对象，塞进formdata上传
function upload(basestr) {
	var oristr = basestr;
	plus.nativeUI.showWaiting();
	basestr = basestr.replace("data:image/jpeg;base64,", "");
	EasyPost("/NewRepair/UploadImg", {
		base64: basestr,
		type: 0
	}, function(data) {
		plus.nativeUI.closeWaiting();
		var rel = JSON.parse(data);
		if (rel.State != 1) {
			mui.toast(rel.Msg);
			return;
		}
		newCheckCar = true;
		$(".CarPic").prepend($("#imgTpl").html().replace("{{imgUrl}}", oristr).replace(
			"{{weburl}}", rel.Data))
		imgList.push(rel.Data);
		var tp_list = "";
		for (var i = 0; i < imgList.length; i++) {
			tp_list += tp_list == "" ? imgList[i] : "," + imgList[i]
		}
		feedbackData.IMAGELIST = tp_list;
			console.log("upload"+feedbackData.IMAGELIST);
		return;
	});
}

//监听移除图片事件
$("body").on("click", "#imgClose", function() {
//	if (type == 99) {
//		var cashtype = bill.mechanicbill.CASHTYPE;
//		if (cashtype < 4 || cashtype > 6) {
//			return;
//		}
//		newCheckCar = true;
//	}
	var url = $(this).siblings("input").val()
	var imglist_tp = [];
	for (var i = 0; i < imgList.length; i++) {
		if (imgList[i] != url) {
			imglist_tp.push(imgList[i])
		}
	}
	imgList = imglist_tp;
	$(this).parent().remove();
	var tp_list = "";
	for (var i = 0; i < imgList.length; i++) {
		tp_list += tp_list == "" ? imgList[i] : "," + imgList[i]
	}
	feedbackData.IMAGELIST = tp_list;
	console.log("delete"+feedbackData.IMAGELIST);
});