/*检测更新JS
 * 
 */
var updateData=null;
function checkVersion(fuc) {
	// 获取本地应用资源版本号 
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		var url = zyzlApi.ApiUrl;	
		mui.ajax(url + 'AppLogin/CheckVersion', {
			data: {
				version: wgtVer
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'get', //HTTP请求类型
			timeout: 30000, //超时时间设置为10秒；				
			success: function(data) {
				//服务器返回响应
				var result = JSON.parse(data);
				var state = result.State;
				if (state != 0) {
					var rel = result.Data;
					var updateContent = "版本全新升级";
					if (rel != null && rel != "" && !IsEmptyStr(rel.CONTENT)) {
						var list = rel.CONTENT.split("\n");
						updateContent = "";
						for (var i = 0; i < list.length; i++) {
							updateContent += $("#updatePl").html()
								.replace("{{updateContent}}", list[i]);
						}
					}
					if (state == 101) {
						ISFORCE = true
					}
					updateData=rel;					
					fuc(updateContent);
				} else {
					fuc();
				}
			},
			error: function(xhr, type, errorThrown) {							
				errorFuc(xhr, type, errorThrown);
				fuc();
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			}
		});
	});
}
/*
 * 下载更新文件
 */
var wgtUrls = zyzlApi.ApiUrl + "Update/H526EF348.wgt";
var dtask = null;

function downWgt(data) {
	var wgtUrl;
	var dicName = "Part";
	if (data == null || data == undefined) {
		wgtUrl = wgtUrls.replace('api/', '');
	} else {
		if (data.VERSIONTYPE == 1) { // 全量更新
			if (plus.os.name.toUpperCase() == "IOS") {
				evaluate();
				return;
			} else if (plus.os.name.toUpperCase() == "ANDROID") {
				dicName = "Android";
			} else {
				plus.nativeUI.toast("操作系统不支持！");
				return;
			}
		}
		wgtUrl = data.ANDROIDURL.replace('api/', '');
		plus.nativeUI.showWaiting("下载更新文件...");
	}
	dtask = plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/upload/package/" + dicName + '/',
	}, function(d, status) {
		if (status == 200) {
			installWgt(d.filename); // 安装wgt包
		} else {
			plus.nativeUI.toast("下载更新文件失败,将跳转应用市场更新！");
			setTimeout(function() {
				evaluate();
			}, 700);

		}
		plus.nativeUI.closeWaiting();
	});
	dtask.addEventListener("statechanged", onStateChanged, false);
	dtask.start();
}
// 监听下载任务状态 
function onStateChanged(download, status) {
	if (status == 404) {
		abortDownload();
		plus.nativeUI.closeWaiting();
		plus.nativeUI.toast("下载更新文件失败,将跳转应用市场更新！");
		setTimeout(function() {
			evaluate();
		}, 700);
	}
}
// 取消下载任务 
function abortDownload() {
	dtask.abort();
}
/*
 * 更新应用资源
 */
function installWgt(path) {
	plus.nativeUI.showWaiting("安装更新文件...");
	plus.storage.removeItem('launchFlag');
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.showWaiting("即将重启应用...");
		plus.runtime.restart();
	}, function(e) {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.toast("安装更新文件失败[" + e.code + "]：" + e.message);
		setTimeout(function() {
			evaluate();
		}, 700);
	});
}
//获取连接地址
//好评
function evaluate() {
	var url = zyzlApi.ApiUrl;
	var os = plus.os.name.toUpperCase();
	plus.nativeUI.showWaiting();
	mui.ajax(url + 'AppLogin/Evaluate', {
		data: {
			os: os
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'get', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；					
		success: function(data) {
			plus.nativeUI.closeWaiting();
			//服务器返回响应
			var result = JSON.parse(data);
			var state = result.state;
			var loadUrl = result.data;
			if (state == 1) {
				if (os == "ANDROID") {
					var main = plus.android.runtimeMainActivity();
					Uri = plus.android.importClass("android.net.Uri");
					Intent = plus.android.importClass("android.content.Intent");
					var uri = Uri.parse(result.data);
					var intent = new Intent(Intent.ACTION_VIEW, uri);
					intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
					main.startActivity(intent);

				} else if (os == "IOS") {
					document.location.href = result.data;
				} else {
					mui.toast("系统不支持");
				}
			} else {
				mui.toast("系统繁忙");
			}
		},
		error: function(xhr, type, errorThrown) {
			errorFuc(xhr, type, errorThrown);
		},
		complete: function() {
			plus.nativeUI.closeWaiting();
		}
	});
}
