/*
消息扩展JS * 
 */
;
/**
 * 创建本地消息
 */
function parseAndCreateNotification(msg) {
	var payload = msg.payload;
	if (payload == null || payload != "localMsg") {
		if (msg.payload == "login" && UserInfo.token() != null && UserInfo.token() != "") {
			LogoutMsg();
			return;
		}
		if (msg.payload != "login") {
			payload = "localMsg";
			var title = msg.title;
			var content = msg.content;
			var options = {
				cover: false,
				title: title
			};
			var str = content;
			plus.push.createMessage(str, payload, options);
		}
	}
}
//异地登出
function LogoutMsg() {
	var btnArray = ['重新登录', '确定'];
	mui.confirm("帐号已经在其他地方登录", '提示', btnArray, function(e) {
		if (e.index == 0) {
			// 获取本地应用资源版本号 
			plus.runtime.getProperty(plus.runtime.appid, function(inf) {
				var wgtVer = inf.version;
				var deviceType = plus.device.model; //获取设备的型号信息
				var uuid = plus.device.uuid; //获取设备的唯一标识号。
				var url = zyzlApi.ApiUrl;
				var info = plus.push.getClientInfo(); // 获取推送客户端标识信息
				var pushToken = info.token;
				var pushClientid = info.clientid;
				var loginInfo = {
					account: UserInfo.userName(),
					password: UserInfo.password(),
					AppVersion: wgtVer,
					uuid: uuid,
					deviceType: deviceType,
					pushToken: pushToken,
					pushClientid: pushClientid,
					device: plus.os.name.toUpperCase(),
					type: 1
				};
				plus.nativeUI.showWaiting(); //显示原生等待框
				mui.ajax(url + 'AppLogin/Login', {
					data: loginInfo,
					dataType: 'json', //服务器返回json格式数据
					type: 'get', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；
					success: function(data) {
						//服务器返回响应，根据响应结果，分析是否登录成功；
						var result = JSON.parse(data);
						var msg = result.Msg;
						var state = result.State;
						var rel = result.Data;
						if (state == 1) {
							UserInfo.clear();
							UserInfo.userName(rel.AccountNumber);
							UserInfo.password(rel.Password);
							UserInfo.token(rel.Token);
							UserInfo.refreshToken(rel.RefreshToken);
							UserInfo.serviceId(rel.ServiceId);
							UserInfo.userId(rel.UserId);
							UserInfo.ShopId(rel.ShopId);
							UserInfo.CompanyId(rel.CompanyId);
							UserInfo.CustomerId(rel.CustomerId);
							UserInfo.CustomerName(rel.CustomerName);
							UserInfo.RoleShopId(rel.RoleShopId);
							UserInfo.RoleId(rel.RoleId);
							UserInfo.operaShopId(rel.OperaShopId);
							UserInfo.operaShopName(rel.OperaShopName);
						}  else if (state == -1) {
							var btnArray = ['确定'];
							mui.confirm(msg, '提示', btnArray, function(e) {
								return;
							});
						} else {
							mui.toast(msg);
							return;
						}
					},
					error: function(xhr, type, errorThrown) {
						errorFuc(xhr, type, errorThrown);
					},
					complete: function() {
						plus.nativeUI.closeWaiting();
					}
				});
			});

		} else {
			UserInfo.Logout(); //返回登录页 
		}
		return;
	});
}