var wid = null;
var type = 0;
var SHAKE_THRESHOLD = 18000; //扫一扫临界值  大于这个临界值才触发扫一扫
var last_update = 0;
var isFirst = 0;
var x, y, z, last_x = 0,
	last_y = 0,
	last_z = 0;


// 监听plusready事件  
document.addEventListener("plusready", function() {
	// 扩展API加载完毕，现在可以正常调用扩展API
	beginWatch(function() {
		var url = "AppExtend/GetShake";
		var userInfo = UserInfo.getUserModel();
		var employeeId = userInfo.CustomerId;
		var params = {
			employeeId: employeeId
		};
		EasyPost(url, params, function(data) {
			plus.nativeUI.closeWaiting();
			var result = JSON.parse(data);
			if (result.State == 0) {
				mui.toast(result.Msg);
				return;
			} else {
				var isOpen = result.Data;
				//test(isOpen);
				//判断是否开启摇一摇 0为不开启
				if (isOpen.length > 0 && isOpen[0].VALUE == 0) {
					return;
				}
				//摇一摇链接数据
				var dt = result.Data2;
				var url = "";
				var business = "";
				if (dt.length > 0) {
					url = dt[0].URL == "" ? "Customer/CustomerHome.html" : dt[0].URL;
					business = dt[0].BUSINESS == "" ? "客户管理" : dt[0].BUSINESS;
				} else {
					url = "Customer/CustomerHome.html";
					business = "客户管理";
				}
				var btnArray = ['取消', '确认'];
				cancel();
				var checkPermission = validateAuthorityByPath(url, business, function() {
					mui.confirm("您暂无" + dt[0].BUSINESS + "功能权限，您可进入设置配置其他功能业务!是否进入摇一摇设置？", btnArray, function(e) {
						if (e.index == 0) //点击确认
						{
							MyOpenWindows("AppSet/ShakeSet.html", {}, undefined);
						} else {
							loadHomeData();
						}
					})
				});
				if (!checkPermission) {
					return; //没有权限
				}
				$(".shake").show()
				$(".shakeup").animate({
					top: "10%"
				}, 700, function() {
					$(".shakeup").animate({
						top: "25%"
					}, 700, function() {
						MyOpenWindows(url, {}, undefined);

					});
				});
				$(".shakedown").animate({
					top: "40%"
				}, 700, function() {
					$(".shakedown").animate({
						top: "25%"
					}, 700, function() {
						setTimeout(function() {
							$(".shake").hide()
						}, 1000)

					});
				});
				startPlay("../mp3/ShakeSound.mp3");
				return;
			}
		});
	});
}, false);


function cancel() {
	plus.accelerometer.clearWatch(wid);
	wid = null;
}


///后退刷新打开事件  应用于摇一摇
window.addEventListener("backShake", function() {
	loadHomeData();
})

function beginWatch(func) {
	plus.accelerometer.getCurrentAcceleration(function(a) {
		last_x = a.xAxis;
		last_y = a.yAxis;
		last_z = a.zAxis;
	});
	wid = plus.accelerometer.watchAcceleration(function(a) {
		var curTime = new Date().getTime();
		if ((curTime - last_update) > 10) {
			var diffTime = curTime - last_update;
			last_update = curTime;
			x = a.xAxis;
			y = a.yAxis;
			z = a.zAxis;

			var speed = Math.abs(x + y + z - last_x - last_y - last_z) * 1000;
			if (speed > SHAKE_THRESHOLD) {
				var thisPage = plus.webview.currentWebview().opener();
				if (func) {
					func();
				}
			}
			last_x = x;
			last_y = y;
			last_z = z;
		}
		//acc.innerText = "x:" + a.xAxis + "\ny:" + a.yAxis + "\nz:" + a.zAxis;
	}, function(e) {
		alert("Acceleration error: " + e.message);
	});
}

function loadHomeData() {
	var userInfo = UserInfo.getUserModel();
	plus.storage.setItem('thisShopId', userInfo.operaShopId);
	plus.storage.setItem('thisShopName', userInfo.operaShopName);
	location.reload();
	UserInfo.operaShopId(plus.storage.getItem('thisShopId'));
	UserInfo.operaShopName(plus.storage.getItem('thisShopName'));
	$(".StoreList").slideToggle();
	$("#shopList li input[value='" + plus.storage.getItem('thisShopId') + "']").parent().addClass(
			"StoreActive").siblings()
		.removeClass("StoreActive");
	$("#header h3 label").text(plus.storage.getItem('thisShopName'))
	$("#header h3 span").attr("class", "mui-icon mui-icon-arrowdown");
}
