/*登录页面JS
 * 
 */
mui.init();
var wgtVer = null;
var type = -1;
var os = "";
var flag = true;
var ISFORCE = false;
$(".bg").height($(window).height());
mui.plusReady(function() {
	/**
	 * 获取本地存储中launchFlag的值
	 * http://www.html5plus.org/doc/zh_cn/storage.html#plus.storage.getItem
	 * 若存在，说明不是首次启动，直接进入首页；
	 * 若不存在，说明是首次启动，进入引导页；
	 */
	if (ddd="ddd"){}
	var self = plus.webview.currentWebview();
	plus.nativeUI.showWaiting(); //显示原生等待框
	var launchFlag = plus.storage.getItem("launchFlag");
	if (!launchFlag) {
		mui.openWindow({
			url: "guide.html",
			id: "guide",
			show: {
				aniShow: 'none'
			},
		});
		UserInfo.password("");
		//延迟的原因：优先打开启动导航页面，避免资源争夺
		setTimeout(function() {
			checkUpdate();
		}, 700);
	} else {
		checkUpdate();
	}	
	$(window).resize(function() {
		$(".bg").height($(window).height());
	})
});
function checkUpdate(){
	var self = plus.webview.currentWebview();
	if (flag && IsEmptyStr(self.type)) {
		checkVersion(function(data) {
			if (data) {
				UserInfo.password("");
				$(".PopUpdate .detail").html(data);
				$(".PopUpdate").addClass("PopActived");
				preload();
			}else{
				preload();
			}
		});
	}else{
		preload();
	}
}
function preload() {
	plus.nativeUI.closeWaiting();
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;		
		os = plus.os.name.toUpperCase(); //获取设备类型
		if (os == "IOS") {
			//将角标设置为0
			var UIApplication = plus.ios.import("UIApplication");
			var app = UIApplication.sharedApplication();
			app.setApplicationIconBadgeNumber(0);
		}
		//判断是否主动退出
		var self = plus.webview.currentWebview();
		var account = UserInfo.userName();
		document.getElementById('account').value = account;
		var password = UserInfo.password();
		if (flag && !IsEmptyStr(password)) { //自动登录
			document.getElementById('password').value = password.substring(0, 8);
			type = 1;
			login();
		} else {
			//关闭splash页面；
			plus.navigator.closeSplashscreen();
		}
		var loginButton = document.getElementById('login');
		//登录按钮事件
		loginButton.addEventListener('tap', function(event) {
			type = -1;
			login();
		});
		//登录验证
		function login() {
			var accountBox = document.getElementById('account');
			var passwordBox = document.getElementById('password');
			var deviceType = plus.device.model; //获取设备的型号信息
			var uuid = plus.device.uuid; //获取设备的唯一标识号。
			var url = zyzlApi.ApiUrl;
			if (accountBox.value == "" || accountBox.value.trim() == "") {
				mui.toast("请输入手机号");
				return;
			}
			if (passwordBox.value == "" || passwordBox.value.trim() == "") {
				mui.toast("请输入密码");
				return;
			}
			if($("#checkbox1").is(":checked")==false){
				mui.toast("请同意并接受服务协议及隐私政策");
				return;
			}
			var info = plus.push.getClientInfo(); // 获取推送客户端标识信息
			var pushToken = info.token;
			var pushClientid = info.clientid;
			var loginInfo = {
				account: accountBox.value,
				password: type == -1 ? passwordBox.value : UserInfo.password(),
				AppVersion: wgtVer,
				uuid: uuid,
				deviceType: deviceType,
				pushToken: pushToken,
				pushClientid: pushClientid,
				device: plus.os.name.toUpperCase(),
				type: type
			};
			plus.nativeUI.showWaiting(); //显示原生等待框
			var url = zyzlApi.ApiUrl;
			mui.ajax(url + 'AppLogin/Login', {
				data: loginInfo,
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					var result = JSON.parse(data);
					var msg = result.Msg;
					var state = result.State;
					var rel = result.Data;
					if (state == 1) {
						UserInfo.clear();
						UserInfo.userName(rel.AccountNumber);
						UserInfo.password(rel.Password);
						UserInfo.token(rel.Token);
						UserInfo.refreshToken(rel.RefreshToken);
						UserInfo.serviceId(rel.ServiceId);
						UserInfo.userId(rel.UserId);
						UserInfo.ShopId(rel.ShopId);
						UserInfo.CompanyId(rel.CompanyId);
						UserInfo.CustomerId(rel.CustomerId);
						UserInfo.CustomerName(rel.CustomerName);
						UserInfo.RoleShopId(rel.RoleShopId);
						UserInfo.RoleId(rel.RoleId);
						UserInfo.operaShopId(rel.OperaShopId);
						UserInfo.operaShopName(rel.OperaShopName);
						plus.storage.removeItem('thisShopId');
						plus.storage.removeItem('thisShopName');
						toMain();
					} else if (state == -1) { //无权限
						var btnArray = ['确定'];
						mui.confirm(msg, '提示', btnArray, function(e) {
							return;
						});
					} else {
						document.getElementById('password').value = "";
						mui.toast(msg);
						return;
					}
				},
				error: function(xhr, type, errorThrown) {
					errorFuc(xhr, type, errorThrown);
				},
				complete: function() {
					plus.nativeUI.closeWaiting();
				}
			});
		}
		//跳转首页
		function toMain() {
			document.activeElement.blur();
			var win = plus.webview.getWebviewById("index");
			if (win != null || win != undefined) {
				plus.webview.close(win);
			}
			mui.openWindow({
				id: 'index',
				url: "index.html",
				createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
				styles: {
					scrollIndicator: 'none', //不启用滚动条			
				},
				show: {
					aniShow: 'none',
					autoShow: true, //页面loaded事件发生后自动显示，默认为true
				},
				waiting: {
					autoShow: true
				}
			});
		}
		//键盘登录
		mui.enterfocus('#login-form input', function() {
			mui.trigger(loginButton, 'tap');
		});
		var forgetButton = document.getElementById('forgetPwd');
		//忘记密码
		forgetButton.addEventListener('tap', function(event) {
			document.activeElement.blur();
			mui.openWindow({
				url: 'forgetPwd.html',
				id: 'forgetPwd',
				show: {
					aniShow: 'pop-in'
				},
				styles: {
					popGesture: 'close'
				},
				waiting: {
					autoShow: false
				}
			});
		}, false);
		//监听推送消息接收事件-1 设备在前台的时候触发
		plus.push.addEventListener("receive", function(msg) {
			//alert("receive")
			//alert(JSON.stringify(msg))
			parseAndCreateNotification(msg);
			if (msg.payload == "login") {
				return;
			}
		}, false);

		// 监听推送消息接收事件-2 设备在后台的时候或者点击消息中心消息的时候触发
		plus.push.addEventListener("click", function(msg) {
			//alert("click")
			//alert(JSON.stringify(msg))
			flag = false;
			os = plus.os.name.toUpperCase();
			if (os == 'IOS') {
				if (msg.payload.payload == "login" && UserInfo.token() != null && UserInfo.token() != "") {
					MsgLogout();
					return;
				}
			} else if (msg.payload == "login") {
				MsgLogout();
				return;
			}
			var result = null;
			//alert('click-> ' + JSON.stringify(msg));
			// 无法转化成Json，不做处理	
			if (typeof(msg.payload) == 'object') {
				result = msg.payload;
				// 判断ios是否开启消息通知
				if ("iOS" == plus.os.name) {
					var UIApplication = plus.ios.import("UIApplication");
					var app = UIApplication.sharedApplication();
					var enabledTypes = 0;
					if (app.currentUserNotificationSettings) {
						var settings = app.currentUserNotificationSettings();
						enabledTypes = settings.plusGetAttribute("types");
					} else {
						//针对低版本ios系统
						enabledTypes = app.enabledRemoteNotificationTypes();
					}
					plus.ios.deleteObject(app);
					if (0 == enabledTypes) { // 不开启消息通知
						return;
					}
				}
				if (result != null) {
					if (result.from == "ServerPush") {
						if (result.param == null || result.param == undefined) {
							MyOpenWindows(result.TargetUrl, {});
						} else {
							if (result.param.rmID) {
								var messageID = result.param.rmID;
								// 设置当前消息已读	
								EasyPost("Message/ModifyAppMessageState", {
									"RecordID": messageID
								}, function(result) {
									var ischeck = false;
									UserInfo.HasAuth2(result, function() {
										ischeck = true;
									});
									if (ischeck) {
										return;
									}
								});
							}
							MyOpenWindows(result.TargetUrl, result.param);
						}
					}
				}
			}
		}, false);
		//退出
		var backButtonPress = 0;
		mui.back = function(event) {
			backButtonPress++;
			if (backButtonPress > 1) {
				plus.runtime.quit();
			} else {
				plus.nativeUI.toast('再按一次退出应用');
			}
			setTimeout(function() {
				backButtonPress = 0;
			}, 1000);
			return false;
		};
	});
}
//注册
$("#Register").on("tap", function() {
	document.activeElement.blur();
	OpenWindowsNoAuto('Register', {}, 'Register');
});
//版本更新关闭
$(".ClosePop").click(function() {
	if (ISFORCE) {
		var btnArray = ['取消', '确定'];
		mui.confirm("需要更新才能使用，是否退出更新并关闭软件", '提示', btnArray, function(e) {
			if (e.index == 1) {
				plus.runtime.quit();
			}
		});
		return;
	}
	$(".PopUpdate").removeClass("PopActived");
	setTimeout(function() {
		//预加载
		preload();
	}, 500);
});
//版本更新
$(".PopUpdate").on("tap", "a", function() {
	$(".PopUpdate").removeClass("PopActived");
	if (updateData == null || updateData == "") {
		downWgt();
	} else {
		downWgt(updateData);
	}
});
//异地登录
function MsgLogout() {
	if (UserInfo.password() != "") {
		LogoutMsg();
		return;
	}
}
