/*
提醒首页
*/
mui.init({
	beforeback: function() {
		//获得父页面的webview
		var list = plus.webview.currentWebview().opener();
		if (list.id == "index") {
			//触发父页面的自定义事件(refresh),从而进行刷新
			mui.fire(list, 'backShake');
		}
		//返回true,继续页面关闭逻辑
		return true;
	}
});
var urlshopid = "";
mui.plusReady(function() {
	screen();
	ScreenOne();
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0005, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		bounce: true, //是否启用回弹
		//indicators: false, //是否显示滚动条 
	});
	$(".mui-scroll").height($(".mui-content").height() + 1)
	urlshopid = UserInfo.operaShopId();
	$("#screen label").html(UserInfo.operaShopName());
	mui("#refreshContainer ").pullRefresh({
		down: {
			height: 50, //可选.默认50.触发上拉加载拖动距离
			auto: true, //可选,默认false.自动上拉加载一次
			contentdown: "下拉可以刷新 ", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			contentover: "释放立即刷新 ", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			contentrefresh: "正在刷新... ", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			callback: function() {
				showRemindDetail(urlshopid);
			}
		}
	});
});
$(".remind").on("tap", "li a", function() {
	var name = $(this).parent().data("name");
	var url = $(this).parent().data("url");
	var checkPermission = validateAuthority(null, "提醒", name);
	if (!checkPermission) {
		return; //没有权限
	}
	//参数：查询条件
	var param = {
		urlshopid: urlshopid
	};
	MyOpenWindows(url, param, name);
})
$("#Store").on('tap', function(e) {
	showShopName();
});

$(".screen").on('tap', "li a", function(e) {
	var shopid = $(this).children("input").val();
	urlshopid = shopid;
	var val = $(this).find('span').text();
	$("#screen label").html(val);
	showRemindDetail(shopid);
});
 
function showRemindDetail(shopid) {
	plus.nativeUI.showWaiting();
	var url = "Remind/Statistics";
	var params = {
		shopId: shopid
	};
	DoPost(url, params, function(rel) {
		if (rel.State == 1) {
			var data = rel.Data2;
			if (data.ReservationCount > 0) {
				$("#yuyue").html(data.ReservationCount);
				$("#yuyue").show();
			} else {
				$("#yuyue").hide();
			}
			if (data.MallOrderCount > 0) {
				$("#shangcheng").html(data.MallOrderCount);
				$("#shangcheng").show();
			} else {
				$("#shangcheng").hide();
			}
			if (data.StockCount > 0) {
				$("#kucun").html(data.StockCount);
				$("#kucun").show();
			} else {
				$("#kucun").hide();
			}
			if (data.BirthDayCount > 0) {
				$("#shengri").html(data.BirthDayCount);
				$("#shengri").show();
			} else {
				$("#shengri").hide();
			}
			//售后
			var num=0;
			test(data);
			num=data.MaintainCount
			+data.CardExpireCount
			+data.PackageExpireCount
			+data.CardBalanceCount
			+data.InsuranceTimeCount
			+data.AnnualinspectionTimeCount
			+data.CompulsoryTimeCount;
			if (num > 0) {
				$("#shouhou").html(num);
				$("#shouhou").show();
			} else { 
				$("#shouhou").hide();
			}
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
		}
	});
}

function showShopName() {
	var url = "Remind/GetRoleShopName";
	EasyGet(url, "15000", function(result) {
		if (result.State != 1) {
			mui.toast(result.Msg);
			return;
		}
		result = result.Data;
		var _html = "";
		var type = 1;
		var operashopName = "";
		for (var i = 0; i < result.length; i++) {
			if (result[i].ID == urlshopid) {
				operashopName = result[i].NAME;
				type = 0;
			}
			_html += $("#ShopName").html().replace("{{SHOPNAME}}", result[i].NAME).replace("{{SHOPID}}", result[i].ID);
		}
		if (type == 0) {
			$("#screen label").html(operashopName);
		}
		$(".screen").html(_html);
	});
}
