/*
 *扫一扫开单JS 
 */
var customerInfo = new Array();
var otherAuth = "";
var str = "";
var _carId = ""; //识别出来的车辆id，主要在车牌扫描识别中用到
var _carNumber = ""; //识别出来的车车牌，主要在车牌扫描识别中用到
mui.plusReady(function() {
	var self = plus.webview.currentWebview();
	var path = self.localImgUrl;
	captureImage(path);
});
 
function captureImage(path) {
	var os = plus.os.name.toUpperCase();
	if (os == "IOS") {
		var AVCaptureDevice = plus.ios.importClass("AVCaptureDevice");
		var Status = AVCaptureDevice.authorizationStatusForMediaType("vide");
		if (2 == Status) {
			mui.toast("请确认是否开启相机权限");
			return; 
		}
	}
	var cmr = plus.camera.getCamera();
	var urlHope = plus.io.convertLocalFileSystemURL(path);
	var img = document.getElementById("pic");
	if (os == "IOS") {
		img.src = path;
	} else {
		img.src = urlHope;
	}
	img.onload = function() {
		var that = this;
		//生成比例 
		var w = that.width;
		var h = that.height;
		//生成canvas
		var canvas = document.createElement('canvas');
		var ctx = canvas.getContext('2d');

		//获取照片方向角属性，用户旋转控制 ,判断当前图片是否需要做旋转操作。
		EXIF.getData(img, function() {
			EXIF.getAllTags(this);
			/**
			 * 图片的旋转方向信息
			 * 1、图片没有发生旋转
			 * 6、顺时针90°
			 * 8、逆时针90°
			 * 3、180° 旋转
			 */
			Orientation = EXIF.getTag(this, 'Orientation');
			if (Orientation != "" && Orientation != null) {
				// 方向信息，canvas 显示形式，canvas 对象，that,宽度，高度
				rotateImg(Orientation, ctx, canvas, that, w, h);
			} else {
				rotateImg(Orientation, ctx, canvas, that, w, h);
			}
		});
		//结束
	}
}
//base64转为file文件类型
function dataURLtoBlob(dataurl1) {
	var dataURI = dataurl1
	var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0]; // mime类型
	var byteString = atob(dataURI.split(',')[1]); //base64 解码
	var arrayBuffer = new ArrayBuffer(byteString.length); //创建缓冲数组
	var intArray = new Uint8Array(arrayBuffer); //创建视图
	for (i = 0; i < byteString.length; i += 1) {
		intArray[i] = byteString.charCodeAt(i);
	}
	var blob = new Blob([intArray], {
		type: mimeString
	}); //转成blob
	return blob;
}
// 图片旋转操作并发送到服务器进行识别
function rotateImg(Orientation, ctx, canvas, that, w, h, callback) {
	var width = w,
		height = h;
	// 控制上传图片的宽高 540*1334 540X960
	if (width > height && width > 540) {
		width = 540;
		height = Math.ceil(540 * h / w);
	} else if (width < height && height > 960) {
		width = Math.ceil(960 * w / h);
		height = 960;
	}

	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	if (Orientation && Orientation != 1) {
		switch (Orientation) {
			case 6:
				canvas.width = height; /*设置新的图片的宽度*/
				canvas.height = width; /*设置新的图片的长度*/
				// 画布旋转 90度
				ctx.rotate(Math.PI / 2);
				ctx.drawImage(that, 0, -height, width, height);
				break;
			case 3: // 旋转180度
				ctx.rotate(Math.PI);
				ctx.drawImage(that, -width, -height, width, height);
				break;
			case 8: // 旋转-90度
				canvas.width = height;
				canvas.height = width;
				ctx.rotate(3 * Math.PI / 2);
				ctx.drawImage(that, -width, 0, width, height);
				break;
		}
	} else {
		ctx.drawImage(that, 0, 0, width, height);
	}
	var base64 = canvas.toDataURL('image/jpeg', 1); //1z 表示图片质量，越低越模糊。
	$("#CustomerName").html("-");
	$("#CarNumber").html("-");
	$(".message").html("");

	var blobf = dataURLtoBlob(base64)
	var oData = new FormData();
	oData.append("file", blobf);
	oData.append("key", "QVdZf3vk3aVq9dkXpxXmc2");
	oData.append("secret", "881db29121524118ba49b43a3d6bd6d0");
	oData.append("typeId", "19");
	oData.append("format", "json");
	oData.append("_dontcare", "");
	plus.nativeUI.showWaiting("车牌识别中");
	mui.ajax({
		url: "http://netocr.com/api/recog.do",
		type: 'POST',
		data: oData,
		async: true,
		cache: false,
		contentType: false,
		processData: false,
		complete: function() {
			plus.nativeUI.closeWaiting();
		},
		success: function(returndata) {
			if (returndata.message.status == 0) {
				$(".CustomerList").hide();
				$(".CarList").hide();
				var re = returndata.cardsinfo[0].items[0].content.replace("I", '1');
				//发送调用成功接口记录
				EasyPost("/NewRepair/AddOrcNum", {
					state: returndata.message.status,
					content: re
				}, function(data) {
					var rel = JSON.parse(data);
					if (rel.State != 1) {
						mui.toast(rel.Msg);
						return;
					}
					var html = "";
					for (var i = 0; i < re.length; i++) {
						var strChar = re.substring(i, i + 1);
						html += "<input onkeyup='this.value=this.value.toUpperCase()' maxlength='1' type='text' value='" + strChar +
							"'/>"
					} 
					$(".CarNumber").html(html);
					str = "";
					_carId = "";
					_carNumber = "";
					$(".CarNumber input").each(function(e) {
						str += $(this).val();
					});    
					EasyPost("NewRepair/ScanCustomerInfo", {
						type: 0,  
						keywords: str
					}, function(data) {
						var rel = JSON.parse(data);
						if (rel.State == "1") {
							var html = "";
							data = rel.Data;
							customerInfo = new Array();
							if (data.length > 0) {
								customerInfo.push(data[0]);
								$("#CustomerName").html(data[0].NAME);
								$("#CarNumber").html(data[0].CARNUMBER);
								_carId = data[0].CARID;
								_carNumber = data[0].CARNUMBER;
								$("#jieche").show();
								$("#cashierBill").show();
								$("#addCar").hide();
							} else {
								$(".message").html("系统中找不到该车牌，请新增");
								_carNumber = str;
								$("#jieche").show();
								$("#cashierBill").show();
								$("#addCar").show();
							}

						} else {
							mul.toast(rel.Msg);
						}
					});
				});
				$(".CarNumber input").on("change", function() {
					document.activeElement.blur(); //页面上所有输入框失去焦点
					$(".message").html("");
					str = "";
					_carId = "";
					_carNumber = "";
					$(".CarNumber input").each(function(e) {
						str += $(this).val();
					});
					EasyPost("NewRepair/CustomerInfo", {
						type: 0,
						keywords: str
					}, function(data) {
						var rel = JSON.parse(data);
						if (rel.State == 1) {
							var html = "";
							data = rel.Data;
							customerInfo = new Array();
							if (data.length > 0) {
								customerInfo.push(data[0]);
								$("#CustomerName").html(data[0].NAME);
								$("#CarNumber").html(data[0].CARNUMBER);
								_carId = data[0].CARID;
								_carNumber = data[0].CARNUMBER;
								$("#jieche").show();
								$("#cashierBill").show();
								$("#addCar").hide();
							} else {
								$(".message").html("系统中找不到该车牌，请新增");
								_carNumber = str;
								$("#jieche").show();
								$("#cashierBill").show();
								$("#addCar").show();
							}
						} else {
							mul.toast(rel.Msg);
						}
					});
				});
				$(".CarInfo").show();
			} else {
				EasyPost("/NewRepair/AddOrcNum", {
					state: returndata.message.status,
					content: "识别失败"
				}, function(data) {
					var rel = JSON.parse(data);
					if (rel.State != 1) {
						mui.toast(rel.Msg);
						return;
					}
				});
				mui.toast("识别失败");
			}
		},
		error: function(returndata) {
			mui.toast("识别失败");
		}
	});
};

function getBase64Image(img) {
	var canvas = document.createElement("canvas");
	w = img.width;
	h = img.height;
	var width = w,
		height = h;
	// 控制上传图片的宽高
	if (width > height && width > 750) {
		width = 750;
		height = Math.ceil(750 * h / w);
	} else if (width < height && height > 1334) {
		width = Math.ceil(1334 * w / h);
		height = 1334;
	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height);
	var dataURL = canvas.toDataURL("image/jpeg");
	return dataURL // return dataURL.replace("data:image/png;base64,", ""); 
}

//当开始搜索车牌的时候开始查询客户信息并切换页面
$(".search input").on("input", function() {
	$(".CarList").hide();
	$(".CarInfo").hide();
	if ($(this).val().length >= 1) {
		EasyPost("NewRepair/CustomerInfo", {
			type: 0,
			keywords: $(this).val()
		}, function(data) {
			var rel = JSON.parse(data);
			if (rel.State == "1") {
				var html = "";
				data = rel.Data;
				customerInfo = new Array();
				for (var i = 0; i < data.length; i++) {
					html += $("#customerLi").html().replace("{{name}}", GetString(data[i].NAME, "-")).replace("{{carNum}}", data[i]
							.CARNUMBER)
						.replace("{{index}}", i);
					customerInfo.push(data[i]);
				}
				$("#CustomerPanel").html(html);
			} else {
				mul.toast(rel.Msg);
			}
		});
		$(".CustomerList").show();
	}
	if ($(this).val().length == 0) {
		$(".CustomerList").hide();
		$(".CarInfo").hide();
		$(".CarList").show();
	}
});


//新增车辆按钮的点击事件
$("#addCar").on("click", function() {
	var firstCarNumber = "";
	var lastCarNumber = "";
	if (_carNumber.length > 5) {
		firstCarNumber = _carNumber.substring(0, 2);
		lastCarNumber = _carNumber.substring(2, _carNumber.length);
	}
	plus.nativeUI.showWaiting("加载中..."); //显示原生等待框
	MyOpenWindows("Customer/AddCustomer", {
		sourcePage: "CustomerHome",
		firstCarNumber: firstCarNumber,
		lastCarNumber: lastCarNumber,
		openType: "scanBill"
	});
});

//销售开单按钮的点击事件
$("#cashierBill").on("click", function() {
	$(".search input").blur(); //让input框失去焦点，隐藏键盘
	plus.nativeUI.showWaiting(); //显示原生等待框
	var firstCarNumber = "";
	var lastCarNumber = "";
	if (_carNumber.length > 5) {
		firstCarNumber = _carNumber.substring(0, 2);
		lastCarNumber = _carNumber.substring(2, _carNumber.length);
	}
	if (customerInfo.length > 0) {
		OpenWindowsNoAuto("Cashier/billing", {
				type: 0, //0：新开单
				customerInfo: customerInfo[0]
			},
			"billing"
		);
	} else {
		MyOpenWindows("Customer/AddCustomer", {
			sourcePage: "billing",
			firstCarNumber: firstCarNumber,
			lastCarNumber: lastCarNumber
		});
	}
});

//维修接车按钮的点击事件
$("#jieche").on("click", function() {
	$(".search input").blur(); //让input框失去焦点，隐藏键盘
	plus.nativeUI.showWaiting(); //显示原生等待框.var firstCarNumber = "";
	var lastCarNumber = "";
	if (_carNumber.length > 5) {
		firstCarNumber = _carNumber.substring(0, 2);
		lastCarNumber = _carNumber.substring(2, _carNumber.length);
	}
	if (customerInfo.length > 0) {
		OpenWindowsNoAuto("Repair/MeetingResult", {
				type: 0, //0：新开单
				customerInfo: customerInfo[0]
			},
			"MeetingResult"
		);
	} else {
		MyOpenWindows("Repair/NewMeeting", {
				firstCarNumber: firstCarNumber,
				lastCarNumber: lastCarNumber
			},
			"NewMeeting"
		);
	}
});
